<?php
##########################################################################
##########################  Script © by       ############################
##########################  www.usolved.net   ############################
##########################################################################

//Nicht in admin_functions.php definiert, da diese Datei durch Resume auch separat ausgeführt werden kann
function microtime_float()
{
    list($usec, $sec) = explode(' ', microtime());
    $usec = ceil( (float)$usec*1000 );
    $usec = str_pad($usec, 3, "0", STR_PAD_LEFT);
    return $sec . $usec;
}

function execute_job($subdir, $timestamp)
{

    //Detect if server uses SSL
    $scheme = '';
    if((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off') || $_SERVER['SERVER_PORT'] == 443)
    {
        $scheme = 'ssl://';
    }

    // Executer starten
    $hSocket = fsockopen($scheme . $_SERVER['HTTP_HOST'], $_SERVER['SERVER_PORT']);
    fwrite($hSocket,
           "GET " . dirname($_SERVER['REQUEST_URI']) . "/".$subdir."admin_executejob.php?job={$timestamp} HTTP/1.1\r\n"
         . "Host: {$_SERVER['HTTP_HOST']}\r\n"
         . "Connection: close\r\n\r\n");

    //DEBUG
    //while (!feof($hSocket)) echo fread($hSocket, 8192);
    
    sleep(1); //some servers don't write to url if fclose comes directly after fwrite
    fclose($hSocket);
}



$job_dispatched = false;

if (array_key_exists('submit_newsletter_send', $_POST) || array_key_exists('submit_newsletter_test', $_POST) || array_key_exists('resume', $_GET))
{

    $job_dispatched = true;

    # Job-ID generieren und in der SQL-DB einen neuen Mailjob erzeugen
    if(array_key_exists('resume', $_GET))
    {
        # Durch Direktaufruf fehlende Informationen holen
        require('../settings/connect.php');

        $get_settings       = $mysql->query("SELECT * FROM {$prefix}_settings");
        $aus_settings       = $mysql->fetchObject($get_settings);

        # charset auslesen
        $get_charset        = $mysql->query("SELECT * FROM {$prefix}_charset WHERE id='{$aus_settings->id_charset}'");
        $aus_charset        = $mysql->fetchObject($get_charset);

        $timestamp          = $_GET['resume'];
        $get_emailcontent   = $mysql->query("SELECT * FROM {$prefix}_archiv WHERE mailjobTimestamp='{$timestamp}'");
        $aus_emailcontent   = $mysql->fetchObject($get_emailcontent);

        $get_jobcontent     = $mysql->query("SELECT * FROM {$prefix}_mailjobs WHERE timestamp='{$timestamp}'");
        $aus_jobcontent     = $mysql->fetchObject($get_jobcontent);


        # Benötigte Daten aus DB holen
        $from_tmp 		    = $aus_emailcontent->absender;
        $from_tmp 		    = explode(";", $from_tmp);
        if(is_array($from_tmp))
        {
        	$from_name	           = $from_tmp[0];
        	$from_email            = $from_tmp[1]; 
            $from_email_reply_to   = $from_tmp[2]; 
        }
        
        $newsletter_subject 		     = $aus_emailcontent->betreff;
        $id_group		                 = $aus_emailcontent->id_group;
        $newsletter_message 		     = stripslashes($aus_emailcontent->msg);
        $newsletter_attachments 	     = $aus_emailcontent->attachments;
        $id_archive 	                 = $aus_emailcontent->id;
        $newsletter_count_views          = $aus_emailcontent->count_views;
        $newsletter_embed_images         = $aus_emailcontent->embed_images;
        


        $resume_id      = $aus_jobcontent->lastID;
        $mail_sent      = $aus_jobcontent->mailSent;

        # Momentane Session speichern und schließen
        $old_sessname   = session_name();
        session_write_close();

        # Eigene interne Session für den Mailjob erstellen
        $session_tmp = $_SESSION; //bessere lösung gesucht, damit die login session erhalten bleibt
        session_name("s{$timestamp}");
        session_id("s{$timestamp}");
        @session_start();

    	$intervall = $aus_settings->intervall * 1000; //in microsekunden umrechnen

        # Benötigte Daten für den Executer via $_SESSION übergeben
        $_SESSION['job'] =
        array('from'       => $from_email,
            'from_reply_to' => $from_email_reply_to,
            'from_name'  => $from_name,
            'subject'    => $newsletter_subject,
            'message'    => $newsletter_message,
            'count_views'=> $newsletter_count_views,
            'embed_images'=> $newsletter_embed_images,
            'id_group'   => $id_group,
            'mailformat' => $aus_settings->mailformat,
            'acturl'     => $aus_settings->activation_url,
            'try_email'  => "",
            'delay'      => $intervall,
            'charset'    => $aus_charset->charset,
            'resume_id'  => $resume_id,
            'mail_sent'  => $mail_sent,
            'attachments'=> $newsletter_attachments,
            'alternatetext'=> $aus_settings->default_alternatetext,
            'id_archive'=> $id_archive
        );

        execute_job($subdir, $timestamp);

        # Session für den Executer freigeben und vorherige Session wiederherstellen
        session_write_close();
    	session_name($old_sessname);

        $_SESSION = $session_tmp; //bessere lösung gesucht
    }
    else
    {
        $submit_newsletter_test     = isset($_POST['submit_newsletter_test']) ? $_POST['submit_newsletter_test'] : "";
        $is_test                    = isset($_POST['submit_newsletter_test']) ? 1 : 0;


        $form_error                 = false;


        $get_settings               = $mysql->query("SELECT * FROM {$prefix}_settings");
        $aus_settings               = $mysql->fetchObject($get_settings);

        # charset auslesen
        $get_charset                = $mysql->query("SELECT * FROM {$prefix}_charset WHERE id='{$aus_settings->id_charset}'");
        $aus_charset                = $mysql->fetchObject($get_charset);


        # Benötigte Daten aus POST formular holen
        $newsletter_id_sender       = isset($_POST['newsletter_id_sender']) ? $_POST['newsletter_id_sender'] : 0;
        $get_sender 	            = $mysql->query("SELECT * FROM {$prefix}_senderaddress WHERE id='{$newsletter_id_sender}'");

        if($mysql->numRows($get_sender) != 1)
        {
            $form_error             = true;
            $form_output['error'][] = $lang['dispatchjob_error_sender'];
        }



        if($form_error == false)
        {
            $aus_sender 	      = $mysql->fetchObject($get_sender);
    		$from_name		      = $aus_sender->sender_name;
    		$from_email           = $aus_sender->sender_email;
            $from_email_reply_to  = $aus_sender->sender_email_reply_to;
    		$from_archiv	      = $from_name.";".$from_email.";".$from_email_reply_to;
    		
    		if(strstr($from_email, "usolved") == true)
            {
            	echo "Sender not allowed!";
                exit();    		
    		}		
    		
            $newsletter_subject 		= $_POST['newsletter_subject'];
            $newsletter_message         = $_POST['newsletter_message'];
            $id_group                   = $_POST['id_group'];
            $newsletter_attachments     = isset($_POST['newsletter_attachments']) ? $_POST['newsletter_attachments'] : "";
            $newsletter_count_views     = isset($_POST['newsletter_count_views']) ? $_POST['newsletter_count_views'] : 0;
            $newsletter_embed_images    = isset($_POST['newsletter_embed_images']) ? $_POST['newsletter_embed_images'] : 0;



            $resume_id  = 0;
            $mail_sent  = 0;
            $intervall  = $aus_settings->intervall * 1000; //in microsekunden umrechnen


            # Archiv
            $datum_n    = date('Y-m-d H:i:s', time());


            $subdir     = "inc/";           //diese datei wird von verschiedenen ebene aufgerufen, deswegen...


            if(is_array($id_group))
            {
                foreach($id_group AS $id_group_value)
                {
                    $timestamp = microtime_float();
                    $mysql->query("INSERT INTO {$prefix}_mailjobs (timestamp,mailSent,mailTotal,finished,lastID,lastTimestamp) VALUES ({$timestamp},0,0,0,0,0)");

                    $newsletter_subject_db      = escapeString($newsletter_subject);

                    //if($aus_settings->wysiwyg == 1 && $aus_settings->mailformat == 1)
                        //$newsletter_message_db  = escapeString($newsletter_message);
                    //else
                        $newsletter_message_db  = escapeString($newsletter_message); //auch bei wysiwyg nötig wenn html body erlaubt ist


                    $mysql->query("INSERT INTO {$prefix}_archiv 
                        (
                        id_group, 
                        count_views, 
                        embed_images, 
                        absender, 
                        betreff, 
                        msg, 
                        flag, 
                        date, 
                        mailjobTimestamp, 
                        attachments, 
                        views, 
                        views_unique, 
                        empf, 
                        is_test
                        ) 
                        VALUES 
                        (
                        '{$id_group_value}', 
                        '{$newsletter_count_views}', 
                        '{$newsletter_embed_images}', 
                        '{$from_archiv}', 
                        '{$newsletter_subject_db}', 
                        '{$newsletter_message_db}', 
                        1, 
                        '{$datum_n}', 
                        {$timestamp}, 
                        '{$newsletter_attachments}', 
                        0, 
                        0, 
                        0, 
                        {$is_test}
                        )
                    ");

                    $id_archive = $mysql->insertId();


                    # Momentane Session speichern und schließen
                    $old_sessname = session_name();
                    session_write_close();

                    # Eigene interne Session für den Mailjob erstellen
                    $session_tmp = $_SESSION; //bessere lösung gesucht, damit die login session erhalten bleibt
                    session_name("s{$timestamp}");
                    session_id("s{$timestamp}");
                    session_start();


                    # Benötigte Daten für den Executer via $_SESSION übergeben
                    $_SESSION['job'] =
                      array('from'       => $from_email,
                            'from_reply_to' => $from_email_reply_to,
                            'from_name'  => $from_name,
                            'subject'    => $newsletter_subject,
                            'message'    => $newsletter_message,
                            'count_views'=> $newsletter_count_views,
                            'embed_images'=> $newsletter_embed_images,
                            'id_group'   => $id_group_value,
                            'mailformat' => $aus_settings->mailformat,
                            'acturl'     => $aus_settings->activation_url,
                            'try_email'  => $submit_newsletter_test,
                            'delay'      => $intervall,
                            'charset'    => $aus_charset->charset,
                            'resume_id'  => $resume_id,
                            'mail_sent'  => $mail_sent,
                            'attachments'=> $newsletter_attachments,
                            'alternatetext'=> $aus_settings->default_alternatetext,
                            'id_archive'=> $id_archive
                      );

                    //var_dump($_SESSION['job'], $subdir, $timestamp);exit;


                    execute_job($subdir, $timestamp);

                    # Session für den Executer freigeben und vorherige Session wiederherstellen
                    session_write_close();
                    session_name($old_sessname);

                    $_SESSION = $session_tmp; //bessere lösung gesucht

                }
            }
        }
    }



}
?>