<?php

require(dirname(__FILE__)."/../settings/connect.php");

session_start();
if($_SESSION['user']['login_success']  == false) die('Login Session Error: Query Get Chartbar Subscriber');
if(isset($_SESSION['login_userhash']))
    $login_userhash = $mysql->realEscapeString($_SESSION['login_userhash']);
    
require(dirname(__FILE__)."/user_check.php");

//------------------------------------------------------------------------


require(dirname(__FILE__)."/admin_functions.php");


$json_return 		= array();
$timeRangeDays 		= $_POST['timeRangeDays'];

$date_start 		= date("Y-m-d", time());
$date_time 			= new DateTime($date_start);


for($i = $timeRangeDays; $i > 0; $i--)
{
	$date_current_date 				= $date_time->format('Y-m-d');
	$date_current_weekday 			= $date_time->format('N');

	$get_countentries       		= $mysql->query("SELECT count(*) AS count_entries FROM {$prefix}_entries WHERE DATE(regdate) = '{$date_current_date}'");
	$out_countentries      	 		= $mysql->fetchObject($get_countentries);


	$json_return['chart_data'][] 	= $out_countentries->count_entries;
	$json_return['chart_label'][] 	= get_weekday($date_current_weekday);

	$date_time->modify("-1 day");
	
}

$json_return['chart_data'] 	= array_reverse($json_return['chart_data']);
$json_return['chart_label'] = array_reverse($json_return['chart_label']);



echo json_encode($json_return);

?>