<?php

require(dirname(__FILE__)."/../settings/connect.php");

session_start();
if($_SESSION['user']['login_success']  == false) die('Login Session Error: Query Sendtype Test');
if(isset($_SESSION['login_userhash']))
    $login_userhash = $mysql->realEscapeString($_SESSION['login_userhash']);
    
require(dirname(__FILE__)."/user_check.php");

//------------------------------------------------------------------------

require(dirname(__FILE__)."/phpmailer/PHPMailerAutoload.php");

$json_return 			= array();
$error_found 			= false;
$error_string			= "";
$error_array			= array();


$get_settings       	= $mysql->query("SELECT * FROM {$prefix}_settings");
$out_settings      	 	= $mysql->fetchObject($get_settings);

$get_smtp_authtype  	= $mysql->query("SELECT * FROM {$prefix}_smtp_authtype WHERE id='{$out_settings->smtp_authtype_id}'");
$out_smtp_authtype  	= $mysql->fetchObject($get_smtp_authtype);

$get_smtp_encryption 	= $mysql->query("SELECT * FROM {$prefix}_smtp_encryption WHERE id='{$out_settings->smtp_encryption_id}'");
$out_smtp_encryption 	= $mysql->fetchObject($get_smtp_encryption);

$get_charset 			= $mysql->query("SELECT * FROM {$prefix}_charset WHERE id='{$out_settings->id_charset}'");
$out_charset 			= $mysql->fetchObject($get_charset);

$get_sender 			= $mysql->query("SELECT * FROM {$prefix}_senderaddress WHERE sender_default='1'");
$out_sender 			= $mysql->fetchObject($get_sender);

$get_language 			= $mysql->query("SELECT * FROM {$prefix}_language WHERE language_aktiv='1'");
$out_language 			= $mysql->fetchObject($get_language);

require(dirname(__FILE__)."/../settings/{$out_language->language_file}");

if($out_language->language_name == "German")
	$language_load = "de";
else
	$language_load = "en";

//----------------------------------------------------
//Generate E-Mail

$mail 	= new PHPMailer;
$mail->SetLanguage( $language_load, dirname(__FILE__).'/phpmailer/language/' );

if($out_settings->send_type == 1)
{
	$mail->isSMTP();                                                      // Set mailer to use SMTP

	$mail->SMTPKeepAlive  = $out_settings->smtp_keepalive;
	$mail->Host           = $out_settings->smtp_host;                       // Specify main and backup SMTP servers
	$mail->SMTPAuth       = $out_settings->smtp_auth;                       // Enable SMTP authentication
	$mail->AuthType       = $out_smtp_authtype->smtp_authtype;
	$mail->Username       = $out_settings->smtp_user;                       // SMTP username
	$mail->Password       = $out_settings->smtp_password;                   // SMTP password
	$mail->SMTPSecure     = $out_smtp_encryption->smtp_encryption;          // Enable TLS encryption, `ssl` also accepted
	$mail->Port           = $out_settings->smtp_port;                       // TCP port to connect to

	if($out_settings->smtp_ignore_ssl_certificate == 1)
	{
		$mail->SMTPOptions = array(
		    'ssl' => array(
		        'verify_peer' => false,
		        'verify_peer_name' => false,
		        'allow_self_signed' => true
		    )
		);
	}
}


if($mysql->numRows($get_sender) > 0)
{
	$mail->From           	= $out_sender->sender_email;
	$mail->FromName       	= $out_sender->sender_name;
}

$mail->Subject        	= $lang['settings_testsettings_subjectbody'];
$mail->Body 			= $lang['settings_testsettings_subjectbody'];

$mail->CharSet        	= $out_charset->charset;
$isHTML               	= $out_settings->mailformat ? true : false;
$mail->isHTML($isHTML);


# Send mail
$mail->addAddress($out_settings->newentrie_mail_address);


if(empty($out_sender->sender_email))
{
	$error_array[] = $lang['settings_testsettings_error_sender'];
	$error_found = true;
}

if(empty($out_settings->newentrie_mail_address))
{
	$error_array[] = $lang['settings_testsettings_error_recipient'];
	$error_found = true;
}

if($error_found == false && $mail->send())
	$json_return['sendstatus'] = '<span class="fa fa-check text-green"></span> '.$lang['settings_testsettings_success_delivered'];
else
{
	if($mail->ErrorInfo)
		$error_array[] = $mail->ErrorInfo;

	

	foreach($error_array as $error_array_value)
	{
		$error_string .= "<br>".$error_array_value;
	}

	$json_return['sendstatus'] = '<span class="fa fa-exclamation-triangle text-red"></span> '.$lang['settings_testsettings_error'].":".$error_string;
}


if($out_settings->smtp_keepalive == 1)
	$mail->smtpClose();



echo json_encode($json_return);

?>