<?php
##########################################################################
##########################  Script © by       ############################
##########################  www.usolved.net   ############################
##########################################################################


//--------------------------------------------------------------------



if($get_language = $mysql->query("SELECT * FROM $prefix"."_language WHERE language_aktiv='1'"))
{
    $aus_language = $mysql->fetchObject($get_language);
    require(dirname(__FILE__)."/../settings/".$aus_language->language_file);
}
else
{
    echo "
    <b>MAILSolved is not installed yet.</b><br><br>
    Please execute <a href=\"install.php\">install.php</a> to install MAILSolved.<br>
    Refer to the Readme if you need help.";
    
    exit;
}

//--------------------------------------------------------------------

$login_userhash_check   = "";
$login_ip               = "";




//--------------------------------------------------------------------
//Post Login user form (wichtig, muss vor dem login check sein, sonst kann beim ersten login der hash nicht geladen werden)

if(!empty($_POST['submit_login']))
{

    $username     = isset($_POST["user_login"])   ? $mysql->realEscapeString($_POST["user_login"]) : "";
    $password     = isset($_POST["user_pw"])      ? md5($mysql->realEscapeString($_POST["user_pw"])) : "";


    $get_user = $mysql->query("SELECT id, id_group, id_language FROM {$prefix}_intern_users WHERE user='{$username}' AND pw='{$password}'");
    if($mysql->numRows($get_user) == 1)
    {

        $out_user = $mysql->fetchObject($get_user);

        srand((double)microtime()*1000000);

        $login_userhash                 = md5(uniqid(rand()));
        $_SESSION['login_userhash']     = $login_userhash;

        $login_ip                       = $_SERVER['REMOTE_ADDR'];
        $user_id                        = $out_user->id;

        if(!empty($user_id) && !empty($login_userhash) && !empty($login_ip))
        {
            //Lösche bisherige Eintraege vom User in der Tabelle login
            $mysql->query("DELETE FROM {$prefix}_intern_login WHERE id_user='{$user_id}'");

            //Füge neuen Eintrag mit den Daten (User,UIN,Expire,IP,Browser) hinzu
            $mysql->query("INSERT INTO {$prefix}_intern_login (id_user,userhash,userip) VALUES ('{$out_user->id}','$login_userhash','$login_ip')");

            $login_success  = true;
            $show_form      = false;
        }
        else
        {
            $form_output['error'][]     = "Login korrekt, aber Systemfehler";
        }
            
 


    }
    else
    {
        $form_output['error'][]     = $lang['login_error1'];
    }

    
}




//--------------------------------------------------------------------
//Post Password reset form

if(!empty($_POST['submit_sendpassword']))
{
    $mail   = $_POST['mail'];
    $error  = false;

    if(empty($mail))
    {
        $form_output['error'][]     = $lang['login_check_email1'];
        $error = true;
    }
    else if(!preg_match( '/^([a-zA-Z0-9])+([\.a-zA-Z0-9_-])*@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-]+)+$/' , $mail))
    {
        $form_output['error'][]     = $lang['login_check_email2'];
        $error = true;
    }
    
    
    if($error == false)
    {

        $get_mailcheck = $mysql->query("SELECT * FROM {$prefix}_intern_users WHERE mail='$mail'");
        if($mysql->numRows($get_mailcheck) != 0)
        {
            $out_mailcheck = $mysql->fetchObject($get_mailcheck);

            $subject    = $lang['login_subject'];
            $zieladdi   = $mail;
            $password   = substr(md5(time()),1,6);

            $message ="
".$lang['login_mail1']." $out_mailcheck->user,
".$lang['login_mail2']."
".$lang['login_mail3'].": $out_mailcheck->user
".$lang['login_mail4'].": $password
";
            
            if(sendMail($zieladdi, $subject, $message, "MAILSolved", $mail))
            {
                $password = md5($password);
                $mysql->query("UPDATE {$prefix}_intern_users SET pw='$password' WHERE mail='{$mail}'");

                $form_output['success'][]     = $lang['login_mailsent1']." ".$mail." ".$lang['login_mailsent2'];
            }

        }
        else
        {
            $form_output['error'][]     = $lang['login_wrongdata'];
        }
    }
}







//---------------------------------------------------------------------------
//Check if user is authentificated



if(isset($_SESSION['login_userhash']))
    $login_userhash_check = $mysql->realEscapeString($_SESSION['login_userhash']);

if(isset($_SERVER['REMOTE_ADDR']))
    $login_ip = $_SERVER['REMOTE_ADDR'];


if(!empty($login_userhash_check) && !empty($login_ip))
{

    $get_user_verify = $mysql->query("SELECT id_user FROM {$prefix}_intern_login WHERE userhash='{$login_userhash_check}' AND userip='{$login_ip}' AND id_user<>0");
    if($mysql->numRows($get_user_verify) > 0)
    {

        $login_success  = true;
        $show_form      = false;
        $out_user_id    = $mysql->fetchObject($get_user_verify); 
        $user_id        = $out_user_id->id_user;

        $get_userinfo   = $mysql->query("SELECT user, mail, id_group, id_language FROM {$prefix}_intern_users WHERE id='{$user_id}'");
        $out_userinfo   = $mysql->fetchObject($get_userinfo);

        //--------------------------------------------------------------------------------
        //Speicher Daten des Users in Session

        $_SESSION['user']['email']          = $out_userinfo->mail;
        $_SESSION['user']['id_group']       = $out_userinfo->id_group;
        $_SESSION['user']['id_language']    = $out_userinfo->id_language;

        $_SESSION['user']['name']           = $out_userinfo->user;
        $_SESSION['user']['id']             = $user_id;
        
        $_SESSION['user']['login_success']  = true;


        //--------------------------------------------------------------------------------
        //Gruppen definieren die der User hat


        $get_access = $mysql->query("SELECT * FROM {$prefix}_intern_groups WHERE id='{$_SESSION['user']['id_group']}'");

        if($_SESSION['user']['id_group'] == 1)
        {
            define('admin', 1);

            $get_access_name=$mysql->query("SELECT * FROM {$prefix}_intern_permission_name");
            while($out_access_name=$mysql->fetchObject($get_access_name))
            {
                define($out_access_name->perm_name, 1);
            }
        }
        else
        {

            $get_access=$mysql->query("SELECT * FROM {$prefix}_intern_permission WHERE id_group='{$_SESSION['user']['id_group']}'");
            while($out_access=$mysql->fetchObject($get_access))
            {

                $get_access_name=$mysql->query("SELECT * FROM {$prefix}_intern_permission_name WHERE perm_name='{$out_access->id_permission_name}'");
                $out_access_name=$mysql->fetchObject($get_access_name);

                if($_SESSION['user']['id_group'] == 1)
                    define($out_access_name->perm_name, 1);
                else if($out_access->perm_flag == 1)
                    define($out_access_name->perm_name, 1);
            }

        }


        //--------------------------------------------------------------------------------
        //Sprache definieren

        if($get_language = $mysql->query("SELECT * FROM $prefix"."_language WHERE id='{$_SESSION['user']['id_language']}'"))
        {
            $aus_language = $mysql->fetchObject($get_language);
            require(dirname(__FILE__)."/../settings/".$aus_language->language_file);

            if($aus_language->language_name == 'German')
                $language_name = 'de';
            else
                $language_name = 'en';
        }

    }
    else
    {
        $login_success                      = false;
        $_SESSION['user']['login_success']  = false;
    }
}
else
{
    $login_success                      = false;
    $_SESSION['user']['login_success']  = false;
}








//-----------------------------------------------------------------
//Form Output for login


if(!isset($show_form))  $show_form = true;
if($show_form == true)
{


    ?>
    <!DOCTYPE HTML>
    <?php
    echo "<html>";
    echo "<head>";
    echo "<meta charset=\"UTF-8\">";
    echo "<title>MAILSolved - Admin</title>";
    echo "<link rel=\"stylesheet\" href=\"".$file_root."/settings/fonts.css\" type=\"text/css\">";
    echo "<link rel=\"stylesheet\" href=\"".$file_root."/settings/font-awesome.css\" type=\"text/css\">";
    echo "<link rel=\"stylesheet\" href=\"".$file_root."/settings/styles.css\" type=\"text/css\">";
    echo "</head>";
    echo "<body>";
    ?>

    <div id="header">

        <div style="width: 70%; min-width: 900px; max-width: 1200px; margin: 0 auto;">


            <div id="menu-top">

                
            </div>

            <div class="clear"></div>

            <div id="logo">
                <a href="index.php" class="logolink" title="USOLVED" rel="home"></a>
            </div>

        </div>

    </div>


    <div class="clear"></div>

    <div id="box">


        <div id="content">


            <?php

            //----------------------------------------------------------------------------
            //Formular Feedback

            if(isset($form_output) && count($form_output) > 0)
            {
                echo "<div class=\"form-eval-box margin-left-small\"  style=\"width: 60%; margin: 0 auto;\">";

                    foreach($form_output as $form_output_key=>$form_output_values)
                    {

                        $css_text = $form_output_key == 'success' ? "text-green" : "text-red";

                        foreach($form_output_values as $form_output_value)
                        {
                            echo "<div class=\"{$css_text}\">".$form_output_value."</div>";
                        }
                        
                    }
                    

                echo "</div>";

                echo "<div class=\"spacer-medium\"></div>";
            }

            echo "
            <div class=\"\" style=\"width: 60%; margin: 0 auto;\">
                <h1>".$lang['login_headline']."</h1>
            </div>

             <div class=\"spacer-medium\"></div>

            <div class=\"content-box\" style=\"width: 60%; margin: 0 auto; padding: 50px;\">";

                if(array_key_exists('forgot_password', $_GET))
                {
                    echo "<form action=\"index.php?forgot_password\" method=\"post\">";
                    
                        $mail = isset($mail) ? $mail : "";

                        echo "<table>";

                            echo "<tr><td><b>&laquo;</b> <a href=\"index.php\">".$lang['login_back']."</a></td></tr>";
                            echo "<tr><td height=\"10\"></td></tr>";
                            echo "<tr><td>".$lang['login_email'].":</td><td><input type=\"text\" name=\"mail\" value=\"$mail\" class=\"login\" style=\"width:150\"></td></tr>";
                            echo "<tr><td height=\"6\"></td></tr>";
                            echo "<tr><td></td><td><input type=\"submit\" name=\"submit_sendpassword\" value=\"".$lang['login_requestpw']."\" class=\"button\" style=\"width:150\"></td></tr>";
                        
                        echo "</table>";

                    echo "</form>";    
                }
                else
                {
                    echo "<form action=\"index.php\" method=\"post\">";


                        echo "<table>";

                            echo "<tr><td>".$lang['login_user'].":</td><td><input type=\"text\" name=\"user_login\" style=\"width: 150px\"></td></tr>";
                            echo "<tr><td>".$lang['login_pw'].":</td><td><input type=\"password\" name=\"user_pw\" style=\"width: 150px\"></td></tr>";
                            echo "<tr><td></td><td><br><input type=\"submit\" name=\"submit_login\" value=\"".$lang['login_login']."\" class=\"button\"  style=\"width:150\"></td></tr>";

                            echo "<tr><td></td><td><a href=\"index.php?forgot_password\">".$lang['login_forgotpw']."</a></td></tr>";

                        echo "</table>";



                    echo "</form>";
                }

            echo "</div>";

            ?>

            <div class="spacer-blank"></div>

            <div class="clear"></div>

        </div>


    </div>

    </body>
    </html>

    <?php

    exit;
}

?>