<?php
##########################################################################
##########################  Script © by       ############################
##########################  www.usolved.net   ############################
##########################################################################

date_default_timezone_set('UTC');

echo "<html>";
echo "<head>";
echo "<meta charset=\"UTF-8\">";
echo "<title>MAILSolved Setup</title>";
echo "<link rel=\"stylesheet\" href=\"settings/fonts.css\" type=\"text/css\">";
echo "<link rel=\"stylesheet\" href=\"settings/font-awesome.css\" type=\"text/css\">";
echo "<link rel=\"stylesheet\" href=\"settings/styles.css\" type=\"text/css\">";

echo "<script language=\"javascript\" src=\"inc/js/mailsolved.tooltip.js\"></script>";
echo "<script language=\"javascript\" src=\"inc/js/jquery.min.js\"></script>";

echo "<script language=\"javascript\" src=\"inc/js/jstz.min.js\"></script>";
echo "<script type=\"text/javascript\" src=\"inc/js/jquery-ui.custom.min.js\"></script>";
echo "<script type=\"text/javascript\" src=\"inc/js/jquery.ui.datepicker.js\"></script>";
echo "<script type=\"text/javascript\" src=\"inc/js/jquery.ui.datepicker-de.js\"></script>";

echo "<script type=\"text/javascript\" src=\"inc/js/jquery.easypiechart.min.js\"></script>";

echo "<script language=\"javascript\" src=\"inc/js/mailsolved.functions.js\"></script>";

echo "</head>";
echo "<body>";


    echo '
    <div style="padding-top: 100px; padding-bottom: 10px;">
        <table cellpadding="0" cellspacing="0" align="center" border="0" width="800"><tr><td>
            <div id="logo" style="padding: 0"><a href="install.php" class="logolink" title="USOLVED" rel="home"></a></div>
        </td></tr></table>
    </div>
    <div class="clear"></div>';


//----------------- Abfragen über Usereingaben - Form 0 -----------------


if(!empty($_POST['inst0']))
{
    $inst0 = $_POST['inst0'];

    $language_name=$_POST['language_name'];
    if($language_name=="German")
    {
        $language_file="lang_de.php";
        $language_aktiv="1";
        require("settings/$language_file");
    }
    else if($language_name=="English")
    {
        $language_file="lang_en.php";
        $language_aktiv="1";
        require("settings/$language_file");
    }

}




if(!empty($_POST['back_0']))
{
    $back_0 = $_POST['back_0'];

    unset($inst0);
    unset($inst1);
    $language_name=$_POST['language_name'];
    $language_file=$_POST['language_file'];
    $language_aktiv=$_POST['language_aktiv'];
    require("settings/$language_file");
}


if(!empty($_POST['inst1']))
{
$inst1=$_POST['inst1'];
$prefix=$_POST['prefix'];
$db_type=$_POST['db_type'];

$host=$_POST['host'];
$db=$_POST['db'];
$dbuser=$_POST['dbuser'];
$dbpasswd=$_POST['dbpasswd'];

$language_name=$_POST['language_name'];
$language_file=$_POST['language_file'];
$language_aktiv=$_POST['language_aktiv'];
require("settings/$language_file");


echo "<div id=\"box1\">";

    $error_log1 = "";
	if($host=="")
	{
    	$error_log1.="<tr><td>".$lang['inst_error_host']."!</td></tr>";
    	unset($inst1);
    	$inst0_ok=1;
	}

	if($db=="")
	{
    	$error_log1.="<tr><td>".$lang['inst_error_dbname']."!</td></tr>";
    	unset($inst1);
    	$inst0_ok=1;
	}

	if($dbuser=="")
	{
    	$error_log1.="<tr><td>".$lang['inst_error_dbuser']."!</td></tr>";
    	unset($inst1);
    	$inst0_ok=1;
	}

    if($host!="" && $dbuser!="")
    {
    	include(dirname(__FILE__)."/settings/sql.class.php");
        $mysql  = new databaseConnector($db_type, $host, $dbuser, $dbpasswd, $db);

        if($mysql->getDb_connection() == false)
        {
            $error_log1.="<tr><td>".$lang['inst_error_dbconnection']."</td></tr>";
            unset($inst1);
            $inst0_ok=1;
        }


        $get_prefixcheck = $mysql->query("SHOW TABLES LIKE '%{$prefix}_%'");

        if($mysql->numRows($get_prefixcheck) > 0)
        {
        	$error_log2 = "<tr><td><b>".$lang['inst_error_prefix1']."</b><br>".$lang['inst_error_prefix2']."</td></tr>";
    	}

    }

/*
    if($host!="" && $dbuser!="")
    {
        $connID=@mysql_pconnect($host, $dbuser, $dbpasswd);
        if($connID)
        {
        if(mysql_select_db($db)==false){$error_log1.="<tr><td>".$lang['inst_error_dbno']."!</td></tr>";unset($inst1);}
        $inst0_ok=1;
        }
        else
        {
        $error_log1.="<tr><td>".$lang['inst_error_dbset']."!</td></tr>";
        unset($inst1);
        $inst0_ok=1;
        }
    }
*/
echo "</div>";

}


//----------------- Abfragen über Usereingaben - Form 2 -----------------


if(!empty($_POST['back']))
{
    $back=$_POST['back'];

    $inst0_ok=1;
    unset($inst1);
    unset($inst2);
    $language_name=$_POST['language_name'];
    $language_file=$_POST['language_file'];
    $language_aktiv=$_POST['language_aktiv'];
    require("settings/$language_file");
}


if(!empty($_POST['inst2']))
{
    $error_log2 = "";
    $inst2=$_POST['inst2'];

    $prefix=$_POST['prefix'];
    $db_type=$_POST['db_type'];

    $host=$_POST['host'];
    $db=$_POST['db'];
    $dbuser=$_POST['dbuser'];
    $dbpasswd=$_POST['dbpasswd'];

    $name=$_POST['name'];
    $password1=$_POST['password1'];
    $password2=$_POST['password2'];
    $mail=$_POST['mail'];
    //$loginsave=$_POST['loginsave'];
    $activation_url=$_POST['activation_url'];

    $language_name=$_POST['language_name'];
    $language_file=$_POST['language_file'];
    $language_aktiv=$_POST['language_aktiv'];
    $inst_check_f = 0;
    require("settings/$language_file");

	echo "<div id=\"box2\">";

	if($name=="")
	{
    	$error_log2.="<tr><td>".$lang['inst_error_user']."!</td></tr>";
    	$inst1_ok=1;
    	$inst_check_f=1;
	}

	if($password1=="")
	{
    	$error_log2.="<tr><td>".$lang['inst_error_pw']."!</td></tr>";
    	$inst1_ok=1;
    	$inst_check_f=1;
	}

	if($password2=="")
	{
    	$error_log2.="<tr><td>".$lang['inst_error_pwr']."!</td></tr>";
    	$inst1_ok=1;
    	$inst_check_f=1;
	}

	if($password1!=$password2)
	{
    	$error_log2    .= "<tr><td>".$lang['inst_error_pwsame']."!</td></tr>";
    	$inst1_ok      = 1;
    	$inst_check_f  = 1;
	}

	if($mail=="")
	{
    	$error_log2    .= "<tr><td>".$lang['inst_error_mail']."!</td></tr>";
    	$inst1_ok      = 1;
    	$mail_check    = "ok";
    	$inst_check_f  = 1;
	}

	$mail = trim($mail);
	if (!(strstr($mail, "@") and strstr($mail, ".")) && empty($mail_check))
	{
    	$error_log2    .= "<tr><td>".$lang['inst_error_mailcheck']."!</td></tr>";
    	$inst1_ok      = 1;
    	$inst_check_f  = 1;
	}

    if(version_compare(phpversion(), '5.2.0', '>='))
    {
        $timezone = $_POST['timezone'];

        if(empty($timezone))
        {
            $error_log2    .= "<tr><td>".$lang['inst_error_timezone']."!</td></tr>";
            $inst1_ok       = 1;
            $inst_check_f   = 1;
        }
    }

	if ($inst_check_f != 1)
	{
	   $ready=1;
	}
	else
	{
        $inst0="set";
        $inst1="set";

        unset($inst2);
	}

echo "</div>";
}


//------------------------------------------------------------------------------

if(isset($ready) && $ready==1)
{

	//----------------- Anlegen der config.php -----------------

	if($host!="" && $db!="" && $dbuser!="")
	{

        //wichtig dass hinten kein abschließendes / steht
        if(substr($activation_url, -1) == "/")
        {
            $activation_url = substr($activation_url, 0, -1);
        }


        if(!empty($timezone))
        {
            $add_timezone = "date_default_timezone_set('".$timezone."');\n\n";
        }
        else
        {
            $add_timezone = "";
        }
        

		$datei = fopen("settings/config.php","w+");
		fwrite($datei, "<?php\n" .$add_timezone. "\$prefix=\"".$prefix."\";\n" . "\$file_root=\"".$activation_url."\";\n". "\$db_type=\"".$db_type."\";\n\n" . "\$host=\"".$host."\";\n" . "\$db=\"".$db."\";\n" . "\$dbuser=\"".$dbuser."\";\n" . "\$dbpasswd=\"".$dbpasswd."\";" .  "\n?>" );
		fclose($datei);



		//----------------- DB Tabellen erstellen -----------------

		include("settings/connect.php");


		$mysql->query("drop table if exists $prefix"."_intern_login");
		$mysql->query("create table $prefix"."_intern_login(".
        			"id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "id_user int(10) NOT NULL,".
                    "userhash varchar(100) NOT NULL,".
                    "userip varchar(45) NOT NULL".
                    ")");

		$mysql->query("drop table if exists  $prefix"."_intern_users");
		$mysql->query("create table $prefix"."_intern_users(".
        			"id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
        			"id_group int(10) NOT NULL,".						## NEW 1.9.5 ##
        			"id_language int(10) NOT NULL,".					## NEW 1.9.5 ##
                    "user varchar(30) NOT NULL,".
                    "pw varchar(50) NOT NULL,".
                    "mail varchar(50) NOT NULL,".
                    "regdate date NOT NULL".
                    ")");

		$mysql->query("drop table if exists  $prefix"."_intern_groups");	## NEW 1.9.5 ##
		$mysql->query("create table $prefix"."_intern_groups(".
        			"id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "groupname varchar(250) NOT NULL".
                    ")");

		$mysql->query("drop table if exists  $prefix"."_intern_permission");	## NEW 1.9.5 ##
		$mysql->query("create table $prefix"."_intern_permission(".
        			"id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "id_group int(10) NOT NULL,".
                    "id_permission_name varchar(250) NOT NULL,".
                    "perm_flag int(1) NOT NULL".
                    ")");

		$mysql->query("drop table if exists  $prefix"."_intern_permission_name");	## NEW 1.9.5 ##
		$mysql->query("create table $prefix"."_intern_permission_name(".
        			"id int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,".
                    "perm_name varchar(250) NOT NULL,".
                    "perm_label_de varchar(250) NOT NULL,".              ## NEW 3.0 ##
                    "perm_label_en varchar(250) NOT NULL".               ## NEW 3.0 ##
                    ")");

		$mysql->query("drop table if exists  {$prefix}_captcha");		 ## NEW 1.9.5 ##
		$mysql->query("create table {$prefix}_captcha(".
        			"id int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,".
                    "ip varchar(45) NOT NULL UNIQUE,".
                    "code varchar(32) NOT NULL,".
                    "time varchar(25) NOT NULL".
                    ")");


		$mysql->query("drop table if exists $prefix"."_language");
		$mysql->query("create table $prefix"."_language(".
        			"id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "language_name varchar(100) NOT NULL,".
                    "language_file varchar(50) NOT NULL,".
                    "language_aktiv int(1) NOT NULL".
                    ")");

		$mysql->query("drop table if exists  $prefix"."_entries");
		$mysql->query("create table $prefix"."_entries(".
        			"id int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,".
                    "id_unique varchar(12) NOT NULL,".
                    "mail varchar(50) NOT NULL,".
                    "mail_id varchar(80),".
                    "title int(1) NOT NULL,".					## NEW 1.8.9 ##
                    "forename varchar(50),".				    ## NEW 1.8.9 renamed ##
                    "surname varchar(50),".                     ## NEW 1.8.9 ##
                    "company varchar(250),".                    ## NEW 3.3 ##
                    "customer_number varchar(200),".            ## NEW 3.3 ##
                    "regdate datetime NULL,".                   ## NEW 3.3.4 changed type to datetime ##
                    "optin_date datetime NULL,".                 # NEW 3.3.4 ##
                    "optin_ipaddress varchar(45) NULL,".        ## NEW 3.3.4 ##
                    "regdate_t int(30) NOT NULL,".
                    "flag int(1) NOT NULL".
                    ")");

		$mysql->query("drop table if exists  $prefix"."_groups");
		$mysql->query("create table $prefix"."_groups(".
        			"id int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,".
                    "groupname varchar(250) NOT NULL,".
                    "hidden int(1) NOT NULL,".
                    "default_group int(1) NOT NULL".
                    ")");

		$mysql->query("drop table if exists  $prefix"."_group_def");
		$mysql->query("create table $prefix"."_group_def(".
        			"id_user int(10) NOT NULL,".
                    "id_group int(10) NOT NULL,".
                    "INDEX group_def_id (id_user)".
                    ")");

		$mysql->query("drop table if exists  $prefix"."_blacklist");
		$mysql->query("create table $prefix"."_blacklist(".
        			"id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "mail varchar(250) NOT NULL".
                    ")");

		$mysql->query("drop table if exists  {$prefix}_archiv");
		$mysql->query("create table {$prefix}_archiv(".
        			"id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
        			"id_group int(10) NOT NULL,".
        			"views int(10) NOT NULL,".                          ## new 1.9.4 ##
                    "views_unique int(10) NOT NULL,".                   ## new 3.1 ##
                    "count_views int(1) NOT NULL,".                     ## new 3.0 ##
                    "embed_images int(1) NOT NULL,".                    ## new 3.0 ##
        			"attachments text NOT NULL,".						## new 1.9.1 ##
                    "absender varchar(250) NOT NULL,".
                    "betreff varchar(250) NOT NULL,".
                    "msg text NOT NULL,".
                    "empf int(10) NOT NULL,".
                    "flag int(1) NOT NULL,".
                    "is_test int(1) NOT NULL,".                          ## new 3.3.4 ##
                    "date datetime NOT NULL,".
                    "mailjobTimestamp bigint(20) NOT NULL".
                    ")");


        $mysql->query("drop table if exists  $prefix"."_archiv_links"); #new in 3.0
        $mysql->query("create table $prefix"."_archiv_links(".
                    "id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "id_archiv int(10) NOT NULL,".
                    "url varchar(250) NOT NULL,". 
                    "clicks int(10) NOT NULL,".
                    "clicks_unique int(10) NOT NULL".                  #new in 3.1
                    ")");


        $mysql->query("drop table if exists  $prefix"."_archiv_user"); #new in 3.1
        $mysql->query("create table $prefix"."_archiv_user(".
                    "id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "id_archiv int(10) NOT NULL,".
                    "user_email varchar(250) NOT NULL,". 
                    "user_ip varchar(45) NOT NULL,".
                    "user_opened_links varchar(250) NOT NULL,".
                    "user_opened_newsletter_timestamp varchar(50) NOT NULL".
                    ")");


		$mysql->query("DROP TABLE IF EXISTS {$prefix}_settings");
		$mysql->query("CREATE TABLE {$prefix}_settings(".
        			"id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "id_charset int(10) NOT NULL,".                  ## NEW 3.0 ##

        			"layout_bgcolor varchar(7),".
        			"layout_background varchar(250),".
        			"layout_width varchar(3),".
        			"layout_textfieldwidth varchar(3) NOT NULL,".	## NEW 1.8.9 ##
        			"layout_font_face varchar(250) NOT NULL,".
        			"layout_font_color varchar(7) NOT NULL,".
        			"layout_font_size varchar(2) NOT NULL,".

					"newsletter_captcha int(1) NOT NULL,".			## new 1.9.6 ##
					"newsletter_ajax int(1) NOT NULL,".                ## new 1.9.6 ##
                    "newsletter_consent int(1) NOT NULL,".             ## new 3.3.5 ##
        			//"absender varchar(250) NOT NULL,".
        			"betreff varchar(250),".
                    "sig text,".
                    "intervall int(4) NOT NULL,".
                    "user_pro_intervall int(4) NOT NULL,".
                    "activation_url varchar(250) NOT NULL,".
                    "activation int(1) NOT NULL,".
                    "deactivation int(1) NOT NULL,".
                    "showlimit int(10) NOT NULL,".
                    "mailformat int(1) NOT NULL,".
                    "mailformat_notifications int(1) NOT NULL,".
                    "newentrie_mail int(1) NOT NULL,".
                    "newentrie_mail_address varchar(250) NOT NULL,".
                    "form_title int(1) NOT NULL,".											## NEW 1.8.9 ##
                    "form_forename int(1) NOT NULL,".										## NEW 1.8.9 renamed ##
                    "form_surname int(1) NOT NULL,".                                        ## NEW 1.8.9 ##
                    "form_company int(1) NOT NULL,".                                        ## NEW 3.3 ##
                    "form_customer_number int(1) NOT NULL,".                                ## NEW 3.3 ##

                    "replace_form_expression_title varchar(250) NOT NULL,".					## NEW 1.8.9 ##
                    "replace_form_expression_name varchar(250) NOT NULL,".					## NEW 1.8.9 ##

                    "replace_form_title_mr varchar(250) NOT NULL,".							## NEW 1.8.9 ##
                    "replace_form_title_mrs varchar(250) NOT NULL,".                        ## NEW 1.8.9 ##
                    "replace_form_title_unknown varchar(250) NOT NULL,".                    ## NEW 3.0 ##

					"replace_form_ifempty_forename varchar(250),".					        ## NEW 1.8.9 ##
					"replace_form_ifempty_surname varchar(250),".					         ## NEW 1.8.9 ##

					"replace_form_alt_titlecheck int(1) NOT NULL,".							## NEW 1.9.5 ##
					"replace_form_alt_title varchar(250),".						            ## NEW 1.9.5 ##


                    "group_choice int(1) NOT NULL,".
                    "group_choice_radio int(1) NOT NULL,".									## NEW 1.9.3
                    "default_entry_group int(1) NOT NULL,".									## NEW 1.9.6 ##
                    "welcome int(1) NOT NULL,".
                    "notification_unsubscribe int(1) NOT NULL,".                                   ## NEW 3.0 ##
                    //"default_email varchar(250) NOT NULL,".
                    "default_welcome text NOT NULL,".
                    "default_welcome_subject varchar(250) NOT NULL,".                       ## NEW 3.0 ##
                    "default_alternatetext text NOT NULL,".									## NEW 1.9.6 ##
                    "default_subscribe text NOT NULL,".
                    "default_subscribe_subject varchar(250) NOT NULL,".                     ## NEW 3.0 ##
                    "default_unsubscribe text NOT NULL,".                                   ## NEW 3.0 ##
                    "default_unsubscribe_subject varchar(250) NOT NULL,".                   ## NEW 3.0 ##
                    "default_consent text NOT NULL,".                                       ## NEW 3.3.5 ##

                    "send_type int(1) NOT NULL,".

                    "smtp_user varchar(250),".
                    "smtp_password varchar(250),".                                  ## NEW 3.0 ##
                    "smtp_host varchar(250),".                                      ## NEW 3.0 ##
                    "smtp_port int(5) NOT NULL,".
                    "smtp_auth int(1) NOT NULL,".                                   ## NEW 3.0 ##
                    "smtp_keepalive int(1) NOT NULL,".                              ## NEW 3.0 ##
                    "smtp_authtype_id int(10) NOT NULL,".                           ## NEW 3.0 ##
                    "smtp_encryption_id int(10) NOT NULL,".                         ## NEW 3.0 ##
                    "smtp_ignore_ssl_certificate int(1) NOT NULL,".                 ## NEW 3.3.4 ##

                    "automatic_resume int(1) NOT NULL,".                            ## NEW 3.2 ##

                    "newsletter_profile int(1) NOT NULL,".							## NEW 1.8.9 ##
                    "wysiwyg int(1) NOT NULL,".
                    "media_upload int(1) NOT NULL,".
                    "attachment_upload int(1) NOT NULL,".							 ## new 1.9.1 ##
                    "group_select int(1) NOT NULL,".                                 ## new 1.9.5 ##

                    "test_socketwrite DATETIME NULL".                              ## new 3.4 ##
                    ")");

        $mysql->query("drop table if exists  {$prefix}_placeholder");
        $mysql->query("create table {$prefix}_placeholder(".
                    "id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "placeholder_name varchar(250) NOT NULL,".
                    "placeholder_replacement varchar(250) NOT NULL".
                    ")");


		$mysql->query("drop table if exists  $prefix"."_senderaddress");
		$mysql->query("create table $prefix"."_senderaddress(".
        			"id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
        			"sender_name varchar(250) NOT NULL,".
        			"sender_email varchar(250) NOT NULL,".
                    "sender_email_reply_to varchar(250) NOT NULL,".
        			"sender_default int(1) NOT NULL".
                    ")");

		$mysql->query("drop table if exists  {$prefix}_mailjobs");
		$mysql->query("create table {$prefix}_mailjobs(".
		            "timestamp bigint(20) NOT NULL PRIMARY KEY,".
		            "mailSent int(11) NOT NULL,".
		            "mailTotal int(11) NOT NULL,".
		            "finished int(11) NOT NULL,".
		            "lastID int(11) NOT NULL,".		 				## NEW 1.8.6 ##
		            "lastTimestamp bigint(20) NOT NULL".			## NEW 1.8.6 ##
		            ")");

		$mysql->query("drop table if exists  {$prefix}_info");
		$mysql->query("create table {$prefix}_info(".
		            "version varchar(20) NOT NULL PRIMARY KEY,".
					"licencescript int(1) NOT NULL,".			## NEW 1.9.7 ##
					"licencevalid int(1) NOT NULL,".			## NEW 1.9.7 ##
					"licencecopyright int(1) NOT NULL,".			## NEW 1.9.7 ##
		            "licencedomain varchar(100),".
		            "licencekey varchar(100)".
		            ")");

		$mysql->query("drop table if exists  {$prefix}_charset"); ## NEW 1.8.1 ##
		$mysql->query("create table {$prefix}_charset(".
					"id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
		            "charset_name varchar(20) NOT NULL,".
		            "charset varchar(20) NOT NULL".
		            ")");


        $mysql->query("drop table if exists  {$prefix}_smtp_encryption"); ## NEW 3.0 ##
        $mysql->query("create table {$prefix}_smtp_encryption(".
                    "id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "smtp_encryption varchar(20) NOT NULL,".
                    "smtp_encryption_label varchar(250) NOT NULL".
                    ")");

        $mysql->query("drop table if exists  {$prefix}_smtp_authtype"); ## NEW 3.0 ##
        $mysql->query("create table {$prefix}_smtp_authtype(".
                    "id int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "smtp_authtype varchar(100) NOT NULL,".
                    "smtp_authtype_label varchar(250) NOT NULL".
                    ")");


        $mysql->query("drop table if exists  {$prefix}_stats_unsubscribed"); ## NEW 3.0 ##
        $mysql->query("create table {$prefix}_stats_unsubscribed(".
                    "id_unsubscribed int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "unsubscribed_email varchar(250) NOT NULL,".
                    "unsubscribed_timestamp varchar(50) NOT NULL".
                    ")");


        $mysql->query("drop table if exists  {$prefix}_savedemails"); ## NEW 3.0 ##
        $mysql->query("create table {$prefix}_savedemails(".
                    "id_savedemails int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "savedemails_name varchar(250) NOT NULL,".
                    "savedemails_timestamp varchar(50) NOT NULL,".
                    "newsletter_id_groups varchar(100) NOT NULL,".
                    "newsletter_id_sender int(10) NOT NULL,".
                    "newsletter_count_views int(1) NOT NULL,".
                    "newsletter_embed_images int(1) NOT NULL,".
                    "newsletter_subject varchar(250) NOT NULL,".
                    "newsletter_message text NOT NULL,".
                    "newsletter_attachments text NOT NULL".
                    ")");


        $mysql->query("drop table if exists  {$prefix}_upload"); ## NEW 3.0 ##
        $mysql->query("create table {$prefix}_upload(".
                    "id_upload int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "id_upload_folder int(10) NOT NULL,".
                    "upload_filename varchar(250) NOT NULL,".
                    "upload_timestamp_created varchar(50) NOT NULL,".
                    "upload_timestamp_changed varchar(50) NOT NULL".
                    ")");


        $mysql->query("drop table if exists  {$prefix}_upload_folder"); ## NEW 3.0 ##
        $mysql->query("create table {$prefix}_upload_folder(".
                    "id_upload_folder int(10) not null AUTO_INCREMENT PRIMARY KEY,".
                    "upload_folder text NOT NULL".
                    ")");



		//--------------- Tabellen Inhalte erstellen ---------------



		if($language_name == "German")
		{

			$default_subscribe          = "Hallo,\n\nklicken Sie auf folgenden Link um Ihre E-Mail Adresse für den Newsletter freizuschalten:\n{SUBSCRIBE_LINK}\n\nSollten Sie die Adresse nicht innerhalb von 3 Tagen aktiviert haben, wird die Adresse gelöscht und Sie müssen sich neu anmelden.\n\nMit freundlichen Grüßen";
            $default_subscribe_subject  = "Bitte die Newsletter-Anmeldung aktivieren";
			$default_welcome            = "Hallo,\n\nSie haben sich erfolgreich für den Newsletter Service angemeldet.\n\nMit freundlichen Grüßen";
            $default_welcome_subject    = "Danke für die Anmeldung zum Newsletter";
            $default_unsubscribe_subject= "Abmeldung vom Newsletter bestätigt";
            $default_unsubscribe        = "Hallo,\n\nschade dass Sie unseren Newsletter nicht mehr erhalten möchten. Ihre E-Mail Adresse wurde vom Verteiler entfernt.\n\nMit freundlichen Grüßen";

			$default_alternatetext       = "Dies ist ein HTML Newsletter. Sollte dieser nicht korrekt dargestellt werden, klicken Sie auf folgenden Link um diesen anzuzeigen:\n\n{SHOWEMAIL_LINK}";

            $default_consent             = "Ich möchte den Newsletter abonnieren um Informationen per E-Mail zu erhalten.\nHinweise zu der von der Einwilligung mitumfassten Statistik, Protokollierung der Anmeldung und Ihren Widerrufsrechten erhalten Sie in unserer Datenschutzerklärung.";

			$replace_form_title_mr       = "Sehr geehrter Herr";
			$replace_form_title_mrs      = "Sehr geehrte Frau";
            $replace_form_title_unknown  = "Hallo";
		}
		else
		{

			$default_subscribe          = "Hello,\n\nclick the link below to activate your E-Mail address:\n{SUBSCRIBE_LINK}\n\nThe address will be deleted within 3 days without activation.\n\nBest regards";
            $default_subscribe_subject  = "Please activate the newsletter subscription";
			$default_welcome            = "Hello,\n\nyou have successfully subscribed to the newsletter service.\n\nBest regards";
            $default_welcome_subject    = "Thanks for your newsletter subscription";
            $default_unsubscribe_subject= "Confirmation for unsubscribing our Newsletter";
            $default_unsubscribe        = "Hello,\n\nyou email has been unsubscribed you from our newsletter service.\n\nBest regards";

			$default_alternatetext      = "This is a HTML newsletter. If this E-Mail can\'t be displayed, click on the fallowing link to view the newsletter:\n\n{SHOWEMAIL_LINK}";

            $default_consent            = "I would like to subscribe to this newsletter.\nPlease refer to our Privacy Policy for information on the performance measurement, registration logging and your revocation rights.";

			$replace_form_title_mr      = "Dear Mr.";
			$replace_form_title_mrs     = "Dear Mrs.";
            $replace_form_title_unknown = "Hello";
		}


		$replace_form_expression_title	= "{TITLE} {NAME_EXPRESSION}";
		$replace_form_expression_name	= "{SURNAME}";



		$password = md5($password1);
		$date     = date("Y-m-d");

		$mysql->query("INSERT INTO {$prefix}_groups (groupname, hidden, default_group) VALUES ('Standard', 0, 0)");
		$mysql->query("INSERT INTO {$prefix}_info (version, licencescript, licencevalid, licencecopyright) VALUES ('3.5', 3, 0, 0)");

		$mysql->query("INSERT INTO {$prefix}_intern_groups (groupname) VALUES ('Admin')");

		$mysql->query("INSERT INTO {$prefix}_intern_permission_name (perm_name, perm_label_de, perm_label_en) VALUES ('enter_newsletter', 'Newsletter', 'Newsletter')");
		$mysql->query("INSERT INTO {$prefix}_intern_permission_name (perm_name, perm_label_de, perm_label_en) VALUES ('enter_usersettings', 'Abonnenten', 'Subscriber')");
		$mysql->query("INSERT INTO {$prefix}_intern_permission_name (perm_name, perm_label_de, perm_label_en) VALUES ('enter_settings', 'Einstellungen', 'Settings')");
		$mysql->query("INSERT INTO {$prefix}_intern_permission_name (perm_name, perm_label_de, perm_label_en) VALUES ('enter_eximport', 'Ex- / Importieren', 'Ex- / Import')");

        
		$mysql->query("INSERT INTO {$prefix}_settings (
            newentrie_mail,
            newentrie_mail_address,
            id_charset,
            layout_textfieldwidth,
            layout_font_face,
            layout_font_color,
            layout_font_size,
            intervall,
            user_pro_intervall,
            activation_url,
            activation,
            showlimit,
            mailformat,
            form_forename,
            form_surname,
            form_company,
            form_customer_number,
            group_choice,
            default_subscribe,
            default_subscribe_subject,
            default_welcome,
            default_welcome_subject,
            default_unsubscribe,
            default_unsubscribe_subject,
            welcome,
            smtp_port,
            wysiwyg,
            media_upload,
            replace_form_title_mr,
            replace_form_title_mrs,
            replace_form_title_unknown,
            replace_form_expression_title,
            replace_form_expression_name,
            deactivation,
            group_choice_radio,
            default_entry_group,
            default_alternatetext,
            newsletter_captcha,
            newsletter_ajax,
            smtp_authtype_id,
            smtp_encryption_id,
            smtp_ignore_ssl_certificate,
            attachment_upload,
            replace_form_alt_titlecheck,
            notification_unsubscribe,
            send_type,
            smtp_auth,
            automatic_resume,
            newsletter_profile,
            group_select,
            mailformat_notifications,
            form_title,
            smtp_keepalive,
            newsletter_consent,
            default_consent
            ) VALUES (
            '0',
            '{$mail}',
            '1',
            '180',
            'Arial',
            '#333333',
            '11',
            '120',
            '50',
            '$activation_url',
            '1',
            '30',
            '1',
            '0',
            '0',
            '0',
            '0',
            '0',
            '$default_subscribe',
            '$default_subscribe_subject',
            '$default_welcome',
            '$default_welcome_subject',
            '$default_unsubscribe',
            '$default_unsubscribe_subject',
            '1',
            '587',
            '1',
            '1',
            '$replace_form_title_mr',
            '$replace_form_title_mrs',
            '$replace_form_title_unknown',
            '$replace_form_expression_title',
            '$replace_form_expression_name',
            '1',
            '1',
            '1',
            '{$default_alternatetext}',
            '0',
            '1',
            '1',
            '2',
            '0',
            '1',
            '0',
            '0',
            '0',
            '0',
            '0',
            '0',
            '0',
            '0',
            '0',
            '0',
            '1',
            '{$default_consent}'
            )");
        

		//$mysql->query("INSERT INTO $prefix"."_plugin_cron (id) VALUES ('1')");

		if($language_name=="German"){$lang_active_de="1";$lang_id="1";}  else{$lang_active_de="0";}
		if($language_name=="English"){$lang_active_en="1";$lang_id="2";} else{$lang_active_en="0";}
		//if($language_name=="French"){$lang_active_fr="1";$lang_id="3";}else{$lang_active_fr="0";}
		//if($language_name=="Danish"){$lang_active_dk="1";$lang_id="4";}else{$lang_active_dk="0";}
		//if($language_name=="Dutch"){$lang_active_nl="1";$lang_id="5";}else{$lang_active_nl="0";}

		$mysql->query("INSERT INTO {$prefix}_language (language_name, language_file, language_aktiv) VALUES ('German', 'lang_de.php', '{$lang_active_de}')");
		$mysql->query("INSERT INTO {$prefix}_language (language_name, language_file, language_aktiv) VALUES ('English', 'lang_en.php', '{$lang_active_en}')");
		//$mysql->query("INSERT INTO $prefix"."_language (language_name,language_file,language_aktiv) VALUES ('French','lang_fr.php','$lang_active_fr')");
		//$mysql->query("INSERT INTO $prefix"."_language (language_name,language_file,language_aktiv) VALUES ('Danish','lang_dk.php','$lang_active_dk')");
		//$mysql->query("INSERT INTO $prefix"."_language (language_name,language_file,language_aktiv) VALUES ('Dutch','lang_nl.php','$lang_active_nl')");

		$mysql->query("INSERT INTO {$prefix}_intern_users (user, pw, mail, regdate, id_group, id_language) VALUES ('{$name}', '{$password}', '{$mail}', '{$date}', '1', '{$lang_id}')");


		$mysql->query("INSERT INTO {$prefix}_charset (charset_name,charset) VALUES ('UTF-8','utf-8')");
		$mysql->query("INSERT INTO {$prefix}_charset (charset_name,charset) VALUES ('Western','iso-8859-1')");
		$mysql->query("INSERT INTO {$prefix}_charset (charset_name,charset) VALUES ('Western','iso-8859-15')");
		$mysql->query("INSERT INTO {$prefix}_charset (charset_name,charset) VALUES ('Simplified Chinsese','gb2312')");
		$mysql->query("INSERT INTO {$prefix}_charset (charset_name,charset) VALUES ('Japanese','euc-jp')");


        $mysql->query("INSERT INTO {$prefix}_smtp_authtype (id, smtp_authtype, smtp_authtype_label) VALUES ('1','LOGIN','LOGIN')");
        $mysql->query("INSERT INTO {$prefix}_smtp_authtype (id, smtp_authtype, smtp_authtype_label) VALUES ('2','PLAIN','PLAIN')");
        $mysql->query("INSERT INTO {$prefix}_smtp_authtype (id, smtp_authtype, smtp_authtype_label) VALUES ('3','NTLM','NTLM')");
        $mysql->query("INSERT INTO {$prefix}_smtp_authtype (id, smtp_authtype, smtp_authtype_label) VALUES ('4','CRAM-MD5','CRAM-MD5')");


        $mysql->query("INSERT INTO {$prefix}_smtp_encryption (id, smtp_encryption, smtp_encryption_label) VALUES ('1','','-')");
        $mysql->query("INSERT INTO {$prefix}_smtp_encryption (id, smtp_encryption, smtp_encryption_label) VALUES ('2','TLS','TLS')");
        $mysql->query("INSERT INTO {$prefix}_smtp_encryption (id, smtp_encryption, smtp_encryption_label) VALUES ('3','SSL','SSL')");


        $mysql->query("INSERT INTO {$prefix}_upload_folder (upload_folder) VALUES ('media')");
        $mysql->query("INSERT INTO {$prefix}_upload_folder (upload_folder) VALUES ('newsletter_templates')");


		//----------------- Installationsformular 3 ----------------

        $inst0="set";
        $inst1="set";
        $inst2="set";

        echo "<div class=\"install-container\">";

            echo "<h1 class=\"headline_install\">".$lang['inst_s4_headline']."</h1>";

            echo "<div class=\"install-form\">";


                echo "<table>";
                echo "<tr><td height=\"10\"></td></tr>";

                echo "<tr><td class=\"text-green bold\" style=\"font-size: 20px;\">".$lang['inst_s4_success']."</td></tr>";

                echo "<tr><td height=\"20\"></td></tr>";

                echo "<tr><td>".$lang['inst_s4_admin1']."</td></tr>";
                echo "<tr><td>&#187; <a href=\"index.php\"><b>".$lang['inst_s4_admin2']."</b></a></td></tr>";


                echo "<tr><td height=\"10\"></td></tr>";
                
                echo "<tr><td>".$lang['inst_s4_output1']."</td></tr>";
                echo "<tr><td>&#187; <a href=\"newsletter.php\" target=\"_blank\"><b>".$lang['inst_s4_output2']."</b></a></td></tr>";

                echo "<tr><td height=\"10\"></td></tr>";
                echo "</table>";

            echo "</div>";

        echo "</div>";

	}
}

//------ Tooltips -------

include("inc/admin_tooltips.php");


//----------------- Installationsformular 2 -----------------

if((isset($inst1) || (isset($inst1_ok) && $inst1_ok==1)) && empty($inst2))
{
    $inst0="set";
    $inst1="set";

    echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">";

        echo "<div class=\"install-container\">";

            echo "<h1 class=\"headline_install\">".$lang['inst_s3_headline']."</h1>";

            echo "<div class=\"install-form\">";

                echo "<table>";

                    echo "<tr><td height=\"10\" width=\"200\"></td></tr>";

                	if(!empty($error_log2))
                	{
                        echo "</table>";
                        echo "<table>";
                        echo "<tr><td class=\"text-orange bold\">".$lang['inst_s3_warning'].":</td></tr>";
                        echo $error_log2;
                        echo "<tr><td height=\"10\"></td></tr>";
                        echo "<tr><td background=\"images/td_u.gif\" width=\"500\"></td></tr>";
                        echo "<tr><td height=\"10\"></td></tr></table>";

                        echo "<table>";
                	}

                	if(empty($activation_url))
                	{
                        $activation_url=str_replace("\\","/",dirname(__FILE__));
                        $activation_url=$_SERVER["SERVER_NAME"]."/".str_replace($_SERVER["DOCUMENT_ROOT"],"",$activation_url);
                        $activation_url="http://".str_replace("//","/",$activation_url);
                    }

                    $name               = isset($name) ? $name : "";
                    $mail               = isset($mail) ? $mail : "";
                    $password1          = isset($password1) ? $password1 : "";
                    $password2          = isset($password2) ? $password2 : "";
                    $timezone           = isset($timezone) ? $timezone : "";

                    echo "<tr><td style=\"width: 150px\">".$lang['inst_s3_user'].":</td><td><input type=\"text\" name=\"name\" value=\"$name\" style=\"width:176px;\"></td><td valign=\"bottom\"><img src=\"images/helpicon.gif\" onMouseOver=\"showTIP('inst_user')\" onMouseOut=\"hideTIP()\"></td></tr>";
                    echo "<tr><td>".$lang['inst_s3_email'].":</td><td><input type=\"text\" name=\"mail\" value=\"$mail\" style=\"width:176px;\"></td></tr>";
                    echo "<tr><td>".$lang['inst_s3_password'].":</td><td><input type=\"password\" name=\"password1\" value=\"$password1\" style=\"width:176px;\"></td></tr>";
                    echo "<tr><td>".$lang['inst_s3_rpassword'].":</td><td><input type=\"password\" name=\"password2\" value=\"$password2\" style=\"width:176px;\"></td></tr>";
                	

                    echo "<tr><td style=\"height: 16px\"></td></tr>";
                    if(version_compare(phpversion(), '5.2.0', '>='))
                    {

                        $tzlist = DateTimeZone::listIdentifiers();

                        echo "<tr><td>".$lang['inst_s3_timezone'].":</td><td>
                        <select name=\"timezone\" style=\"width: 176px\" id=\"install_timezone\">
                        <option value=\"\"></option>
                        ";
                        foreach ($tzlist as $timezone_value)
                        {
                            $timezone_selected = $timezone_value == $timezone ? "selected=\"selected\"" : "";

                            echo "<option value=\"{$timezone_value}\" {$timezone_selected}>{$timezone_value}</option>";
                        }
                        echo "</select></td></tr>";

                    }

                    echo "<tr><td>".$lang['inst_s3_scriptpath'].":</td><td><input type=\"text\" name=\"activation_url\" value=\"$activation_url\" style=\"width: 320px;\"></td><td valign=\"bottom\"><img src=\"images/helpicon.gif\" onMouseOver=\"showTIP('inst_url')\" onMouseOut=\"hideTIP()\"></td></tr>";


                    echo "<tr><td height=\"10\"></td></tr>";
                    //echo "<tr><td>".$lang['inst_s3_usecockies'].":</td><td><input type=\"radio\" name=\"loginsave\" value=\"1\" checked> (".$lang['inst_s3_permanentlogin'].")</td><td valign=\"bottom\"><img src=\"images/helpicon.gif\" onMouseOver=\"showTIP('inst_cookie')\" onMouseOut=\"hideTIP()\"></td></tr>";
                    //echo "<tr><td>".$lang['inst_s3_usesessions'].":</td><td><input type=\"radio\" name=\"loginsave\" value=\"0\"> (".$lang['inst_s3_limitedtime'].")</td></tr>";
                    echo "<tr><td height=\"12\"></td></tr>";

                	echo "<input type=\"hidden\" name=\"prefix\" value=\"$prefix\">";
                	echo "<input type=\"hidden\" name=\"db_type\" value=\"$db_type\">";
                    echo "<input type=\"hidden\" name=\"host\" value=\"$host\">";
                    echo "<input type=\"hidden\" name=\"db\" value=\"$db\">";
                    echo "<input type=\"hidden\" name=\"dbuser\" value=\"$dbuser\">";
                    echo "<input type=\"hidden\" name=\"dbpasswd\" value=\"$dbpasswd\">";
                    echo "<input type=\"hidden\" name=\"language_name\" value=\"$language_name\">";
                    echo "<input type=\"hidden\" name=\"language_file\" value=\"$language_file\">";
                    echo "<input type=\"hidden\" name=\"language_aktiv\" value=\"$language_aktiv\">";

                echo "</table>";

                echo "<table>";
                    echo "<tr><td style=\"width: 150px\"></td><td><input type=\"submit\" name=\"back\" value=\"&lt; ".$lang['inst_s3_back']."\" class=\"button button-light\"> <input type=\"submit\" name=\"inst2\" value=\"".$lang['inst_s3_install']."\" data-value_after_submit=\"".$lang['inst_s3_install_wait']."\" class=\"button\" id=\"button_install\"></td></tr>";
                    echo "<tr><td height=\"10\"></td></tr>";
                echo "</table>";


            echo "</div>";

        echo "</div>";

    echo "</form>";

}

//----------------- Installationsformular 1 -----------------

if((isset($inst0) || (isset($inst0_ok) && $inst0_ok==1)) && empty($inst1))
{
    $inst0="set";

    echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">";

        echo "<div class=\"install-container\">";

            echo "<h1 class=\"headline_install\">".$lang['inst_s2_headline']."</h1>";

            echo "<div class=\"install-form\">";


                echo "<table>";
                echo "<tr><td height=\"10\"></td></tr>";

            	if(!empty($error_log1))
            	{
                    echo "</table>";
                    echo "<table>";
                    echo "<tr><td class=\"text-orange bold\">".$lang['inst_s2_error'].":</td></tr>";
                    echo $error_log1;
                    echo "<tr><td height=\"10\"></td></tr>";
                    echo "<tr><td background=\"images/td_u.gif\" width=\"500\"></td></tr>";
                    echo "<tr><td height=\"10\"></td></tr></table><table>";
            	}

                $db          = isset($db) ? $db : "";
                $dbuser      = isset($dbuser) ? $dbuser : "";
                $dbpasswd    = isset($dbpasswd) ? $dbpasswd : "";

            	echo "<tr><td>".$lang['inst_s2_dbtype'].":</td><td><select name=\"db_type\" style=\"width:170px; font-weight:bold; font-size:8pt;font-family: Arial;\"><option value=\"mysqli\">MySQLi</option></td></tr>";
            	echo "<tr><td height=\"10\"></td></tr>";
                echo "<tr><td>".$lang['inst_s2_host'].":</td><td><input type=\"text\" name=\"host\" value=\"localhost\" style=\"width:170px;\"></td><td valign=\"bottom\"><img src=\"images/helpicon.gif\" onMouseOver=\"showTIP('inst_db')\" onMouseOut=\"hideTIP()\"></td></tr>";
                echo "<tr><td>".$lang['inst_s2_dbname'].":</td><td><input type=\"text\" name=\"db\" value=\"$db\" style=\"width:170px;\"></td></tr>";
                echo "<tr><td>".$lang['inst_s2_user'].":</td><td><input type=\"text\" name=\"dbuser\" value=\"$dbuser\" style=\"width:170px;\"></td></tr>";
                echo "<tr><td>".$lang['inst_s2_password'].":</td><td><input type=\"password\" name=\"dbpasswd\" value=\"$dbpasswd\" style=\"width:170px;\"></td></tr>";
                echo "<tr><td>".$lang['inst_s2_prefix'].":</td><td><input type=\"text\" name=\"prefix\" value=\"mailsolved\" style=\"width:170px;\"></td><td valign=\"bottom\"><img src=\"images/helpicon.gif\" onMouseOver=\"showTIP('inst_prefix')\" onMouseOut=\"hideTIP()\"></td></tr>";

                echo "<tr><td height=\"12\"></td></tr>";

                echo "<input type=\"hidden\" name=\"language_name\" value=\"$language_name\">";
                echo "<input type=\"hidden\" name=\"language_file\" value=\"$language_file\">";
                echo "<input type=\"hidden\" name=\"language_aktiv\" value=\"$language_aktiv\">";

                echo "<tr><td></td><td><input type=\"submit\" name=\"back_1\" value=\"&lt; ".$lang['inst_s2_back']."\" class=\"button button-light\"> <input type=\"submit\" name=\"inst1\" value=\"".$lang['inst_s2_cont']." &gt;\" class=\"button\"></td></tr>";

                echo "<tr><td height=\"10\"></td></tr>";
                echo "</table>";


            echo "</div>";

        echo "</div>";

    echo "</form>";

}


//----------------- Installationsformular 0 -----------------

if(empty($inst0))
{
    echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">";

        echo "<div class=\"install-container\">";

            echo "<h1 class=\"headline_install\">Language - Configuration: Step 1 of 4</h1>";

            echo "<div class=\"install-form\">";



                echo "<table>";
                    echo "<tr><td height=\"10\"></td></tr>";

                    echo "<tr><td><input type=\"radio\" id=\"language_name_de\" name=\"language_name\" value=\"German\" checked></td><td><label for=\"language_name_de\"><img src=\"images/flag_de.png\"> <b>German</b></label></td></tr>";
                    echo "<tr><td><input type=\"radio\" id=\"language_name_en\" name=\"language_name\" value=\"English\"></td><td><label for=\"language_name_en\"><img src=\"images/flag_en.png\"> <b>English</b></label></td></tr>";
                    //echo "<tr><td><input type=\"radio\" name=\"language_name\" value=\"French\"></td><td><img src=\"images/flag_fr.gif\"> <b>French</b></td></tr>";
                    //echo "<tr><td><input type=\"radio\" name=\"language_name\" value=\"Danish\"></td><td><img src=\"images/flag_dk.gif\"> <b>Danish</b></td></tr>";
                    //echo "<tr><td><input type=\"radio\" name=\"language_name\" value=\"Dutch\"></td><td><img src=\"images/flag_nl.gif\"> <b>Dutch</b></td></tr>";

                	echo "<tr><td height=\"6\"></td></tr>";


                    //--------------------------------------------------------------------------------------------------

                    $file_config            = "settings/config.php";
                    $folder_upload_media    = "upload/media";

                    @chmod($file_config, 0777);
                    @chmod($folder_upload_media, 0777);



                    #######################################################################################

                    $error_chmod = false;

                    if(!is_writable($file_config))
                    {
                        echo "<tr><td><img src=\"images/warning.gif\"></td><td>CHMOD for file ".$file_config." needs to be set to \"777\" (write access)</td></tr>";
                        $error_chmod = true;
                    }

                    if(!is_writable($folder_upload_media))
                    {
                        echo "<tr><td><img src=\"images/warning.gif\"></td><td>CHMOD for folder ".$folder_upload_media." needs to be set to \"777\" (write access)</td></tr>";
                        $error_chmod = true;
                    }

                    if(!function_exists('fsockopen'))
                    {
                        echo "<tr><td><img src=\"images/warning.gif\"></td><td>PHP function \"fsockopen\" is disabled on your server.</td></tr>";
                        $error_chmod = true;
                    }


                    //-----------------------------------------------------------------

                	echo "<tr><td height=\"12\"></td></tr>";

                    if($error_chmod == false)
                    {
                        echo "<tr><td><img src=\"images/correct.gif\"></td><td>All prerequisites for the installtion fulfilled<td></tr>";
                        echo "<tr><td height=\"12\"></td></tr>";

                    	echo "<tr><td></td><td><input type=\"submit\" name=\"inst0\" value=\"Continue &gt;\" class=\"button\"></td></tr>";
                    }
                    else
                    {
                    	echo "<tr><td></td><td><b>Sorry, you can't continue to the next step without fixing the mentioned errors.</b></td></tr>";
                    }


                    echo "<tr><td height=\"10\"></td></tr>";
                echo "</table>";

            echo "</div>";

        echo "</div>";

    echo "</form>";
}

##############################################################

echo "<center>MAILSolved &copy 2003-".date("Y")." by <a href=\"http://www.usolved.net\" target=\"_blank\">USOLVED</a></center>";

echo "</body>";
echo "</html>";

?>
