<?php

##########################################################################
##########################  Script © by       ############################
##########################  www.usolved.net   ############################
##########################################################################

require_once(dirname(__FILE__)."/settings/connect.php");



/* Copyrights for Template and Script */

$get_info                   = $mysql->query("SELECT * FROM {$prefix}_info");
if($get_info == false)
{
    echo "
    <b>MAILSolved is not installed yet.</b><br><br>
    Please execute <a href=\"install.php\">install.php</a> to install MAILSolved.<br>
    Refer to the Readme if you need help.";
    
    exit;
}

$aus_info	 				= $mysql->fetchObject($get_info);
$VERSION_INFO				= $aus_info->version;
$DOMAIN						= $aus_info->licencedomain;
$VALID						= $aus_info->licencevalid;
$COPYRIGHT_TAG				= $aus_info->licencecopyright;
$LANGUAGE_ID				= isset($_GET['language']) ? $mysql->realEscapeString($_GET['language']) : "";
$HTMLFORM_AFTER_SUBSCRIBE 	= true;

$COPYRIGHT  = "<!-- MAILSolved v{$VERSION_INFO} - Copyright by www.usolved.net -->\n";
if( $VALID && !empty($DOMAIN))
	$COPYRIGHT .= "<!-- Licensed for {$DOMAIN} -->\n";
else
	$COPYRIGHT .= "<!-- This licence is for non-commercial use only -->\n";

if($get_set=$mysql->query("SELECT * FROM $prefix"."_settings"))
	$aus_settings = $mysql->fetchObject($get_set);
else
{
	echo "<b>The Script wasn't installed yet. Please execute <a href=\"install.php\">install.php</a>!</b>";
	exit;
}

if(empty($LANGUAGE_ID))
{
    if($get_language=$mysql->query("SELECT * FROM $prefix"."_language WHERE language_aktiv='1'"))
    {
        $aus_language=$mysql->fetchObject($get_language);
        require(dirname(__FILE__)."/settings/".$aus_language->language_file);
    }
}
else
{
    if($get_language = $mysql->query("SELECT * FROM $prefix"."_language WHERE id='{$LANGUAGE_ID}'"))
    {
        if($mysql->numRows($get_language) == 1)
        {
            $aus_language=$mysql->fetchObject($get_language);
            require(dirname(__FILE__)."/settings/".$aus_language->language_file);            
        }
        else
            exit("No valid language ID");
    }

}



/* Get some variables from post, get or server internal stuff */
$FORM_URL				= $_SERVER['PHP_SELF'];
$NEWSLETTER_OK			= isset($_POST['newsletter_ok']) ? $_POST['newsletter_ok'] : "";
$PROFILE_OK				= isseT($_POST['profile_ok']) ? $_POST['profile_ok'] : "";
$UNLINK_MAIL			= isset($_GET['unlink_mail']) ? addslashes($_GET['unlink_mail']) : "";
$MAIL_ID				= isset($_GET['mail_id']) ? addslashes($_GET['mail_id']) : "";
$PROFILE_ID				= isset($_GET['profile_id']) ? addslashes($_GET['profile_id']) : "";
$ARCHIVEID				= isset($_GET['archiveid']) ? addslashes($_GET['archiveid']) : "";
$SHOWEMAILID            = isset($_GET['showemail']) ? addslashes($_GET['showemail']) : "";
$SUBSCRIBERID           = isset($_GET['subscriber']) ? addslashes($_GET['subscriber']) : "";

$CAMPAIGN               = isset($_GET['campaign']) ? addslashes($_GET['campaign']) : "";
$COUNT                  = isset($_GET['count']) ? true : false;
$REFER                  = isset($_GET['refer']) ? addslashes($_GET['refer']) : "";
$ID_UNIQUE              = isset($_GET['id']) ? addslashes($_GET['id']) : "";


/* Get some style variables that has been defined in the admin menu */
$STYLE_FONT_FACE		= $aus_settings->layout_font_face;
$STYLE_FONT_SIZE		= $aus_settings->layout_font_size;
$STYLE_FONT_COLOR		= $aus_settings->layout_font_color;
$STYLE_WIDTH			= $aus_settings->layout_width;
$STYLE_WIDTH_PROFILE	= "300";
$STYLE_TEXTFIELDWIDTH	= $aus_settings->layout_textfieldwidth;
$STYLE_BGCOLOR			= $aus_settings->layout_bgcolor;
$STYLE_BACKGROUND		= $aus_settings->layout_background;

$GROUP_RADIO			= $aus_settings->group_choice_radio;
$GROUP_SELECT			= $aus_settings->group_select;
$AJAX                   = $aus_settings->newsletter_ajax;

$STYLE_FONT      		= "font-family: ".$STYLE_FONT_FACE."; font-size: ".$STYLE_FONT_SIZE."pt; color: ".$STYLE_FONT_COLOR.";";
$STYLE_PADDING			= "padding-left: 0px;";

$SET_UNLINKED           = "";
$SET_UNLOCKED           = "";

$CHECK_SHOW_TITLE       = false;
$CHECK_SHOW_COMPANY     = false;
$CHECK_SHOW_FORENAME    = false;
$CHECK_SHOW_SURNAME     = false;
$CHECK_SHOW_GROUP_CHOICE = false;
$CHECK_SHOW_RADIOBUTTONS = false;
$CHECK_SHOW_CONSENT     = false;
$CHECK_SHOW_CAPTCHA     = false;

if($aus_settings->form_title == 1)
	$CHECK_SHOW_TITLE = true;

if($aus_settings->form_company == 1)
    $CHECK_SHOW_COMPANY = true;

if($aus_settings->form_forename == 1)
	$CHECK_SHOW_FORENAME = true;

if($aus_settings->form_surname == 1)
	$CHECK_SHOW_SURNAME = true;

if($aus_settings->group_choice == 1)
	$CHECK_SHOW_GROUP_CHOICE = true;

if($aus_settings->deactivation == 0)
	$CHECK_SHOW_RADIOBUTTONS = true;

if($aus_settings->newsletter_captcha == 1)
	$CHECK_SHOW_CAPTCHA = true;

if($aus_settings->newsletter_consent == 1)
{
    $CHECK_SHOW_CONSENT = true;
    $TEXT_CONSENT       = nl2br($aus_settings->default_consent);
}  

$show_form = true;
    

if(!defined('template'))
    define('template', 1);


/* --------------- */


require_once(dirname(__FILE__)."/inc/newsletter_functions.php");


## 6.0 ##################################################################
//--- Campaign features ---

if(!empty($CAMPAIGN))
{
    $get_user = $mysql->query("SELECT * FROM {$prefix}_entries WHERE id_unique='{$ID_UNIQUE}'");
    $out_user = $mysql->fetchObject($get_user);

    $get_campaign = $mysql->query("SELECT * FROM {$prefix}_archiv WHERE  mailjobTimestamp='{$CAMPAIGN}'");
    if($mysql->numRows($get_campaign) > 0 && !empty($out_user->mail))
    {
        $out_campaign = $mysql->fetchObject($get_campaign);
   
        $get_user_logged = $mysql->query("SELECT * FROM {$prefix}_archiv_user WHERE id_archiv='{$out_campaign->id}' AND user_email='{$out_user->mail}'");
        if($mysql->numRows($get_user_logged) == 0)
        {
            $user_ip = $_SERVER['REMOTE_ADDR'];
            $mysql->query("INSERT INTO {$prefix}_archiv_user (id_archiv, user_email, user_ip) VALUES ('{$out_campaign->id}','{$out_user->mail}','{$user_ip}')");
            $current_user_id = $mysql->insertId();
        }
        else
        {
            $out_user_logged = $mysql->fetchObject($get_user_logged);
            $current_user_id = $out_user_logged->id;
        }

        $get_user_check = $mysql->query("SELECT * FROM {$prefix}_archiv_user WHERE id='{$current_user_id}'");
        $out_user_check = $mysql->fetchObject($get_user_check);

        //count every opened newsletter
        if($COUNT)
        {

            if($out_user_check->user_opened_newsletter_timestamp == 0)
            {
                $mysql->query("UPDATE {$prefix}_archiv SET views_unique=views_unique+1 WHERE mailjobTimestamp='{$CAMPAIGN}'");
                $mysql->query("UPDATE {$prefix}_archiv_user SET user_opened_newsletter_timestamp='".time()."' WHERE id='{$current_user_id}'");
            }

            //Always count every view
            $mysql->query("UPDATE {$prefix}_archiv SET views=views+1 WHERE mailjobTimestamp='{$CAMPAIGN}'");
            
        }

        //count every link click and refer to the requested page
        else if(!empty($REFER))
        {
            //encoded in admin_executejob.php
            $REFER = base64_decode($REFER);

            $get_campaign_links = $mysql->query("SELECT * FROM {$prefix}_archiv_links WHERE id_archiv='{$out_campaign->id}' AND url='{$REFER}'");
            if($mysql->numRows($get_campaign_links) > 0)
            {
                $out_campaign_links = $mysql->fetchObject($get_campaign_links);
                $campaign_links_id  = $out_campaign_links->id;

                $mysql->query("UPDATE {$prefix}_archiv_links SET clicks=clicks+1 WHERE id='{$campaign_links_id}'");
            }
            else
            {
                $mysql->query("INSERT INTO {$prefix}_archiv_links (id_archiv, url, clicks, clicks_unique) VALUES ('{$out_campaign->id}','{$REFER}','1', '0')");
                $campaign_links_id = $mysql->insertId();


            }

            //split link ids to array
            $user_opened_links = explode(",", $out_user_check->user_opened_links);


            //if link is not already clicked by current user add to unique clicks and remember id
            if(!in_array($campaign_links_id, $user_opened_links))
            {
                $mysql->query("UPDATE {$prefix}_archiv_user SET user_opened_links=CONCAT(user_opened_links, '{$campaign_links_id},') WHERE id='{$current_user_id}'");
                $mysql->query("UPDATE {$prefix}_archiv_links SET clicks_unique=clicks_unique+1 WHERE id='{$campaign_links_id}'");
            }

            header("Location: {$REFER}"); 
        }
    }

    exit;
}


## 5.0 ##################################################################
//--- Delete E-Mails that are 3 days old and hasnt been unlocked ---

$zeit_v		= time();
$zeitdel_d	= $zeit_v-259200;

$get_delcheck=$mysql->query("SELECT * FROM {$prefix}_entries WHERE flag='1' AND regdate_t<='$zeitdel_d'");
while($aus_delcheck=$mysql->fetchObject($get_delcheck))
{
	removeEMailFromDB($aus_delcheck->id);
}


## 4.0 ##################################################################
//--- Delete E-Mail address after user clicked the link in his E-Mail ---


if(!empty($_POST['unlink_ok']))
{
	$unlink_value	= escapeString($_POST['unlink_value']);

	$get_email_check = $mysql->query("SELECT id, id_unique, mail FROM $prefix"."_entries WHERE id_unique='{$unlink_value}'");
	if($mysql->numRows($get_email_check) != 0)
	{
        $aus_email_check = $mysql->fetchObject($get_email_check);

        /* Remove E-Mail from the Database */
        removeEMailFromDB($aus_email_check->id);

        /* Send an E-Mail to the admin after user unsubscribed */
        if($aus_settings->newentrie_mail == 1)
            sendRemEMailNotification($aus_settings->newentrie_mail_address, $aus_email_check->mail);


        /* Send an E-Mail to the subscriber after unsubscribed*/
        if($aus_settings->notification_unsubscribe == 1)
        {
            $get_sender               = $mysql->query("SELECT * FROM {$prefix}_senderaddress WHERE sender_default=1");
            $aus_sender               = $mysql->fetchObject($get_sender);
            $sender_email             = $aus_sender->sender_email;
            $sender_name              = $aus_sender->sender_name;


            $default_unsubscribe            = $aus_settings->default_unsubscribe;
            $default_unsubscribe_subject    = $aus_settings->default_unsubscribe_subject;

            echo sendUnsubscribeEMailNotification($aus_email_check->mail, $sender_name, $sender_email, $default_unsubscribe, $default_unsubscribe_subject);        
        }


        $SET_UNLINKED = "success";
    }
}

if(!empty($UNLINK_MAIL))
{
    $get_email_check = $mysql->query("SELECT id, id_unique, mail FROM $prefix"."_entries WHERE id_unique='{$UNLINK_MAIL}'");
    if($mysql->numRows($get_email_check) == 0)
    	$SET_UNLINKED = "failure";
    else
    	$SET_UNLINKED = "form";
}


## 3.0 ##################################################################
//--- Unlock E-Mail address after user clicked the link in his E-Mail ---

if(!empty($MAIL_ID))
{
    $get_mail_id=$mysql->query("SELECT * FROM $prefix"."_entries WHERE flag='1' AND mail_id='{$MAIL_ID}'");
    if($mysql->numRows($get_mail_id) != 0)
    {
    	$aus_mail_id	          = $mysql->fetchObject($get_mail_id);
		$adminEmail		          = $aus_settings->newentrie_mail_address;
		$welcome_message          = $aus_settings->default_welcome;
        $welcome_message_subject  = $aus_settings->default_welcome_subject;
		$userEMail		          = $aus_mail_id->mail;


        $optin_ipaddress          = $_SERVER['REMOTE_ADDR'];

	    $mysql->query("UPDATE $prefix"."_entries SET flag='0', optin_date = NOW(), optin_ipaddress = '{$optin_ipaddress}' WHERE flag='1' AND mail_id='{$MAIL_ID}'");

		/* Send an E-Mail to the user who subscribed */
        if($aus_settings->welcome == 1)
        {
            $get_sender               = $mysql->query("SELECT * FROM {$prefix}_senderaddress WHERE sender_default=1");
            if($mysql->numRows($get_sender) != 0)
            {
                $aus_sender               = $mysql->fetchObject($get_sender);
                $sender_email             = $aus_sender->sender_email;
                $sender_name              = $aus_sender->sender_name;

                //new
                $get_idunique=$mysql->query("SELECT * FROM {$prefix}_entries WHERE mail_id='{$MAIL_ID}'");
                $aus_idunique=$mysql->fetchObject($get_idunique);

                $profilelink = $aus_settings->mailformat ? "<a href=\"{$aus_settings->activation_url}/newsletter.php?profile_id={$aus_idunique->id_unique}\">{$aus_settings->activation_url}/newsletter.php?profile_id={$aus_idunique->id_unique}</a>" : "{$aus_settings->activation_url}/newsletter.php?profile_id={$aus_idunique->id_unique}";

                $welcome_message = str_replace("{PROFILE_LINK}", $profilelink, $welcome_message);


                sendWelcomeNotification($userEMail, $sender_name, $sender_email, $welcome_message, $welcome_message_subject);                
            }

        }

		/* Send an E-Mail to the admin after user subscribed */
        if($aus_settings->newentrie_mail == 1)
        	sendNewEMailNotification($adminEmail, $userEMail);

		$SET_UNLOCKED = "success";

    }
    else
    	$SET_UNLOCKED = "failure";
}


## 2.0 ##################################################################
//------------------- Queries after html form submit --------------------


if(!empty($NEWSLETTER_OK))
{
    $mail		= isset($_POST['mail']) ? $_POST['mail'] : "";
    $title		= isset($_POST['title']) ? $_POST['title'] : 0;
    $forename	= isset($_POST['forename']) ? htmlentities($_POST['forename']) : "";
    $surname	= isset($_POST['surname']) ? htmlentities($_POST['surname']) : "";
    $action		= $_POST['action'];

    if($forename == $lang['onl_form_forename'])
    	$forename = "";

    if($surname == $lang['onl_form_surname'])
    	$surname = "";

    if($action == "ein")
    {
 		include(dirname(__FILE__)."/inc/newsletter_subscribecheck.php");
    }

    else if($action == "aus")
    {
 		include(dirname(__FILE__)."/inc/newsletter_unsubscribesubcheck.php");
    }

    else if($action == "edit")
    {
 		include(dirname(__FILE__)."/inc/newsletter_editcheck.php");
    }
}
else if($CHECK_SHOW_CAPTCHA)
    @session_start();


## 1.0 ##################################################################
//---------------------------- Output data -----------------------------

    /*
    if($CHECK_SHOW_CAPTCHA)
        session_start();
    */
        
	$get_profile = $mysql->query("SELECT * FROM {$prefix}_entries WHERE id_unique='{$PROFILE_ID}' AND flag=0");

    $showArchive = isset($showArchive) ? $showArchive : "";

	/* Template - Header */
	require(dirname(__FILE__)."/tpl/tpl_global_header.php");

	/* Template - Notifications */
	if($showArchive == false)
		require(dirname(__FILE__)."/tpl/tpl_newsletter_notifications.php");

	/* Template - Archive */
	if($showArchive == true || !empty($ARCHIVEID))
	{
		require(dirname(__FILE__)."/tpl/tpl_newsletter_archive.php");
	}
	else if(!empty($SHOWEMAILID))
	{
        $get_archive = $mysql->query("SELECT * FROM {$prefix}_archiv WHERE id={$SHOWEMAILID}");
        if($mysql->numRows($get_archive) != 0)
        {
            $out_archive        = $mysql->fetchObject($get_archive);

            if(!empty($SUBSCRIBERID))
            {
                $get_subscriber     = $mysql->query("SELECT * FROM {$prefix}_entries WHERE id_unique='{$SUBSCRIBERID}'");
                if($mysql->numRows($get_subscriber) != 0)
                {
                    $out_subscriber         = $mysql->fetchObject($get_subscriber);
                    $subscriber_email       = $out_subscriber->mail;   
                    $subscriber_forename    = $out_subscriber->forename;
                    $subscriber_surname     = $out_subscriber->surname;
                    $subscriber_id_unique   = $SUBSCRIBERID;


                    //get title
                    if($out_subscriber->title == 1)
                        $subscriber_title   = $aus_settings->replace_form_title_mr;
                    else if($out_subscriber->title == 2)
                        $subscriber_title   = $aus_settings->replace_form_title_mrs;
                    else
                        $subscriber_title   = $aus_settings->replace_form_title_unknown;

                    //get groups
                    $get_usergroups = $mysql->query("SELECT id_group FROM {$prefix}_group_def WHERE id_user={$out_subscriber->id}");
                    if($mysql->numRows($get_usergroups) != 0)
                    {
                        $subscriber_groups = '';
                        while($out_usergroups = $mysql->fetchObject($get_usergroups))
                        {
                            $get_usergroups_name = $mysql->query("SELECT groupname FROM {$prefix}_groups WHERE id={$out_usergroups->id_group}");
                            $aus_usergroups_name = $mysql->fetchObject($get_usergroups_name);

                            $subscriber_groups  .= "{$aus_usergroups_name->groupname}, ";
                        }

                        $subscriber_groups = substr($subscriber_groups, 0, -2);
                    }
                    else
                        $subscriber_groups = '';

                }
                else
                {
                    exit('No valid ID');
                }

            }
            else
            {
                $subscriber_email       = '';
                $subscriber_title       = '';
                $subscriber_forename    = '';
                $subscriber_surname     = '';
                $subscriber_id_unique   = '';
                $subscriber_groups      = '';
            }
                        

            $tpl                = array();
            $tpl['message']     = $out_archive->msg;
            $tpl['subject']     = $out_archive->betreff;

            $tpl['message'] = str_replace('\"', '"', $tpl['message']);
            $tpl['message'] = str_replace('{TITLE_EXPRESSION}', $aus_settings->replace_form_expression_title, $tpl['message']);
            $tpl['message'] = str_replace('{NAME_EXPRESSION}', $aus_settings->replace_form_expression_name, $tpl['message']);
            $tpl['message'] = str_replace('{TITLE}', $subscriber_title, $tpl['message']);
            $tpl['message'] = str_replace('{FORENAME}', $subscriber_forename, $tpl['message']);
            $tpl['message'] = str_replace('{SURNAME}', $subscriber_surname, $tpl['message']);
            $tpl['message'] = str_replace("{EMAIL}", $subscriber_email, $tpl['message']);
            $tpl['message'] = str_replace("{GROUPS}", $subscriber_groups, $tpl['message']);
            $tpl['message'] = str_replace("{UNSUBSCRIBE_LINK}", "{$aus_settings->activation_url}/newsletter.php?unlink_mail={$subscriber_id_unique}", $tpl['message']);
            $tpl['message'] = str_replace("{PROFILE_LINK}", "{$aus_settings->activation_url}/newsletter.php?profile_id={$subscriber_id_unique}", $tpl['message']);
            $tpl['message'] = str_replace("{SHOWEMAIL_LINK}", "{$aus_settings->activation_url}/newsletter.php?showemail={$SHOWEMAILID}&subscriber={$subscriber_id_unique}", $tpl['message']);



            require(dirname(__FILE__)."/tpl/tpl_newsletter_showemail.php");
        }		
	}
	else
	{
		if(!empty($NEWSLETTER_OK) && $HTMLFORM_AFTER_SUBSCRIBE == false && $hide_form == true);
		else
		{
            /* Template - Form */
            if(empty($PROFILE_ID)) { // && $showform ! ="muh")
            	if(!$AJAX) 
                {
                	require(dirname(__FILE__)."/tpl/tpl_newsletter_htmlform.php");
                }
                else if($show_form)
                {
                	require(dirname(__FILE__)."/tpl/tpl_newsletter_ajaxform.php");
                }
            }
            else if($aus_settings->newsletter_profile == 1 && !empty($PROFILE_ID) && $mysql->numRows($get_profile) != 0)
            {
                $aus_profile = $mysql->fetchObject($get_profile);
                require(dirname(__FILE__)."/tpl/tpl_newsletter_userprofile.php");
            }
        }

	}

	/* Template - Footer */
	require(dirname(__FILE__)."/tpl/tpl_global_footer.php");

?>