<?php

##########################################################################
##########################  Script © by       ############################
##########################  www.usolved.net   ############################
##########################################################################

  require('../settings/connect.php');
  require('admin_dynamic_code.php');
  require ('phpmailer/PHPMailerAutoload.php');

  $debug = false;

  if($debug == true)
  {
    $file_debug = 'file_debug.txt';
    $file_current = file_get_contents($file_debug);
  }

  # read settings
  $get_settings       = $mysql->query("SELECT * FROM {$prefix}_settings");
  $aus_settings       = $mysql->fetchObject($get_settings);


  $get_smtp_authtype  = $mysql->query("SELECT * FROM {$prefix}_smtp_authtype WHERE id='{$aus_settings->smtp_authtype_id}'");
  $out_smtp_authtype  = $mysql->fetchObject($get_smtp_authtype);


  $get_smtp_encryption = $mysql->query("SELECT * FROM {$prefix}_smtp_encryption WHERE id='{$aus_settings->smtp_encryption_id}'");
  $out_smtp_encryption = $mysql->fetchObject($get_smtp_encryption);



  $aus_info	 		       = $mysql->fetchObject($mysql->query("SELECT * FROM {$prefix}_info"));
  $VALID			         = $aus_info->licencevalid;
  $COPYRIGHT_TAG       = $aus_info->licencecopyright;


  function microtime_float()
  {
    list($usec, $sec) = explode(' ', microtime());
    $usec = ceil( (float)$usec*1000 );
    $usec = str_pad($usec, 3, "0", STR_PAD_LEFT);
    return $sec . $usec;
  }

  if ($get_language=$mysql->query("SELECT * FROM {$prefix}_language WHERE language_aktiv='1'"))
  {
    $aus_language = $mysql->fetchObject($get_language);
    require("../settings/{$aus_language->language_file}");
  }
  else
    die();

  global $lang;
  error_reporting(0);

  # continue the created job from admin_dispatchjob.php to read the job-data
  session_name("s{$_GET['job']}");
  session_id("s{$_GET['job']}");
  session_start();

  # Sicherstellen, dass alle Daten korrekt eingelesen worden konnten
  if (!array_key_exists('job', $_SESSION))
    die();
  else
    $job = $_SESSION['job'];

  var_dump($_SESSION);
  if(!empty($job['attachments']))
  	$attachment = true;

  # Da mail() einige Zeit beanspruchen kann, und diese im Gegensatz zu relaymail() dem
  # Zeitlimit angerechnet wird, muss eben jenes nun deaktiviert werden
  set_time_limit(0);
  ignore_user_abort(true);

  # Browser disconnecten, die PHP-Instanz läuft dank ignore_user_abort() trotzdem weiter



  # -------------------------------------------------------------------------
  # Generiere Mail Grundkonfiguration



  $mail                 = new PHPMailer;


  if($aus_settings->send_type == 1)
  {
    $mail->isSMTP();                                                      // Set mailer to use SMTP

    $mail->SMTPKeepAlive  = $aus_settings->smtp_keepalive;
    $mail->Host           = $aus_settings->smtp_host;                       // Specify main and backup SMTP servers
    $mail->SMTPAuth       = $aus_settings->smtp_auth;                       // Enable SMTP authentication
    $mail->AuthType       = $out_smtp_authtype->smtp_authtype;
    $mail->Username       = $aus_settings->smtp_user;                       // SMTP username
    $mail->Password       = $aus_settings->smtp_password;                   // SMTP password
    $mail->SMTPSecure     = $out_smtp_encryption->smtp_encryption;          // Enable TLS encryption, `ssl` also accepted
    $mail->Port           = $aus_settings->smtp_port;                       // TCP port to connect to

    if($aus_settings->smtp_ignore_ssl_certificate == 1)
    {
      $mail->SMTPOptions = array(
          'ssl' => array(
              'verify_peer' => false,
              'verify_peer_name' => false,
              'allow_self_signed' => true
          )
      );
    }    
  }


  $mail->From           = $job['from'];
  $mail->FromName       = $job['from_name'];

  if(!empty($job['from_reply_to']))
  {
    $mail->addReplyTo($job['from_reply_to']);
  }

  $mail->CharSet        = $job['charset'];
  $mail->Subject        = $job['subject']; //wird stattdessen in der schleife gefüllt
  $isHTML               = $job['mailformat'] ? true : false;
  $mail->isHTML($isHTML);



  if($attachment == true)
  {
    $newsletter_attachments = $job['attachments'];

    $newsletter_attachments_array = explode(";", $newsletter_attachments);

    foreach($newsletter_attachments_array as $newsletter_attachments_filename)
    {
      if(!empty($newsletter_attachments_filename) && file_exists("../upload/media/".$newsletter_attachments_filename))
      {
        $mail->addAttachment("../upload/media/".$newsletter_attachments_filename);
      }
    }
  }



  # -------------------------------------------------------------------------
  # Generiere Mail Textbausteine


  if( $aus_settings->replace_form_alt_titlecheck == 1)
  	$alternative_title = true;



  # Nachbearbeitung der Nachricht
  $job['message'] = str_replace('\"', '"', $job['message']);
  $job['message'] = str_replace('{TITLE_EXPRESSION}',  $aus_settings->replace_form_expression_title, $job['message']);
  $job['message'] = str_replace('{NAME_EXPRESSION}', $aus_settings->replace_form_expression_name, $job['message']);
  //$job['message'] = str_replace('{SHOWEMAIL_LINK}', "{$job['acturl']}/newsletter.php?showemail={$job['id_archive']}", $job['message']);





  if( (!$VALID && !$COPYRIGHT_TAG) || (!$VALID && $COPYRIGHT_TAG) || ($VALID && $COPYRIGHT_TAG)  )
  {	
	  if ( !strrpos($job['message'], $lang['sendmails_sentwithnletter']) )
    {
      if($COPYRIGHT_TAG)
  		  $job['message'] .= $job['mailformat']
  							 ? "<br><br>------------------------------<br>" . $lang['sendmails_licence_withcopyright'] 
  							 : "\n\n------------------------------\n"       . $lang['sendmails_licence_withcopyright'];
      else
        $job['message'] .= $job['mailformat']
                 ? "<br><br>------------------------------<br>" . $lang['sendmails_sentwithnletter'] 
                 : "\n\n------------------------------\n"       . $lang['sendmails_sentwithnletter'];        
    }
  }


  
  //Auf Wunsch füge statt Bild Link diese als embedded cid Images ein
  if($job['embed_images'] == 1 && $job['mailformat']==1)
  {
    $search_img_src      = '/src="([^"]*)"/i';
    $count_img_src       = preg_match_all($search_img_src, $job['message'], $matches_img_src);

    if($count_img_src > 0)
    {
      $i = 0;
      foreach($matches_img_src[1] as $img_src)
      {        

        //Nur wenn bild aus eigener quelle kommt
        if(strstr($img_src, $job['acturl']))
        {
          //http src durch cid ersetzen in der nachricht
          $job['message'] = str_replace($img_src, "cid:image_{$i}", $job['message']);


          //da http pfad nicht bei addembeddedimage genomen wird in relativen pfad umwandeln
          $img_src = str_replace($job['acturl'], "..", $img_src);

          //bild als embed anhang
          $mail->AddEmbeddedImage($img_src, "image_{$i}");
      
          
          $i++;
        }
      }
    }
  }
 

  $get_placeholder = $mysql->query("SELECT * FROM {$prefix}_placeholder ORDER BY placeholder_name");
  while($out_placeholder = $mysql->fetchObject($get_placeholder))
  {
    $job['message'] = str_replace('{'.$out_placeholder->placeholder_name.'}', $out_placeholder->placeholder_replacement, $job['message']);
  }


  //Zählpixel einbetten, wichtig: Nach dem Embed Algo oben, sonst wird dieses auch ersetze
  if($job['count_views'] == 1 && $job['mailformat']==1)
    $job['message'] .= "<img src=\"{$job['acturl']}/newsletter.php?campaign={$_GET['job']}&id={TMP_ID_UNIQUE}&count\" width=\"1\" height=\"1\">";



  //Links mit Beshreibung in Form {CAMPAIGN_LINK:Beschreibung@http://www.yourlink.com}
  $search_campaign_link1    = '/{CAMPAIGN_LINK:(.*?)}/';


  /*
  //Ab PHP 5.3 möglich
  $callback = function ($match) use ($job)
  {
    return "{$job['acturl']}/newsletter.php?campaign={$_GET['job']}&id={TMP_ID_UNIQUE}&refer=".base64_encode($match[1]);
  };

  $job['message'] = preg_replace_callback($search_campaign_link1, $callback, $job['message']);
  */


  /*
  $job['message'] = preg_replace_callback($search_campaign_link1,
                    create_function('$matches',
                    'global $job;'.
                    'return "{$job["acturl"]}/newsletter.php?campaign={$_GET["job"]}&id={TMP_ID_UNIQUE}&refer=".base64_encode($matches[1]);'),
                    $job['message']);
  */

  $job['message'] = preg_replace_callback($search_campaign_link1,
                    function($matches) {
                      global $job;
                      return "{$job["acturl"]}/newsletter.php?campaign={$_GET["job"]}&id={TMP_ID_UNIQUE}&refer=".base64_encode($matches[1]);
                    },
                    $job['message']);


  # In dieser Variable wird nach und nach dynamisch der Inhalt der Hauptschleife generiert
  $mainloop = '';

  # Empfänger-Mailadressen via MySQL holen
  $time_limit = time();
  if ($job['try_email']) {
    $nletter_mail     = '$aus_id_user->newentrie_mail_address;';
    $get_id_user      = $mysql->query("SELECT newentrie_mail_address "
                                  . "FROM {$prefix}_settings");#
    $nletter_surname  = 'TEST_SURNAME';
    $nletter_forename = 'TEST_FORENAME';
  } else if ($job['id_group'] != 1) {
    $mainloop        .= $code00;
    $get_id_user      = $mysql->query("SELECT id_user, mail, forename, surname "
                                  . "FROM {$prefix}_group_def g, {$prefix}_entries u "
                                  . "WHERE g.id_user=u.id "
                                  .   "AND u.flag<>'1' "
                                  .   "AND g.id_group='{$job['id_group']}' "
                                  .   "AND regdate_t<='{$time_limit}' "
                                  .   "AND u.id>'{$job['resume_id']}' "
                                  . "ORDER BY u.id");
    $nletter_mail     = '$aus_mailaddi->mail';
    $nletter_surname  = '$aus_mailaddi->surname';
    $nletter_forename = '$aus_mailaddi->forename';
  } else {
    $mainloop        .= $code01;
    $get_id_user = $mysql->query("SELECT id, id_unique, mail, title, forename, surname "
                             . "FROM {$prefix}_entries "
                             . "WHERE flag<>'1' "
                             .   "AND regdate_t<='{$time_limit}' "
                             .   "AND id>'{$job['resume_id']}' "
                             . "ORDER BY id");
    $nletter_mail     = '$aus_id_user->mail';
    $nletter_surname  = '$aus_id_user->surname';
    $nletter_forename = '$aus_id_user->forename';
  }

  # Gesamtanzahl der Mails für die Mailjob-Fortschrittsanzeige aktualisieren
  $mail_total = $job['mail_sent'] + $mysql->numRows($get_id_user);
  $mysql->query("UPDATE {$prefix}_mailjobs SET mailTotal=" . $mail_total . " WHERE timestamp={$_GET['job']}");

  # Die Nachricht wird nun direkt an den Tags aufgespalten: 'Hallo {FORENAME}!' => array('Hallo ', '{FORENAME}', '!')
  # Anschließend wird jedes zweite Arrayelement (also jeder Tag) ersetzt durch einen Code in Stringform,
  # der dann später in der Hauptschleife einfach ausgeführt wird.
  $need_title = $need_groups = $need_profile = $need_unsublink = $need_showemail = false;
  $message    = preg_split('#({[^}]+})#', $job['message'], -1, PREG_SPLIT_DELIM_CAPTURE);
  $len        = count($message);
  for ($i=1; $i < $len; $i+=2)

    switch ($message[$i]) {
    case            '{EMAIL}': $message[$i] = "return {$nletter_mail};"; break;
    case            '{TITLE}': $message[$i] = 'return $nletter_title_string;'; $need_title = true; break;
    case           '{GROUPS}': $message[$i] = 'return $nletter_groups;'; $need_groups = true; break;
    case     '{PROFILE_LINK}': $message[$i] = 'return $profilelink;'; $need_profile = true; break;
    case '{UNSUBSCRIBE_LINK}': $message[$i] = 'return $unsublink;'; $need_unsublink = true; break;
    case '{SHOWEMAIL_LINK}'  : $message[$i] = 'return $showemaillink;'; $need_showemail = true; break;
    case          '{SURNAME}': $message[$i] = "return empty({$nletter_surname}) ?"
                                                . "\$aus_settings->replace_form_ifempty_surname : {$nletter_surname};"; break;
    case         '{FORENAME}': $message[$i] = "return empty({$nletter_forename}) ?"
                                                . "\$aus_settings->replace_form_ifempty_forename : {$nletter_forename};"; break;
    }


  /*
  $subject  = preg_split('#({[^}]+})#', $job['subject'], -1, PREG_SPLIT_DELIM_CAPTURE);
  $len      = count($subject);
  for ($i=1; $i < $len; $i+=2)

    switch ($subject[$i]) {
    case          '{SURNAME}': $subject[$i] = "return empty({$nletter_surname}) ?"
                                                . "\$aus_settings->replace_form_ifempty_surname : {$nletter_surname};"; break;
    case         '{FORENAME}': $subject[$i] = "return empty({$nletter_forename}) ?"
                                                . "\$aus_settings->replace_form_ifempty_forename : {$nletter_forename};"; break;
    }
  */

  # Je nachdem, welche Tags in der Nachricht auftauchen, wird jetzt noch mehr dynamischer Code in die Hauptschleife eingefügt
  $mainloop .= ($need_title)     ? $code02 : '';
  $mainloop .= ($need_unsublink) ? $code03 : '';
  $mainloop .= ($need_profile)   ? $code04 : '';
  $mainloop .= ($need_groups)    ? $code05 : '';
  $mainloop .= ($need_showemail) ? $code06 : '';



  //$c=0;
  # Hauptschleife - jede Mail wird nun bearbeitet und versandt
  while ($aus_id_user = $mysql->fetchObject($get_id_user))
  {
  //if($c==1)die();
  //$c++;


    # Überprüfen, ob der Mailjob zwischenzeitlich abgebrochen wurde
    $jobstatus = $mysql->query("SELECT finished FROM {$prefix}_mailjobs WHERE timestamp={$_GET['job']}");
    $row = $mysql->fetchRow($jobstatus);
    if ($row[0] != 0)
      die();

    # Hier wird der dynamisch generierte Code ausgeführt.
    # Er setzt viele Variablen, die gleich beim Zusammensetzten der Nachricht benötigt werden
    eval($mainloop);


    # Der einstmals gesplittete Betreff wird nun wieder zusammengesetzt - allerdings mit echten Daten statt Tags
    
    /*
    $generated_subject = '';
    
    for ($i=0; $i < $len; $i+=2)
      $generated_subject .= $subject[$i] . (($subject[$i+1]{0} === '{') ? $subject[$i+1] : eval($subject[$i+1]));
    */

    # Die einstmals gesplittete Nachricht wird nun wieder zusammengesetzt - allerdings mit echten Daten statt Tags
    $generated_message = '';
    for ($i=0; $i < $len; $i+=2)
      $generated_message .= $message[$i] . ((substr($message[$i+1],0,1) === '{') ? $message[$i+1] : eval($message[$i+1]));


  	# if no sur- or forename, set alternative title
  	if( $alternative_title == true )
  	{
  		$nletter_surname_tmp  = eval("return {$nletter_surname};");
  		$nletter_forename_tmp = eval("return {$nletter_forename};");
      
  		if( empty($nletter_surname_tmp) && empty($nletter_forename_tmp) && !empty($nletter_title_string))
  		{
            $generated_message = str_replace($nletter_title_string." ",  $aus_settings->replace_form_alt_title, $generated_message);
        }

  	}


    # In allen Platzhaltern die Unique ID einsetzen
    $generated_message = str_replace("{TMP_ID_UNIQUE}",  $id_unique, $generated_message);
    



    # Mailjob-Fortschritt aktualisieren, mailLastID für Resume
    $timestamp = microtime_float();
    $mysql->query("UPDATE {$prefix}_mailjobs SET mailSent=mailSent+1, lastID='{$id}', lastTimestamp='{$timestamp}' WHERE timestamp={$_GET['job']}");

    #Debug
    if($debug == true)
    {
      $debug_email = eval("return {$nletter_mail};");

      $file_current .= "E-Mail: {$debug_email}\n";
      $file_current .= "Betreff: {$generated_subject}\n";
      $file_current .= "Nachricht Original: {$job['message']}\n";
      $file_current .= "Nachricht zum Versand: {$generated_message}\n";
    }
    

    # Send mail
    $mail->addAddress(eval("return {$nletter_mail};"));
    //$mail->Subject    = $generated_subject;
    $mail->Body       = $generated_message;


    # Alternative Nachricht wenn Client keine HTML Mails darstellen kann
    if($isHTML == true)
    {
      $message_alternatetext  = str_replace('{SHOWEMAIL_LINK}', "{$job['acturl']}/newsletter.php?showemail={$job['id_archive']}&subscriber={$id_unique}", $aus_settings->default_alternatetext);
      $mail->AltBody          = $message_alternatetext;
    }


    $mail->send();
    $mail->ClearAddresses();
		

    if($debug == true)
    {

      $file_current .= "Errors: ".$mail->ErrorInfo."\n\n";
    }


    if (PHP_OS != 'WINNT' || version_compare(phpversion(), '5.0.0', '>='))
      usleep($job['delay']);
  }

  if($debug == true)
    file_put_contents($file_debug, $file_current);


  # Mailjob schließen
  $mysql->query("UPDATE {$prefix}_mailjobs SET finished=".time()." WHERE timestamp={$_GET['job']}");
  $get_mailTotal = $mysql->query("SELECT mailTotal FROM {$prefix}_mailjobs WHERE timestamp={$_GET['job']}");
  $out_mailTotal = $mysql->fetchObject($get_mailTotal);
  $mysql->query("UPDATE {$prefix}_archiv SET flag=0,empf='{$out_mailTotal->mailTotal}' WHERE mailjobTimestamp={$_GET['job']}");


  # wenn smtp connection offen gehalten wird nach send(), dann manuell die Verbindung schließen
  if($aus_settings->smtp_keepalive == 1)
    $mail->smtpClose();

  session_destroy();
?>