<?php

require(dirname(__FILE__)."/../settings/connect.php");

session_start();
if($_SESSION['user']['login_success']  == false) die('Login Session Error: Query Archive Overview');
if(isset($_SESSION['login_userhash']))
    $login_userhash = $mysql->realEscapeString($_SESSION['login_userhash']);

require(dirname(__FILE__)."/user_check.php");

//------------------------------------------------------------------------

require(dirname(__FILE__)."/admin_functions.php");

$json_return        = array();
$archivid           = isset($_GET['archivid']) ? $_GET['archivid'] : 0;
$html_output        = "";

if($archivid == 0)
{
    $get_archivid   = $mysql->query("SELECT * FROM {$prefix}_archiv WHERE is_test = 0 ORDER BY mailjobTimestamp DESC LIMIT 0,1");
    if($mysql->numRows($get_archivid) > 0)
    {   
        $aus_archivid   = $mysql->fetchObject($get_archivid);
        $archivid       = $aus_archivid->id;
    }
}


if($archivid != 0)
{
    $get_archiv = $mysql->query("SELECT id,count_views,flag,id_group,absender,betreff,msg,empf,date_format(date, '%d.%m.%Y') as date, views, views_unique  
        FROM {$prefix}_archiv 
        WHERE id='$archivid'");
    $aus_archiv = $mysql->fetchObject($get_archiv);

    $get_groupname = $mysql->query("SELECT groupname FROM {$prefix}_groups WHERE id='$aus_archiv->id_group'");
    $aus_groupname = $mysql->fetchObject($get_groupname);



    //Erkennen ob HTML Mail oder nicht
    if($aus_archiv->msg != strip_tags($aus_archiv->msg))
    {
        $text   = $aus_archiv->msg;
    }
    else
    {
        $text   = nl2br($aus_archiv->msg);
    }


    $sender = explode(";", $aus_archiv->absender);

    $row1 = 'one-third';
    $row2 = 'float';

    $sent_finished = $aus_archiv->flag == 1 ? "Nein" : "Ja";


        //--------------------------------------------------------------------------
        //Output newsletter header details

        $html_output .= "<h3>".$aus_archiv->betreff."</h3>";
        $html_output .= "<div class=\"spacer-small\"></div>";


        $html_output .= "<div class=\"text-grey-dark\">";

        $html_output .= "<div class=\"{$row1} first\">".$lang['admin_archive_addr'].":</div><div class=\"{$row2}\">{$sender[0]} ({$sender[1]})</div>";

        $html_output .= "<div class=\"{$row1} first\">".$lang['admin_archive_date'].":</div><div class=\"{$row2}\">".$aus_archiv->date."</div>";
        $html_output .= "<div class=\"{$row1} first\">".$lang['admin_archive_jobcomplete'].":</div><div class=\"{$row2}\">".$sent_finished."</div>";
        $html_output .= "<div class=\"{$row1} first\">".$lang['admin_archive_group'].":</div><div class=\"{$row2}\">".$aus_groupname->groupname."</div>";

        if($aus_archiv->flag == 0)
            $html_output .= "<div class=\"{$row1} first\">".$lang['admin_archive_sentemails'].":</div><div class=\"{$row2}\">".$aus_archiv->empf."</div>";

        if($aus_archiv->count_views == 1)
        {
            $sent_all               = $aus_archiv->empf;
            $sent_viewed            = $aus_archiv->views;
            $sent_viewed_unique     = $aus_archiv->views_unique;

            $sent_viewed_percent            = $sent_all != 0 ? round((100 / $sent_all) * $sent_viewed) : 0;
            $sent_viewed_percent            = $sent_viewed_percent > 100 ? 100 : $sent_viewed_percent;

            $sent_viewed_unique_percent     = $sent_all != 0 ? round((100 / $sent_all) * $sent_viewed_unique) : 0;

        	$html_output .= "<div class=\"{$row1} first\">".$lang['admin_archive_views'].":</div><div class=\"{$row2}\">{$sent_viewed_unique}x {$lang['admin_archive_views_opened']} ({$lang['admin_archive_views_unique']}): ".$sent_viewed_unique_percent."%</div>";
            $html_output .= "<div class=\"{$row1} first\">&nbsp;</div><div class=\"{$row2}\">{$sent_viewed}x {$lang['admin_archive_views_opened']} ({$lang['admin_archive_views_multiple']}): ".$sent_viewed_percent."%</div>";
        }


        //--------------------------------------------------------------------------
        //Output user details

        if($aus_archiv->count_views == 1)
        {
            $html_output .= "<div class=\"spacer-medium\"></div>";
            $html_output .= "<h3><a href=\"#\" class=\"toggle-grey toggle toggle-div\" data-toggle_id=\"item_archive_user\">{$lang['admin_archive_user_headline']}</a></h3>";
            


            $html_output .= "<div class=\"hide\" id=\"item_archive_user\">";
                
                $html_output .= "<div class=\"spacer-small\"></div>";

                //Überschriften ausgeben
                $html_output .= "<div class=\"first full padding-overall-small background-table-headline text-table-headline\">";

                    $html_output .= "<div class=\"one-half first\">{$lang['admin_archive_user_email']}</div>";
                    $html_output .= "<div class=\"one-half\">{$lang['admin_archive_user_opened']}</div>";

                $html_output .= "</div>";

                $html_output .= "<div class=\"spacer-very-small\"></div>";

                //-----------------------------------------------------
                //Page Script

                $limit_entries      = 5;
                $page               = isset($page) ? $page : 0;

                $limit_start        = $page * $limit_entries;

                $get_number_entries = $mysql->query("SELECT count(*) AS number_entries FROM {$prefix}_archiv_user WHERE id_archiv='{$aus_archiv->id}'");
                $out_number_entries = $mysql->fetchObject($get_number_entries);

                $pages_total        =  ceil($out_number_entries->number_entries / $limit_entries) - 1;

                //-----------------------------------------------------
                //Call functions for output

                $html_output .= "<div class=\"first full padding-overall-small\" id=\"\">";

                    $html_output .= output_user_stats(0, $aus_archiv->id, $limit_entries);

                    $html_output .= "<div class=\"append_user_stats\"></div>";

                $html_output .= "</div>";

                //-----------------------------------------------------
                //Show more button or not (hidden with JavaScript)

                if($page < $pages_total)
                {
                    $html_output .= "<div id=\"load_more_subscriber_ajaxloader\" class=\"hide\"><img src=\"images/ajaxloader.gif\"></div>";
                    $html_output .= "<div class=\"spacer-very-small\"></div>";
                    $html_output .= "<div><input type=\"button\" id=\"button_load_more_subscriber_stats\" data-page=\"{$page}\" data-pages_total=\"{$pages_total}\" data-limit_entries=\"{$limit_entries}\" data-id_archiv=\"{$aus_archiv->id}\" value=\"{$lang['admin_archive_user_load_more']}\" class=\"button button-light\"></div>";

                }


            $html_output .= "</div>";

        }


        //--------------------------------------------------------------------------
        //Output campaign links

        $search_campaign_link1      = '/{CAMPAIGN_LINK:(.*?)}/';
        $count_campaign_link1       = preg_match_all($search_campaign_link1, $text, $matches_campaign_link1);

        if($count_campaign_link1 > 0)
        {   
            $campaign_link_clicks_sum           = 0;
            $campaign_link_clicks_unique_sum    = 0;
            $campaign_link_count                = 0;

            $html_output .= "<div class=\"spacer-medium\"></div>";
            $html_output .= "<div class=\"{$row1} first\"><h3><a href=\"#\" class=\"toggle-grey toggle toggle-div\" data-toggle_id=\"item_archive_links\">".$lang['admin_archive_campaignlinks']."</a></h3></div>";
            
            $html_output .= "<div class=\"hide\" id=\"item_archive_links\">";

                $html_output .= "<div class=\"spacer-small\"></div>";

                //Überschriften ausgeben
                $html_output .= "<div class=\"first full padding-overall-small background-table-headline text-table-headline\">";

                    $html_output .= "
                    <div class=\"one-half first\">".$lang['admin_archive_linkname']."</div>
                    <div class=\"one-fourth\">".$lang['admin_archive_linkclicks_unique']."</div>
                    <div class=\"one-fourth\">".$lang['admin_archive_linkclicks']."</div>
                    ";

                $html_output .= "</div>";
                $html_output .= "<div class=\"spacer-very-small\"></div>";
                    
                //elimiere doppelte links in einer mail, da diese nur einmal zählen
                $matches_campaign_link_unique = array_unique($matches_campaign_link1[1]);

                foreach($matches_campaign_link_unique as $matches_campaign_link)
                {

                    $get_archiv_links = $mysql->query("SELECT * FROM {$prefix}_archiv_links WHERE id_archiv='{$archivid}' AND url='{$matches_campaign_link}'");
                    
                    if($mysql->numRows($get_archiv_links) > 0)
                    {
                        $out_archiv_links               = $mysql->fetchObject($get_archiv_links);
                        $campaign_link_clicks           = $out_archiv_links->clicks;
                        $campaign_link_clicks_unique    = $out_archiv_links->clicks_unique;
                    }
                    else
                    {
                        $campaign_link_clicks           = 0;
                        $campaign_link_clicks_unique    = 0;
                    }

                    $campaign_link_clicks_sum           += $campaign_link_clicks;
                    $campaign_link_clicks_unique_sum    += $campaign_link_clicks_unique;

                    $campaign_link_count++;

                    $html_output .= "
                    <div class=\"one-half first\">{$matches_campaign_link}</div>
                    <div class=\"one-fourth\">{$campaign_link_clicks_unique}</div>
                    <div class=\"one-fourth\">{$campaign_link_clicks}</div>
                    ";
                }

                //Erfolgsrate der Klicks in % berechnen
                $campaign_link_bestpossible         = $campaign_link_count * $aus_archiv->empf;
                $campaign_link_bestpossible         = $campaign_link_bestpossible == 0 ? 1 : $campaign_link_bestpossible;



                $campaign_link_successrate          = (100 / $campaign_link_bestpossible) * $campaign_link_clicks_sum;
                $campaign_link_successrate          = $campaign_link_successrate > 100 ? 100 : $campaign_link_successrate;

                $campaign_link_successrate_unique   = (100 / $campaign_link_bestpossible) * $campaign_link_clicks_unique_sum;
                $campaign_link_successrate_unique   = $campaign_link_successrate_unique > 100 ? 100 : $campaign_link_successrate_unique;

                $html_output .= "<div class=\"spacer-small\"></div>";
                $html_output .= "
                <div class=\"one-half first\">{$lang['admin_archive_linkclicks_all']}</div>
                <div class=\"one-fourth\">{$campaign_link_clicks_unique_sum}</div>
                <div class=\"one-fourth\">{$campaign_link_clicks_sum}</div>
                ";


                $html_output .= "
                <div class=\"one-half first\">{$lang['admin_archive_linksuccessrate']}</div>
                <div class=\"one-fourth\">{$campaign_link_successrate_unique}%</div>
                <div class=\"one-fourth\">{$campaign_link_successrate}%</div>
                ";
                //$html_output .= " <div class=\"chart percent\" data-percent=\"{$campaign_link_successrate}\">{$campaign_link_successrate}</div>";

            $html_output .= "</div>";
        }

    $html_output .= "</div>";

    $html_output .= "<div class=\"spacer-medium\"></div>";


    //--------------------------------------------------------------------------
    //Output newsletter message

    //$html_output .= "<div class=\"{$row1} first bold\">".$lang['admin_archive_subject'].":</div><div class=\"{$row2}\">".$aus_archiv->betreff."</div>";
    //$html_output .= "<div class=\"full first bold\">".$lang['admin_archive_msg'].":</div>";
    $html_output .= "<h3><a href=\"#\" class=\"toggle-grey toggle toggle-div\" data-toggle_id=\"item_archive_message\">".$lang['admin_archive_msg']."</a></h3>";
    $html_output .= "<div class=\"spacer-small\"></div>";
    //$html_output .= "<div class=\"full first text-grey-dark\" style=\"overflow: auto; height: 150px;\">".$text."</div>";
        
    $html_output .= "<div class=\"hide\" id=\"item_archive_message\">";

        $html_output .= "<div id=\"archive_newsletter_message\"><iframe class=\"archive-message-preview-frame\" id=\"iframe_newsletter_message\"></iframe></div>";

    $html_output .= "</div>";



    $json_return['html_output']         = $html_output;
    $json_return['newsletter_message']  = $text;
}




echo json_encode($json_return);

?>