<?php

require(dirname(__FILE__)."/../settings/connect.php");

session_start();
if($_SESSION['user']['login_success']  == false) die('Login Session Error: Query Media Filebrowser');
if(isset($_SESSION['login_userhash']))
    $login_userhash = $mysql->realEscapeString($_SESSION['login_userhash']);
    
require(dirname(__FILE__)."/user_check.php");

//------------------------------------------------------------------------



$get_settings			= $mysql->query("SELECT * FROM {$prefix}_settings");
$out_settings			= $mysql->fetchObject($get_settings);



require(dirname(__FILE__)."/admin_functions.php");




$uploaddir 			= '../upload/media/';
$id_upload_folder   = 1;

//-----------------------------------------------------
//Page Script

$page 				= isset($_GET['page']) ? $_GET['page'] : 0;
$limit_entries 		= 4;

$limit_start 		= $page * $limit_entries;

$page_link_newer 	= $page - 1;
$page_link_older 	= $page + 1;


//check für link wie weit man zurückgehen kann

$limit_start_temp 	= ($page + 1) * $limit_entries;

$query_page_temp 	= "SELECT * FROM {$prefix}_upload 
WHERE id_upload_folder='{$id_upload_folder}' 
ORDER BY upload_timestamp_changed DESC 
LIMIT {$limit_start_temp}, {$limit_entries}";

$get_page_temp		= $mysql->query($query_page_temp);
if($mysql->numRows($get_page_temp) == 0)
	$show_link_older = false;
else
	$show_link_older = true;

//-----------------------------------------------------


$get_upload 	= $mysql->query("SELECT * FROM {$prefix}_upload 
	WHERE id_upload_folder='{$id_upload_folder}' 
	ORDER BY upload_timestamp_changed DESC 
	LIMIT {$limit_start}, {$limit_entries}");

if($mysql->numRows($get_upload) > 0)
{
	echo "<div class=\"first full padding-overall-small background-table-headline text-table-headline\">";

		echo "<div class=\"one-half first\">{$lang['sendform_media_headline_browser_filename']}</div>";
		echo "<div class=\"one-third\">{$lang['sendform_media_headline_browser_changeddate']}</div>";
		echo "<div class=\"one-twentieth\">&nbsp;</div>";

	echo "</div>";
	echo "<div class=\"first full padding-overall-small\">";

		echo "<div class=\"spacer-very-small\"></div>";

		while($out_upload = $mysql->fetchObject($get_upload))
		{
			if(strlen($out_upload->upload_filename) > 25)
				$upload_filename = substr($out_upload->upload_filename, 0, 22)."...";
			else
				$upload_filename = $out_upload->upload_filename;

			echo "<div class=\"one-half first text-grey-dark\"><input type=\"checkbox\" name=\"upload_checkbox\" value=\"1\" data-id_upload=\"{$out_upload->id_upload}\" data-fileurl=\"{$file_root}/upload/media/\" data-filename=\"{$out_upload->upload_filename}\" id=\"id_upload_{$out_upload->id_upload}\"> <label for=\"id_upload_{$out_upload->id_upload}\">{$upload_filename}</label></div>";
			echo "<div class=\"one-third text-grey-dark\">".output_lastchange($out_upload->upload_timestamp_changed)."</div>";
			echo "<div class=\"one-twentieth\"><a href=\"#\" class=\"upload-delete\" data-id_upload=\"{$out_upload->id_upload}\" data-confirm_message=\"".$lang['sendform_confirm_delete']."\" title=\"{$lang['sendform_media_headline_browser_filedelete']}\"><span class=\"fa fa-lg fa-trash-o\"></span></a></div>";
			
			echo "<div class=\"spacer-very-small\"></div>";
		}


		//--------------------------------------------
		//Pages

		output_pagelinks("page-change-filebrowser", "page_loader_filebrowser", $page, $page_link_newer, $page_link_older, $show_link_older);


	

	echo "</div>";

	//--------------------------------------------


	echo "<div class=\"spacer-small\"></div>";

	echo "<div>";

		if($out_settings->attachment_upload == 1)
			echo "<input type=\"button\" id=\"upload_add_to_attachment\" value=\"{$lang['sendform_media_headline_browser_button_addattachment']}\" class=\"button\"> ";

		echo "<input type=\"button\" id=\"upload_embed_to_message\" value=\"{$lang['sendform_media_headline_browser_button_embedfile']}\" class=\"button\">";

	echo "</div>";

}
else
{
	echo "<div>{$lang['sendform_media_headline_browser_nofiles']}</div>";
}

?>