<?php

require(dirname(__FILE__)."/../settings/connect.php");

session_start();
if($_SESSION['user']['login_success']  == false) die('Login Session Error: Query Savemail Add');
if(isset($_SESSION['login_userhash']))
    $login_userhash = $mysql->realEscapeString($_SESSION['login_userhash']);
    
require(dirname(__FILE__)."/user_check.php");

//------------------------------------------------------------------------


$get_language 			= $mysql->query("SELECT * FROM {$prefix}_language WHERE language_aktiv='1'");
$out_language 			= $mysql->fetchObject($get_language);

require(dirname(__FILE__)."/../settings/{$out_language->language_file}");
require(dirname(__FILE__)."/admin_functions.php");


$json_return 			= array();
$form_error 			= false;

$id_group 				= $_POST['id_group'];
$newsletter_count_views = isset($_POST['newsletter_count_views']) ? 1 : 0;
$newsletter_embed_images = isset($_POST['newsletter_embed_images']) ? 1 : 0;
$newsletter_id_sender 	= isset($_POST['newsletter_id_sender']) ? $_POST['newsletter_id_sender'] : 0;
$newsletter_attachments = isset($_POST['newsletter_attachments']) ? escapeString($_POST['newsletter_attachments']) : "";
$newsletter_subject 	= escapeString($_POST['newsletter_subject']);
$newsletter_message 	= escapeString($_POST['newsletter_message']);

$savedemails_name 		= trim(escapeString($_POST['savedemails_name']));

if(empty($savedemails_name))
{
	$json_return['error'][]    = $lang['sendform_button_saveemail_noname'];
	$form_error = true;
}


if($form_error == false)
{


	$newsletter_id_groups 	= "";
	if(is_array($id_group))
	{
		foreach($id_group as $id_group_value)
		{
			$newsletter_id_groups .= $id_group_value.";";
		}
	}



	$get_savedemails = $mysql->query("SELECT * FROM {$prefix}_savedemails WHERE savedemails_name='{$savedemails_name}'");
	if($mysql->numRows($get_savedemails) != 0)
	{
	    $out_savedemails = $mysql->fetchObject($get_savedemails);

	    $mysql->query("UPDATE {$prefix}_savedemails SET 
	        newsletter_id_groups='{$newsletter_id_groups}',
	        newsletter_id_sender='{$newsletter_id_sender}',
	        newsletter_count_views='{$newsletter_count_views}',
	        newsletter_embed_images='{$newsletter_embed_images}',
	        newsletter_subject='{$newsletter_subject}',
	        newsletter_message='{$newsletter_message}',
	        newsletter_attachments='{$newsletter_attachments}',
	        savedemails_timestamp='".time()."' 

	        WHERE id_savedemails='{$out_savedemails->id_savedemails}'");

	    $json_return['success'][]    = $lang['sendform_button_saveemail_overwrite'];
	}
	else
	{
	    $mysql->query("INSERT INTO {$prefix}_savedemails (
	    	savedemails_name,
	    	newsletter_id_groups,
	    	newsletter_id_sender,
	    	newsletter_count_views,
	    	newsletter_embed_images,
	    	newsletter_subject,
	    	newsletter_message,
	    	newsletter_attachments,
	    	savedemails_timestamp
	    	) VALUES (
	    	'{$savedemails_name}',
	    	'{$newsletter_id_groups}',
	    	'{$newsletter_id_sender}',
	    	'{$newsletter_count_views}',
	    	'{$newsletter_embed_images}',
	    	'{$newsletter_subject}',
	    	'{$newsletter_message}',
	    	'{$newsletter_attachments}',
	    	'".time()."'
	    	)");

	    $json_return['success'][]    = $lang['sendform_button_saveemail_success'];
	}

}



echo json_encode($json_return);

?>