<?php

require(dirname(__FILE__)."/../settings/connect.php");

session_start();
if($_SESSION['user']['login_success']  == false) die('Login Session Error: Query Savemail CRUD');
if(isset($_SESSION['login_userhash']))
    $login_userhash = $mysql->realEscapeString($_SESSION['login_userhash']);
    
require(dirname(__FILE__)."/user_check.php");

//------------------------------------------------------------------------


require(dirname(__FILE__)."/admin_functions.php");


$json_return 			= array();
$form_error 			= false;

$mode 				= escapeString($_POST['mode']);
$id_savedemails 	= escapeString($_POST['id_savedemails']);


if($mode == 'copy' && !empty($id_savedemails))
{
	$get_result = $mysql->query("SELECT * FROM {$prefix}_savedemails WHERE id_savedemails='{$id_savedemails}'");
	if($mysql->numRows($get_result) != 0)
	{
		$out_result = $mysql->fetchObject($get_result);

		$savedemails_name = $out_result->savedemails_name.'-copy';

	    $mysql->query("INSERT INTO {$prefix}_savedemails (
	    	savedemails_name,
	    	newsletter_id_groups,
	    	newsletter_id_sender,
	    	newsletter_count_views,
	    	newsletter_embed_images,
	    	newsletter_subject,
	    	newsletter_message,
	    	newsletter_attachments,
	    	savedemails_timestamp
	    	) VALUES (
	    	'{$savedemails_name}',
	    	'{$out_result->newsletter_id_groups}',
	    	'{$out_result->newsletter_id_sender}',
	    	'{$out_result->newsletter_count_views}',
	    	'{$out_result->newsletter_embed_images}',
	    	'{$out_result->newsletter_subject}',
	    	'{$out_result->newsletter_message}',
	    	'{$out_result->newsletter_attachments}',
	    	'".time()."'
	    	)");

		$json_return['success'][]    = $lang['sendform_button_saveemail_copy_success'];
	}
	else
	{
		$json_return['error'][]    = $lang['sendform_button_saveemail_copy_id_error'];
	}


	
}
else if($mode == 'update' && !empty($id_savedemails))
{
	$form = [];
	parse_str($_POST['form'], $form);

	$id_group 				= $form['id_group'];
	$newsletter_count_views = isset($form['newsletter_count_views']) ? 1 : 0;
	$newsletter_embed_images = isset($form['newsletter_embed_images']) ? 1 : 0;
	$newsletter_id_sender 	= isset($form['newsletter_id_sender']) ? $form['newsletter_id_sender'] : 0;
	$newsletter_attachments = isset($form['newsletter_attachments']) ? escapeString($form['newsletter_attachments']) : "";
	$newsletter_subject 	= escapeString($form['newsletter_subject']);
	$newsletter_message 	= escapeString($form['newsletter_message']);

	$newsletter_id_groups 	= "";
	if(is_array($id_group))
	{
		foreach($id_group as $id_group_value)
		{
			$newsletter_id_groups .= $id_group_value.";";
		}
	}


    $mysql->query("UPDATE {$prefix}_savedemails SET 
        newsletter_id_groups='{$newsletter_id_groups}',
        newsletter_id_sender='{$newsletter_id_sender}',
        newsletter_count_views='{$newsletter_count_views}',
        newsletter_embed_images='{$newsletter_embed_images}',
        newsletter_subject='{$newsletter_subject}',
        newsletter_message='{$newsletter_message}',
        newsletter_attachments='{$newsletter_attachments}',
        savedemails_timestamp='".time()."' 

        WHERE id_savedemails='{$id_savedemails}'");

    $json_return['success'][]    = $lang['sendform_button_saveemail_overwrite'];
}
else if($mode == 'rename' && !empty($id_savedemails))
{
	$form = [];
	parse_str($_POST['form'], $form);


	$savedemails_name_new 		= trim(escapeString($form['savedemails_name_new']));

	if(empty($savedemails_name_new))
	{
		$json_return['error'][]    = $lang['sendform_button_saveemail_noname'];
		$form_error = true;
	}


	if($form_error == false)
	{
	    $mysql->query("
	    	UPDATE {$prefix}_savedemails SET 
	        savedemails_name = '{$savedemails_name_new}'
	        WHERE id_savedemails = '{$id_savedemails}'
	        ");

	    $json_return['success'][]    = $lang['sendform_button_saveemail_rename_success'];
	}
}


echo json_encode($json_return);

?>