<?php

require(dirname(__FILE__)."/../settings/connect.php");

session_start();
if($_SESSION['user']['login_success']  == false) die('Login Session Error: Query Savemail get');
if(isset($_SESSION['login_userhash']))
    $login_userhash = $mysql->realEscapeString($_SESSION['login_userhash']);
    
require(dirname(__FILE__)."/user_check.php");

//------------------------------------------------------------------------


require(dirname(__FILE__)."/admin_functions.php");



//-----------------------------------------------------
//Page Script

$page               = isset($_GET['page']) ? $_GET['page'] : 0;
$limit_entries      = 4;

$limit_start        = $page * $limit_entries;

$page_link_newer    = $page - 1;
$page_link_older    = $page + 1;


//check für link wie weit man zurückgehen kann

$limit_start_temp   = ($page + 1) * $limit_entries;

$query_page_temp    = "SELECT * FROM {$prefix}_savedemails ORDER BY savedemails_timestamp DESC LIMIT {$limit_start_temp}, {$limit_entries}";

$get_page_temp      = $mysql->query($query_page_temp);
if($mysql->numRows($get_page_temp) == 0)
    $show_link_older = false;
else
    $show_link_older = true;

//-----------------------------------------------------



$get_drafts=$mysql->query("SELECT * FROM {$prefix}_savedemails ORDER BY savedemails_timestamp DESC LIMIT {$limit_start}, {$limit_entries}");
if($mysql->numRows($get_drafts)!=0)
{
    echo '
    <table class="table-small">
        <thead>
            <tr>
                <th>'.$lang['sendform_saveemail_headline_get_draft'].'</th>
                <th>'.$lang['sendform_saveemail_headline_get_changeddate'].'</th>
                <th>'.$lang['sendform_saveemail_headline_get_actions'].'</th>
            </tr>
        </thead>
        <tbody>
        ';

            while($out_drafts = $mysql->fetchObject($get_drafts))
            {

                $savedemails_timestamp = empty($out_drafts->savedemails_timestamp) ? "-" : output_lastchange($out_drafts->savedemails_timestamp);

                echo '
                <tr>
                    <td><a href="index.php?s=newsletter&draft='.$out_drafts->id_savedemails.'" title="'.$lang['sendform_saveemail_loaddraft'].'">'.$out_drafts->savedemails_name.'</a></td>
       
                    <td>'.$savedemails_timestamp.'</td>
       
                    <td class="actions">
                        <a href="index.php?s=newsletter&draft_rename='.$out_drafts->id_savedemails.'" title="'.$lang['sendform_saveemail_renamedraft'].'"><span class="fa fa-pencil-square-o fa-lg"></span></a>

                        <a href="#" class="saveemail-crud" data-mode="copy" data-id_savedemails="'.$out_drafts->id_savedemails.'" title="'.$lang['sendform_saveemail_copydraft'].'"><span class="fa fa-files-o fa-lg"></span></a>

                        <a href="#" class="saveemail-delete" data-id_savedemails="'.$out_drafts->id_savedemails.'" data-confirm_message="'.$lang['sendform_confirm_delete'].'" title="'.$lang['sendform_saveemail_deletedraft'].'"><span class="fa fa-trash-o fa-lg"></span></a>
                    </td>
                </tr>
                '; 

            }

        echo '
        </tbody>
    </table>
    ';




    //--------------------------------------------
    //Pages

    output_pagelinks("page-change-drafts", "page_loader_drafts", $page, $page_link_newer, $page_link_older, $show_link_older);


}
else
{
    //lieber leer lassen
    //echo "<div>".$lang['sendform_templates_nothing']."</div>";
}





?>