<?php
session_start();
require(dirname(__FILE__)."/../settings/connect.php");
require(dirname(__FILE__)."/user_check.php");

$get_language           = $mysql->query("SELECT * FROM {$prefix}_language WHERE language_aktiv='1'");
$out_language           = $mysql->fetchObject($get_language);

require(dirname(__FILE__)."/../settings/{$out_language->language_file}");

if($out_language->language_name == "German")
    $language_load = "de";
else
    $language_load = "en";


//Detect if server uses SSL
$scheme = '';
if((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off') || $_SERVER['SERVER_PORT'] == 443)
{
    $scheme = 'ssl://';
}


// Executer starten
$hSocket = fsockopen($scheme . $_SERVER['HTTP_HOST'], $_SERVER['SERVER_PORT'], $errno, $errstr, 5);

if(!$hSocket)
{
    $json_return['sendstatus'] = '<span class="fa fa-exclamation-triangle"></span> '.$lang['settings_test_socketwrite_open_error'].' '.$errno.' '.$errstr;
}
else
{

    $mysql->query("UPDATE {$prefix}_settings SET test_socketwrite = NULL");

    fwrite($hSocket,
           "GET " . dirname($_SERVER['REQUEST_URI']) . "/admin_query_test_socketwrite_execute.php HTTP/1.1\r\n"
         . "Host: {$_SERVER['HTTP_HOST']}\r\n"
         . "Connection: close\r\n\r\n");

    //DEBUG
    //while (!feof($hSocket)) echo fread($hSocket, 8192);

    sleep(1);
    fclose($hSocket);

    $get_result = $mysql->query("SELECT test_socketwrite FROM {$prefix}_settings WHERE test_socketwrite IS NULL");
    if($mysql->numRows($get_result) == 1)
    {
        $json_return['sendstatus'] = '<span class="fa fa-exclamation-triangle text-red"></span> '.$lang['settings_test_socketwrite_write_error'];
    }
    else
    {
        $json_return['sendstatus'] = '<span class="fa fa-check text-green"></span> '.$lang['settings_test_socketwrite_success'];
    }
}


echo json_encode($json_return);
