<?php
##########################################################################
##########################  Script © by       ############################
##########################  www.usolved.net   ############################
##########################################################################


if(isset($_POST['ajax']) && $_POST['ajax'] == true)
{
    require_once(dirname(__FILE__)."/../settings/connect.php");
    require_once(dirname(__FILE__)."/newsletter_functions.php");

    if($get_set = $mysql->query("SELECT * FROM $prefix"."_settings"))
        $aus_settings = $mysql->fetchObject($get_set);

    $language               = isset($_POST['language']) ? $mysql->realEscapeString($_POST['language']) : "";

    if(empty($language))
    {
        if($get_language = $mysql->query("SELECT * FROM $prefix"."_language WHERE language_aktiv='1'"))
        {
            $aus_language = $mysql->fetchObject($get_language);
            require(dirname(__FILE__)."/../settings/".$aus_language->language_file);
        }        
    }
    else
    {
        if($get_language=$mysql->query("SELECT * FROM $prefix"."_language WHERE id='{$language}'"))
        {
            if($mysql->numRows($get_language) == 1)
            {
                $aus_language=$mysql->fetchObject($get_language);
                require(dirname(__FILE__)."/../settings/".$aus_language->language_file);            
            }
            else
                exit("No valid language ID");
        }
    }


    $mail               = isset($_POST['mail']) ? $_POST['mail'] : "";
    $title              = isset($_POST['title']) ? $_POST['title'] : 0;
    $forename           = isset($_POST['forename']) ? $_POST['forename'] : "";
    $surname            = isset($_POST['surname']) ? $_POST['surname'] : "";
    $company            = isset($_POST['company']) ? $_POST['company'] : "";
    $consent_check      = isset($_POST['consent_check']) && $_POST['consent_check'] == 'true' ? true : false;
}

$form_error             = false;
$subscribe_message      = [];
$datum                  = date("Y-m-d");
//$mail                   = addslashes(strip_tags(htmlentities($mail)));
$title                  = $mysql->realEscapeString(trim(strip_tags(htmlentities($title))));
$mail                   = $mysql->realEscapeString(trim(strip_tags(htmlentities($mail))));
$forename               = $mysql->realEscapeString(trim(strip_tags(htmlentities($forename))));
$surname                = $mysql->realEscapeString(trim(strip_tags(htmlentities($surname))));
$company                = $mysql->realEscapeString(trim(strip_tags(htmlentities($company))));

$get_sender		= $mysql->query("SELECT * FROM {$prefix}_senderaddress WHERE sender_default=1");
$aus_sender		= $mysql->fetchObject($get_sender);
$sender_email	= isset($aus_sender->sender_email) ? $aus_sender->sender_email : "";
$sender_name	= isset($aus_sender->sender_name) ? $aus_sender->sender_name : "";

$get_email_check = $mysql->query("SELECT mail FROM $prefix"."_entries WHERE mail='$mail'");

$blackaddress_found     = false;
$get_blacklist_check    = $mysql->query("SELECT mail FROM {$prefix}_blacklist");
if($mysql->numRows($get_blacklist_check )!= 0)
{
    while($aus_blacklist_check = $mysql->fetchObject($get_blacklist_check))
    {
        if(strstr($mail, $aus_blacklist_check->mail))
        {
            $blackaddress_found = true;
            break;
        }
    }
}

if($mysql->numRows($get_email_check) == 0 && $blackaddress_found == false)
{

	if($aus_settings->newsletter_captcha == "1")
	{
        require_once (dirname(__FILE__)."/securimage/securimage.php");
        $captcha = new Securimage();
	}

	//----

    $mail=trim($mail);
    if(!preg_match( '/^([a-zA-Z0-9])+([\.a-zA-Z0-9_-])*@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-]+)+$/' , $mail))
    {
        $subscribe_message['mail']  = $lang['onl_checkemail'];
        $form_error                 = true;
    }
    if($aus_settings->form_forename == "1" && empty($forename))
    {
        $subscribe_message['forename']  = $lang['onl_checkforename'];
        $form_error                     = true;
    }
    if($aus_settings->form_surname == "1" && empty($surname))
    {
        $subscribe_message['surname']   = $lang['onl_checksurname'];
        $form_error                     = true;
    }
    if($aus_settings->form_company == "1" && empty($company))
    {
        $subscribe_message['company']   = $lang['onl_checkcompany'];
        $form_error                     = true;
    }
    if($aus_settings->group_choice=="1" && empty($_POST['group_id']))
    {
        $subscribe_message['group'] = $lang['onl_checkgroup'];
        $form_error                 = true;
    }
    if($aus_settings->newsletter_captcha == "1" && $captcha->check($_POST['captcha_code']) == false)
    {
        $subscribe_message['captcha']  = $lang['onl_checkcaptcha'];
        $form_error         = true;
    }
    if($aus_settings->newsletter_consent == "1" && $consent_check == false)
    {
        $subscribe_message['consent']   = $lang['onl_checkeconsent'];
        $form_error                     = true;
    }

    if($form_error == false)
    {
        $get_settings = $mysql->query("SELECT * FROM $prefix"."_settings");
		$aus_settings = $mysql->fetchObject($get_settings);


    	if($aus_settings->activation == 0)
    	{
    		#EINTRAG #

    		$id_unique = substr(md5(microtime()), 1, 12);
    		$mysql->query("INSERT INTO $prefix"."_entries (
                id_unique, 
                mail, 
                title, 
                company,
                forename, 
                surname, 
                regdate, 
                regdate_t, 
                flag
                ) VALUES (
                '$id_unique', 
                '$mail', 
                '$title', 
                '$company', 
                '$forename', 
                '$surname', 
                NOW(), 
                '".time()."', 
                '0'
                )");

    		//standardgruppe in die user getan wird, sofern keine manuelle gruppenwahl und nicht standardgruppe
    		if($aus_settings->group_choice == 0 && $aus_settings->default_entry_group != 1)
    		{
            	$id_user	= $mysql->insertId();
            	$group_id	= $aus_settings->default_entry_group;

            	$mysql->query("INSERT INTO {$prefix}_group_def (id_user,id_group) VALUES ('".$id_user."','".$group_id."')");
    		}
            else if($aus_settings->group_choice == 1 && $aus_settings->group_choice_radio == 0) //checkbox
            {
                $id_user	= $mysql->insertId();
                $group_id	= $_POST['group_id'];

                foreach($group_id as $group_id_value)
                {
                    $mysql->query("INSERT INTO {$prefix}_group_def (id_user,id_group) VALUES ('".$id_user."','".$group_id_value."')");
                }
            }
            else if($aus_settings->group_choice == 1 && $aus_settings->group_choice_radio == 1)
            {
            	$id_user	= $mysql->insertId();
            	$group_id	= $_POST['group_id'];

            	$mysql->query("INSERT INTO {$prefix}_group_def (id_user,id_group) VALUES ('".$id_user."','".$group_id."')");

            }

            $default_welcome            = $aus_settings->default_welcome;
            $default_welcome_subject    = $aus_settings->default_welcome_subject;

			//new
            if(isset($id_user))
            {
				$get_idunique=$mysql->query("SELECT * FROM {$prefix}_entries WHERE id='{$id_user}'");
				$aus_idunique=$mysql->fetchObject($get_idunique);

				    $profilelink = $aus_settings->mailformat ? "<a href=\"{$aus_settings->activation_url}/newsletter.php?profile_id={$aus_idunique->id_unique}\">{$aus_settings->activation_url}/newsletter.php?profile_id={$aus_idunique->id_unique}</a>" : "{$aus_settings->activation_url}/newsletter.php?profile_id={$aus_idunique->id_unique}";

			
			    $default_welcome = str_replace("{PROFILE_LINK}", $profilelink, $default_welcome);
            }

            if($aus_settings->welcome == 1)
            	$notification_message['email'] = sendWelcomeNotification($mail, $sender_name, $sender_email, $default_welcome, $default_welcome_subject);

            if($aus_settings->newentrie_mail == 1)
            	$notification_message['email'] = sendNewEMailNotification($aus_settings->newentrie_mail_address, $mail);



            $subscribe_message['success'] = $lang['onl_success'];
            

            $hide_form = true;
    	}
    	else
    	{
    	   # TEMPEINTRAG #

            $activation_url = $aus_settings->activation_url;
            $get_usermail   = $mysql->query("SELECT mail FROM $prefix"."_intern_users WHERE id='1'");
            $aus_usermail   = $mysql->fetchObject($get_usermail);
            $usermail       = $aus_usermail->mail;
            $subject        = $lang['onl_newsletterunlock'];
            $zieladdi       = $mail;

            srand((double)microtime()*1000000);
            $mail_id    = md5(uniqid(rand()));
            $timestamp  = time();

            $id_unique  = substr(md5(microtime()), 1, 12);
            $mysql->query("INSERT INTO $prefix"."_entries (
                id_unique, 
                mail_id, 
                mail, 
                title, 
                company,
                forename, 
                surname, 
                regdate, 
                regdate_t, 
                flag
                ) VALUES (
                '$id_unique', 
                '$mail_id', 
                '$mail', 
                '$title', 
                '$company',
                '$forename', 
                '$surname', 
                NOW(), 
                '$timestamp',
                '1'
                )");



            //standardgruppe in die user getan wird, sofern keine manuelle gruppenwahl und nicht standardgruppe
    		if($aus_settings->group_choice == 0 && $aus_settings->default_entry_group != 1)
    		{
            	$id_user	= $mysql->insertId();
            	$group_id	= $aus_settings->default_entry_group;

            	$mysql->query("INSERT INTO {$prefix}_group_def (id_user,id_group) VALUES ('".$id_user."','".$group_id."')");
    		}
            else if($aus_settings->group_choice == 1 && $aus_settings->group_choice_radio == 0) //checkboxes
            {
                $id_user	= $mysql->insertId();
                $group_id	= $_POST['group_id'];

                foreach($group_id as $group_id_value)
                {
                    $mysql->query("INSERT INTO {$prefix}_group_def (id_user,id_group) VALUES ('".$id_user."','".$group_id_value."')");
                }

            }
            else if($aus_settings->group_choice == 1 && $aus_settings->group_choice_radio == 1) //radio
            {
            	$id_user	= $mysql->insertId();
            	$group_id	= $_POST['group_id'];

            	$mysql->query("INSERT INTO {$prefix}_group_def (id_user,id_group) VALUES ('".$id_user."','".$group_id."')");
            }


            $act_url                    = $activation_url."/newsletter.php?mail_id=$mail_id";
            $message                    = str_replace("\r\n","\n",str_replace("{SUBSCRIBE_LINK}",$act_url,$aus_settings->default_subscribe));
            $default_subscribe_subject  = $aus_settings->default_subscribe_subject;

			$notification_message['email'] = sendUnlockEMailNotification($zieladdi, $sender_name, $sender_email, $message, $default_subscribe_subject);



            $subscribe_message['mail_activation'] = $lang['onl_mailavtivation'];
    		

    		$hide_form = true;
    	}

        unset($mail);
    }
}

else
{
    $subscribe_message['mailexists'] = $lang['onl_error'];
    $form_error = true;
}


//return output back to jquery function and then return it to a div
if(isset($_POST['ajax']) && $_POST['ajax'] == true)
{
    $subscribe_css_class = $form_error == true ? 'error' : 'success';

    $json_return    = array('subscribe_message' => $subscribe_message, 'subscribe_css_class' => $subscribe_css_class);
    echo json_encode($json_return);
}

?>