<?php
##########################################################################
##########################  Script ? by       ############################
##########################  www.usolved.net   ############################
##########################################################################


###################################################
#################### Tooltips #####################
###################################################


$lang['tooltip_1']="Type your DB data in here. These are given by your ISP (Internet Service Provider).<br>The host name is mostly \"localhost\", so if you aren't sure, use this by default.<br>For use with SQLite enter your database file into the Host field.";

$lang['tooltip_2']="If would like to install the newssystem multiple times into the same database, the existing db tables will be overwritten. So you should choose another prefix.";

$lang['tooltip_3']="Choose a username, e-mail and password";

$lang['tooltip_4']="Editable later in the admin center";

$lang['tooltip_5']="Correct the path here, if the suggested one is wrong. For example http://domain.net/cms/newsletter. It's important not to have a / at the end.";

$lang['tooltip_6']="That's the way you have to set the URL as Cronjob:<br>
http://user:passwort@scriptpath/newsletter_cron.php<br><br>
Use the script's username and password.";

$lang['tooltip_7']="For direct salutation in the email,<br>use the placeholder {FORENAME}";

$lang['tooltip_8']="Needed for the link in the activation e-mail";

$lang['tooltip_9']="Will be sent to the given E-Mail address under Newsletter Settings";

$lang['tooltip_10']="Enter your database prefix<br>of NEWSolved Professional";

$lang['tooltip_11']="This email address is for test emails and subscriber notification";



$lang['tooltip_13']="
<b>PHP Mail:</b>
<br>eMails will be sent with the internal PHP Mailer.
<br><br>
<u>Advantage:</u><br>
- No extra SMTP server needed if your webserver is capable of sending emails
<br><br>
<u>Disadvantage:</u><br>
- Higher CPU load<br>
- Slowwer

<br><br>

<b>SMTP Relay:</b>
<br>You can send emails with your own defined mail server.
<br><br>
<u>Advantage:</u><br>
- Move the load to another server<br>
- SMTP connection will be kept alive if you like to. So a new connections won't be initiated every time an email will be sent
<br><br>
<u>Disadvantage:</u><br>
- More configuration needed<br>
";

$lang['tooltip_14']="Defines the time to wait between each sent eMail. This reduces the CPU load.";

$lang['tooltip_15']="You can import templates if HTML is activated. These have to be in <u>*.html</u> format and uploaded to <u>upload/newsletter_templates</u>.";

$lang['tooltip_16']="If Flash-Form has been actived, you have to set this setting to \"no\".";

$lang['tooltip_17']="No group choice awailable, if you have chosen <b>Flash</b> as form.";

$lang['tooltip_18']="This will deactivate the \"live\" send method for servers and browsers that can't handle the other method.";

$lang['tooltip_18_1'] = "Notice: Function \"live\" can be used!";

$lang['tooltip_19']="This is just awailable if HTML eMails are activated.";

$lang['tooltip_20']="Just visible with activated HTML encoding";

$lang['tooltip_21']="You have to activate the profile template,<br>if you like to use the place holder {PROFILE_LINK} in eMails.<br><br>
Note:<br>The profiles don't have an user login, so everybody can guess the user id to view the profile!";

$lang['tooltip_22']="For direct salutation in the email,<br>use the placeholder {SURNAME}";

$lang['tooltip_23']="For direct salutation in the email,<br>use the placeholder {TITLE}";

$lang['tooltip_24']="If you have chosen 'Yes', the radio buttons on the newsletter form output are hidden,<br>so you have to use the place holder {UNSUBSCRIBE_LINK} in your e-mail so users can unsubscribe via link.";

$lang['tooltip_25']="Sending big attachments to a lot of subscribers can lead to massive server-load.";

$lang['tooltip_26']="If you have activated HTML e-mails and the new send method, a 1x1 pixel image will be inserted into e-mails which counts the views of the newsletter.<br><br>Please inform your subscribers that the newsletter sends informations to your server while opening the newsletter. Otherwise disable this option.";

$lang['tooltip_27']="The Ajax-Form uses JavaScript to perform user inputs. There's no need for a page refresh after the submit.";

$lang['tooltip_28']="We use the OpenSource project \"Securimage\" from www.phpcaptcha.org.";

$lang['tooltip_29'] = "The DSGVO requires the subscriber to be informed of the data collected when subscribing to the newsletter. You can freely define this text under <b>Newsletter Text Definitions</b>.";

$lang['tooltip_admin_timeout_browser'] = "The browser window needs to be opened.";

$lang['tooltip_smtp_host'] 			=	"The server address like <b>smtp.gmail.com</b>";
$lang['tooltip_smtp_port'] 			=	"With encrypted connections the port is usually <b>587</b>. For none encrypted connections it's likely port <b>25</b>.";
$lang['tooltip_smtp_encryption'] 	=	"Depending on your mail server configuration you can choose between TLS, SSL and no encryption.";
$lang['tooltip_smtp_auth'] 			=	"To authentificate MAILSolved to your mail server you can add your credentials.";
$lang['tooltip_smtp_authtype'] 		=	"Most times <b>LOGIN</b> should be ok. If you like to connect to an exchange server you would need to choose NTLM as authentification type.";
$lang['tooltip_smtp_user'] 			=	"The user name for the mail server authentification.";
$lang['tooltip_smtp_password'] 		=	"The password for the mail server authentification";
$lang['tooltip_smtp_keepalive'] 	=	"If this option is checked the connection won't be reinitiated by every sent email and is faster.";

$lang['tooltip_newsletter_templates'] = "Please upload templates via FTP to \"/upload/newsletter_templates\" in *.html format.";
$lang['tooltip_csv_import'] 			= "
You can import data to MAILSolved from a csv file.<br><br>
If you just like to import eMail addresses the file should have the fallowing format:<br>
email_1@adresse.de<br>
email_2@adresse.de<br>
email_2@adresse.de<br>
...<br><br>
If you like to import title, first and last name you have to put the data in the fallowing format:
<br>
email_1@adresse.de;1;Jon;Doe<br>
email_2@adresse.de;2;;Mayer<br>
email_2@adresse.de;;;Huber<br>
...<br><br>
There's no need to have all information available. Just leave it empty (but don't forget to add the \";\").<br>
Gender \"0\" = unknown<br>
Gender \"1\" = male<br>
Gender \"2\" = female<br>
<br>
Please save the csv file UTF-8 encoded.
";


###################################################
################## Installation ###################
###################################################


$lang['inst_s2_headline']="Database - Configuration: Step 2 of 4";
$lang['inst_s2_error']="Error";
$lang['inst_s2_host']="Host";
$lang['inst_s2_dbtype']="Datanbase Type";
$lang['inst_s2_dbname']="Database name";
$lang['inst_s2_user']="Username";
$lang['inst_s2_password']="Password";
$lang['inst_s2_prefix']="Database Prefix";
$lang['inst_s2_back']="Previous";
$lang['inst_s2_cont']="Next";

$lang['inst_s3_headline']="Database - Configuration: Step 3 of 4";
$lang['inst_s3_error']="Error";
$lang['inst_s3_warning']="Warning";
$lang['inst_s3_user']="Username";
$lang['inst_s3_email']="E-Mail";
$lang['inst_s3_timezone']="Timezone";
$lang['inst_s3_password']="Password";
//$lang['inst_s3_rpassword']="Re-type Passwort";
$lang['inst_s3_rpassword']="Re-type Password";
$lang['inst_s3_scriptpath']="Path of script";
$lang['inst_s3_usecockies']="Use Cookies";
$lang['inst_s3_usesessions']="Use Sessions";
$lang['inst_s3_permanentlogin']="Permanent login";
$lang['inst_s3_limitedtime']="Limited time";
$lang['inst_s3_back']="Previous";
$lang['inst_s3_install']="Install";
$lang['inst_s3_install_wait']="Please wait...";

$lang['inst_s4_headline']="Finished";
$lang['inst_s4_success']="MAILSolved sucessfully installed";
//$lang['inst_s4_output1']="To access MAILSolved output script, please click the link below";
$lang['inst_s4_output1']="You can integrate this newsletter form according to the documentation on your site:";
$lang['inst_s4_output2']="Open newsletter form";
$lang['inst_s4_admin1']="In the admin area you can now configure your newsletter:";
$lang['inst_s4_admin2']="Open admin area";

$lang['inst_error_headline']="Error";
$lang['inst_error_host']="Please enter host name";
$lang['inst_error_dbname']="Please enter database name";
$lang['inst_error_dbuser']="Please enter database username";
$lang['inst_error_dbconnection']="Error while connecting to your database. Check your username and password.";
$lang['inst_error_dbpw']="Please enter database password";
$lang['inst_error_dbno']="Database not available";
$lang['inst_error_dbset']="Please check database settings";
$lang['inst_error_user']="Please check username";
$lang['inst_error_pw']="Please check password";
$lang['inst_error_pwr']="Please repeat your password";
$lang['inst_error_pwsame']="The provided passwords do not match";
$lang['inst_error_mail']="Please enter an e-mail address";
$lang['inst_error_mailcheck']="Please verify that your e-mail address is correct";
$lang['inst_error_timezone']="Please select your timezone";
$lang['inst_error_prefix1']="Attention: Theres already an installation with this prefix!";
$lang['inst_error_prefix2']="When you continue, the existing installation will be overwritten.";



###################################################
###################### Login ######################
###################################################

$lang['login_headline']="Login";

$lang['login_user']="Username";
$lang['login_pw']="Password";
$lang['login_login']="Login";
$lang['login_forgotpw']="Forgot Password?";
$lang['login_error1']="Wrong login";
$lang['login_error2']="Back";

$lang['login_back']="Back";
$lang['login_username']="Username";
$lang['login_email']="E-Mail";
$lang['login_requestpw']="Request password";

$lang['login_check_user']="Please check username";
$lang['login_check_email1']="Please check e-mail adress";
$lang['login_check_email2']="Please verify that your e-mail address is correct";
$lang['login_subject']="New Password";
//$lang['login_mail1']="Hallo";
$lang['login_mail1']="Hello";
$lang['login_mail2']="you've requested a new password. Your new logins are:";
$lang['login_mail3']="Username";
$lang['login_mail4']="Password";
$lang['login_mailsent1']="Mail sent to";
$lang['login_mailsent2']="";
$lang['login_wrongdata']="Wrong data";



###################################################
###################### Admin ######################
###################################################

$lang['page_back'] 					= "Back";
$lang['page_next'] 					= "Next";


$lang['lastchange_sec_before'] 					= "";
$lang['lastchange_sec_after_singular'] 			= "second ago";
$lang['lastchange_sec_after_plural'] 			= "seconds ago";

$lang['lastchange_min_before'] 					= "";
$lang['lastchange_min_after_singular'] 			= "minute ago";
$lang['lastchange_min_after_plural'] 			= "minutes ago";

$lang['lastchange_hour_before'] 				= "";
$lang['lastchange_hour_after_singular'] 		= "hour ago";
$lang['lastchange_hour_after_plural'] 			= "hours ago";

$lang['lastchange_day_before'] 					= "";
$lang['lastchange_day_after_singular'] 			= "day ago";
$lang['lastchange_day_after_plural'] 			= "days ago";


$lang['weekday_monday'] 			= "Mo.";
$lang['weekday_tuesday'] 			= "Tu.";
$lang['weekday_wednesday'] 			= "We.";
$lang['weekday_thursday'] 			= "Th.";
$lang['weekday_friday'] 			= "Fr.";
$lang['weekday_saturday'] 			= "Sa.";
$lang['weekday_sunday'] 			= "Su.";
$lang['weekday_unknown'] 			= "-";



$lang['admin_popup_close'] 			= "Close window";

$lang['admin_menutop_admin'] 		= "Start";
$lang['admin_menutop_newsletter'] 	= "Newsletter-Output";
$lang['admin_menutop_licence'] 		= "Licence management";


$lang['admin_menunav_newsletter'] 	= "Newsletter";
$lang['admin_menunav_contact'] 		= "Contact Form";
$lang['admin_menunav_user'] 		= "Subscriber";
$lang['admin_menunav_settings'] 	= "Settings";
$lang['admin_menunav_eximport'] 	= "Ex- / Import";


$lang['admin_lang_button']="OK";
$lang['admin_logout']="Logout";
$lang['admin_deinstall']="Deinstall MAILSolved";
//$lang['admin_deinstall_info']="Through this action the complete Newssystem will be unusable and the comlete Database will be deleted. Are you sure to delete MAILSolved?";
$lang['admin_deinstall_info']="Through this action the complete Newssystem will be unusable and the complete Database will be deleted. Are you sure you want to delete MAILSolved?";
$lang['admin_to_cookies']="Change login method to cookies";
$lang['admin_to_sessions']="Change login method to sessions";
$lang['admin_to_change']="";
$lang['admin_output_newsletter']="Newsletter form output...";
$lang['admin_output_contactform']="Contact form output...";

$lang['admin_group_headline']="Edit subscriber";
$lang['admin_group_email']="E-Mail";
$lang['admin_group_unlock']="Unlock user manually";
$lang['admin_group_unlock_button']="Unlock";
$lang['admin_group_unlock_success']="User successfully unlocked";
$lang['admin_group_forename']="Forename";
$lang['admin_group_surname']="Surname";
$lang['admin_group_company']="Company";
$lang['admin_group_customer_number']="Customer number";
$lang['admin_group_groupname']="Group name";
$lang['admin_group_rel']="Related";
$lang['admin_group_none']="No groups awailable";
$lang['admin_group_edit']="Save and close";
$lang['admin_group_success']="Subscriber successfully saved";
$lang['admin_group_success_added']			= "New group added";
$lang['admin_group_error_added']			= "Gruppe name empty or used the not allowed name \"Standard\"";
$lang['admin_group_success_defaultgroup']	= "New default group set";
$lang['admin_group_success_delete']			= "Group deleted";
$lang['admin_group_success_edit']			= "Group edited";

$lang['admin_bl_headline']="Blacklist";
$lang['admin_bl_blocked']="Blocked E-Mails";
$lang['admin_bl_sure']="Are you sure";
$lang['admin_bl_del']="Delete";
$lang['admin_bl_alldel']="Delete all E-Mails";
$lang['admin_bl_sofar']="So far nothing";

$lang['admin_archive_delete_success']="Deleted newsletter from archive";
$lang['admin_archive_addr']="Sender";
$lang['admin_archive_subject']="Subject";
$lang['admin_archive_date']="Date";
$lang['admin_archive_msg']="Message";
$lang['admin_archive_group']="To group";
$lang['admin_archive_views']			= "View rate";
$lang['admin_archive_views_opened']		= "opened";
$lang['admin_archive_views_multiple']	= "oeverall";
$lang['admin_archive_views_unique']		= "unique";
$lang['admin_archive_jobcomplete'] 		= "Job completed";
$lang['admin_archive_sentemails'] 		= "Sent to subscriber";

$lang['admin_archive_user_headline'] 	= "User stats";
$lang['admin_archive_user_load_more'] 	= "Load more...";
$lang['admin_archive_user_email'] 		= "eMail";
$lang['admin_archive_user_ip'] 			= "IP";
$lang['admin_archive_user_opened'] 		= "Newsletter opened";

$lang['admin_archive_campaignlinks'] 	= "Campaign-Links";
$lang['admin_archive_linkname'] 		= "Link name";
$lang['admin_archive_linkclicks'] 		= "Overall clicks";
$lang['admin_archive_linkclicks_unique']= "Unique clicks";
$lang['admin_archive_linkclicks_all'] 	= "Clicks total";
$lang['admin_archive_linksuccessrate'] 	= "Success rate";

$lang['admin_menu_headline']="General Settings";
$lang['admin_menu_newsletter']="Newsletter settings";
$lang['admin_menu_newslettertext']="Newsletter text-definitions";
//$lang['admin_menu_contactform']="Kontaktformular";
$lang['admin_menu_contactform']="Contact Form";
//$lang['admin_menu_misc']="Sonstiges";
$lang['admin_menu_misc']="User";



###################################################
#################### Licence ######################
###################################################


$lang['admin_licence_headline']		= "Licence";
$lang['admin_licence_domain']		= "Domain";
$lang['admin_licence_key']			= "Key";
$lang['admin_licence_submit']		= "Submit licence";
$lang['admin_licence_updated']		= "Licence data saved";

###################################################
###################### Start ######################
###################################################

$lang['start_headline_newsletter1']		= "Newsletter Info";
$lang['start_headline_newsletter2']		= "";
$lang['start_headline_jobs'] 			= "Jobs";
$lang['start_headline_stats']			= "Statistics";
$lang['start_headline_form']			= "form";
$lang['start_headline_new_subscriber']	= "New subscriber during past 7 days";
$lang['start_headline_genderratio']		= "Gender ratio";

$lang['start_headline_archive_overview']= "Latest sent newsletter";
$lang['start_headline_archive_max']		= "Change window size";
$lang['start_headline_archive_subject']	= "Subject";
$lang['start_headline_archive_date']	= "Date";
$lang['start_archive_delete']			= "Delete";

$lang['start_sentnewsletter']="Sent newsletter";
$lang['start_receivers']="Subscriber";
$lang['start_subscriptioncanceled']="Subscriptions canceled";
$lang['start_allmsg']="All messages";
$lang['start_answered']="Answered messages";
//$lang['start_unopen']="Unopen messages";
$lang['start_unopen']="Unopened messages";



###################################################
##################### Setuser #####################
###################################################

$lang['setuser_headline1']			="Subscriber Management";
$lang['setuser_headline2']			="";

$lang['setuser_headline_filter']	="Filter";
$lang['setuser_headline_user']		="Subscriber";

$lang['setuser_lockeduser']="Show locked users";
$lang['setuser_firstletter']="First Letter";
$lang['setuser_all']="All";
$lang['setuser_filter']="Filter";
$lang['setuser_number']="Number";
$lang['setuser_filter_group']="Group";
$lang['setuser_ok']="OK";
$lang['setuser_submit_filter']="Filter subscriber";
$lang['setuser_searchemail']="Search for eMail or name";
$lang['setuser_searchemailok']="Search";
$lang['setuser_searchdate']="Date search";
$lang['setuser_searchdateok']="Search";
//$lang['setuser_suretodelemails']="Are you sure to delete all E-Mail addresses? This action can't be undo!";
$lang['setuser_suretodelemails']="Are you sure you want to delete all E-Mail addresses? This action can't be undone!";
$lang['setuser_hemailadress']="E-Mail Adress";
$lang['setuser_hname']="Name";
$lang['setuser_hforename']="Foreame";
$lang['setuser_hsurname']="Surname";
$lang['setuser_hgroup']="Group";
$lang['setuser_hregdate']="Registration date";
$lang['setuser_hdelete']="Delete";
$lang['setuser_noresults']="No results";
$lang['setuser_edit']="Edit";
$lang['setuser_delete']="Delete selected addresses";
$lang['setuser_all_delete']="Select all";
//$lang['setuser_suredelselemail']="Are you sure to delete the selected E-Mail adress?";
$lang['setuser_suredelselemail']="Are you sure you want to delete the selected E-Mail adress?";
$lang['setuser_groupmanage']="Group Management";
$lang['setuser_hidden']="Invisible in output";
$lang['setuser_default']="Default for new newsletter";
$lang['setuser_add_group']="Add new group";
$lang['setuser_sure']="Are you sure?";
$lang['setuser_delgroup']="Delete";
$lang['setuser_default_entry_group']="Add subscribers in this group by default";
$lang['setuser_editgroup']="Save";
$lang['setuser_editgroup_set_default']="Save";
$lang['setuser_empty']="Delete all addresses";
$lang['setuser_userheadline']	="Add single subscriber";
$lang['success_new_user']		= "New user successfully added";
$lang['notice_new_user']		= "The e-mail address already exists in the database!";
$lang['setuser_subscriber_deleted']			= "Successfully deleted the selected subscriber";
$lang['setuser_subscriber_deleted_all']		= "All subscriber deleted";


###################################################
################### Ex- Import ####################
###################################################

$lang['exim_headline']					= "Ex- and Import";
$lang['exim_error']						= "Export is not possible due missing CHMOD 777 for folder '/settings'!";
$lang['exim_addradded']					= "Addresses added to the eMail list";
$lang['exim_filerror']					= "File error";
$lang['exim_up_bladded']				= "Addresses added to the Blacklist";
$lang['exim_up_bladded_single']			= "Address added to the Blacklist";
$lang['exim_up_bladded_single_error']	= "Address already exists";
$lang['exim_up_removed']				= "Addresses removed from the DB";
$lang['exim_headline_mailsolved']		= "Ex- and Import for MAILSolved";
$lang['exim_addsqlemails']				= "Import eMail addresses to MAILSolved from a SQL file";
$lang['exim_exportsqlemails']			= "Export eMail addresses into a SQL file";
$lang['exim_export_allemails']			= "Export all eMails with groups and group definition";
$lang['exim_export_agroup']				= "Just export eMails from this group";
$lang['exim_exportsqlemails_truncate']	= "With 'Empty Table' Command. Existing subcribers will be deleted if you re-import this backup.";
$lang['exim_eximforeign']				= "Ex- and Import from and for other scripts";
$lang['exim_addemailsfromtext']			= "Import eMail addresses to MAILSolved from a text file";
$lang['exim_exportmailsintext']			= "Export eMail addresses to a text file";
$lang['exim_attention']					= "Attention: not for later use in this script";
$lang['exim_blacklist']					= "Blacklist";
$lang['exim_blacklist_success_deleted_all'] = "Deleted all entries from the blacklist";
$lang['exim_blacklist_success_deleted_single'] = "Successfully deleted entry from blacklist";

$lang['exim_showlist']					= "Show list";
$lang['exim_addtobl']					= "Add eMail addresses to the Blacklist from a text file";
$lang['exim_addsinglemailtobl']			= "Add eMail addresses manually to the Blacklist";
$lang['exim_removeadress']				= "Remove addresses from the DB";
$lang['exim_adressesfromtext']			= "eMail addresses from a text file";
$lang['exim_delete']					= "Delete subscriber";
$lang['exim_add']						= "Add";
$lang['exim_group']						= "Group";
$lang['exim_startexport']				= "Start eMail/Group export";
$lang['exim_startexport_emails']		= "Start eMail export";
$lang['exim_nogroups']					= "No groups awailable";
$lang['exim_allowdouble']				= "allow duplicate addresses to be inserted into the database";	//still english



###################################################
#################### Settings #####################
###################################################


$lang['settings_no']="No";
$lang['settings_yes']="Yes";

$lang['settings_oldpw_notcorrect']="Old password wasn't correct!";
$lang['settings_notfilledout']="Not completly filled out!";
$lang['settings_pwmatch']="The provided passwords do not match!";
$lang['settings_pwchange1']="Changed password from";
$lang['settings_pwchange2']="to";
$lang['settings_pwchange3']="";
$lang['settings_edited']="Settings successfully saved";
$lang['settings_edited_data']	="Data successfully saved";
$lang['settings_edited_pw']		="Password has been changed";


$lang['settings_misc_headline']				= "User management";

$lang['settings_misc_newgroupcreated']		= "New group created";
$lang['settings_misc_error_newgroupcreated']= "Group name is empty";
$lang['settings_misc_typepw']				= "Type in a password";
$lang['settings_misc_typeuser']				= "Type in a user name";
$lang['settings_misc_typeemail']			= "Please type in a correct e-mail address";
$lang['settings_misc_groupdeleted']			= "Group deleted! User that were in this group must be redefined!";
$lang['settings_misc_userdeleted']			= "User deleted";
$lang['settings_misc_groupedited']			= "Group edited";
$lang['settings_misc_usermanagement']		= "User";
$lang['settings_misc_owndata']				= "Own data";
$lang['settings_misc_nogroups']				= "No groups available";
$lang['settings_misc_newuserhead']			= "New user";
$lang['settings_misc_password']				= "Password";
$lang['settings_misc_passwordrepeat']		= "Repeat the Password";
$lang['settings_misc_nogroups']				= "No groups available";
$lang['settings_misc_newuser']				= "Create new user";
$lang['settings_misc_editused']				= "Edit user";
$lang['settings_misc_undefined']			= "Undefined";
$lang['settings_misc_admin']				= "Admin";
$lang['settings_misc_group']				= "Group";
$lang['settings_misc_nogroups']				= "No groups available";
$lang['settings_misc_createnewuser']		= "Create new user";
$lang['settings_misc_usereditbutton']		= "Edit user";
$lang['settings_misc_groupmanagement']		= "Group management";
$lang['settings_misc_newgroup']				= "Create new group";
$lang['settings_misc_groupname']			= "Group name";
$lang['settings_misc_creategroupbutton']	= "Create group";
$lang['settings_misc_groupedit']			= "Edit group";
$lang['settings_misc_edit']					= "Edit";
$lang['settings_misc_nogroupsbutadmin']		= "No groups available besides 'Admin'.";
$lang['settings_misc_deletegroup']			= "Delete group";

$lang['settings_nl_headline1']="Newsletter settings";
$lang['settings_nl_headline2']="";
$lang['settings_nl_layout']="Layout";
$lang['settings_nl_width']="Width";
$lang['settings_nl_tfwidth']="Textfield width";
$lang['settings_nl_bgcolor']="Background color";
$lang['settings_nl_background']="Background image";
$lang['settings_nl_fontcolor']="Font color";
$lang['settings_nl_fontsize']="Font size";
$lang['settings_nl_fonttype']="Font family";
$lang['settings_nl_default']="Default text";
$lang['settings_nl_charset']="Define Charset";
$lang['settings_nl_addresser']="Define Addresser";


$lang['settings_nl_subject']					= "Default Newsletter subject";
$lang['settings_nl_sig']						= "Define Newsletter signature";
//$lang['settings_nl_default_unsubscribe']		= "Unsubscribe message";
$lang['settings_nl_default_subscribe_subject']	= "Subject for activating subscription";
$lang['settings_nl_default_subscribe']			= "Message for activating subscription";
$lang['settings_nl_default_welcome_subject']	= "Subject for welcome email";
$lang['settings_nl_default_welcome']			= "Message for welcome email";
$lang['settings_nl_default_unsubscribe_subject']= "Subject for email after unsubscribe";
$lang['settings_nl_default_unsubscribe'] 		= "Message für email after unsubscribe";

$lang['settings_nl_text_headline_newsletter'] 	= "Newsletter";
$lang['settings_nl_text_headline_welcome'] 		= "Welcome email";
$lang['settings_nl_text_headline_activation'] 	= "Activation of the eMail";
$lang['settings_nl_text_headline_unsubscribe'] 	= "eMail if unsubscribed";

$lang['settings_nl_text_title_active'] 			= "Is active";
$lang['settings_nl_text_title_disabled'] 		= "Is disabled";

$lang['settings_nl_default_alternatetext']		= "Show text if subscriber can't display HTML E-Mails";
$lang['settings_nl_default_consent']			= "Declaration of consent to the subscriber's consent when registering for the newsletter";
$lang['settings_nl_settings']					= "Settings";
$lang['settings_nl_mailsending']				= "E-Mail sending";
$lang['settings_nl_autoresume_timeout1']		= "Maximal server timeout can't be controlled by this script and is currently set to";
$lang['settings_nl_autoresume_timeout2']		= "seconds.";
$lang['settings_nl_autoresume_activate']		= "Activate automatic resume on timeout";

$lang['settings_nl_interval']="Waiting time after sent email";
$lang['settings_nl_oldway']="Deactivate send method \"live\"";
$lang['settings_nl_sec']="Milliseconds";
$lang['settings_nl_user_intv']="User / Interval";

$lang['settings_nl_form']	= "Form output";

$lang['settings_nl_general']="In general";
$lang['settings_nl_nlform']="Output-Form";
$lang['settings_nl_nlprofile']="Activate Profile Template";
$lang['settings_nl_nlform_html']="HTML";
$lang['settings_nl_nlform_flash']="Flash";
$lang['settings_nl_useractivation']="User activation";
$lang['settings_nl_instand']="Instant";
$lang['settings_nl_viaemail']="eMail";
$lang['settings_nl_mailencoding']="eMail encoding for newsletter";
$lang['settings_nl_mailencoding_notification']="eMail encoding for notifications";
$lang['settings_nl_text']="Text";
$lang['settings_nl_html']="HTML";
$lang['settings_nl_wysiwyg']="WYSIWYG Editor";
$lang['settings_nl_media_upload']="Upload media";
$lang['settings_nl_attachment_upload']="Send attachments";
$lang['settings_nl_unsubscribeinmail']="Unsubscribe just via<br>link in the eMail";
$lang['settings_nl_welcome']="Welcome eMail";
$lang['settings_nl_unsubscribe']="eMail if unsubscribed";
$lang['settings_nl_mailtoadmin']="Send E-Mail to admin if<br>user sub- or unsubscribes";
$lang['settings_nl_popup_msgs']="Popup messages<br>in the output";
$lang['settings_nl_usergroup']="User can choose group";
$lang['settings_nl_usergroup_radio']="Forbid multiple selection?";
$lang['settings_nl_userselect']="Type for multiple selection";
$lang['settings_nl_titleinput']="Enter title when user subscribes";
$lang['settings_nl_forenameinput']="Enter forename when<br>user subscribes";
$lang['settings_nl_surnameinput']="Enter surname when<br>user subscribes";
$lang['settings_nl_companyinput']="Enter company when<br>user subscribes";
$lang['settings_nl_customernumberinput']="Customer number for subscriber administration";
$lang['settings_nl_plugin_activate']="Activate NEWSolved Pro. Plugin";
$lang['settings_nl_language']="Language";
$lang['settings_nl_plugin_prefix']="NEWSolved Prefix";
$lang['settings_nl_mailaddress']="eMail for tests and notifications";
$lang['settings_nl_scriptpath']="Path to script";
$lang['settings_nl_sendtype']="Send type";
$lang['settings_nl_sendtype_type']="Type";
$lang['settings_nl_sendtype_type1']="PHP Mail";
$lang['settings_nl_sendtype_type2']="SMTP Relay";
$lang['settings_nl_sendtype_exe']="Fast Extension";
$lang['settings_nl_sendtype_relay']="Server";
$lang['settings_nl_sendtype_port']="Port";
$lang['settings_nl_sendtype_user']="User name";
$lang['settings_nl_sendtype_pw']="Password";
$lang['settings_nl_sendtype_auth']="Authentification";
$lang['settings_nl_sendtype_keepalive']="Keep alive";
$lang['settings_nl_sendtype_authtype']="Authentification type";
$lang['settings_nl_sendtype_encryption']="Encryption";
$lang['settings_nl_sendtype_ignore_ssl_certificate']= "Ignore SSL Certificate";
$lang['settings_nl_sendtype_testsettings_label']	= "Test Server- and Mailconfiguration";
$lang['settings_nl_sendtype_testsettings']			= "Test email settings";
$lang['settings_nl_sendtype_testsettings_title']	= "Please save the settings before sending a test email";
$lang['settings_nl_sendtype_encryption_extension']="PHP openssl extension not found";
$lang['settings_nl_ajax']	= "Ajax newsletter form";
$lang['settings_nl_consent'] = "Consent";
$lang['settings_nl_captcha']= "Captcha-code for registration";

$lang['settings_testsettings_subjectbody'] 			= 'MAILSolved test email';
$lang['settings_testsettings_success_delivered'] 	= 'OK: Test email has been delivered';
$lang['settings_testsettings_error'] 				= 'Error';
$lang['settings_testsettings_error_sender'] 		= 'Sender hasn\'t been defined in the newsletter text definition settings';
$lang['settings_testsettings_error_recipient'] 		= 'Recipient email hasn\'t been defined yet';

$lang['settings_test_socketwrite_button'] 			= 'Background send test';
$lang['settings_test_socketwrite_open_error'] 		= 'Socket-Open Error:';
$lang['settings_test_socketwrite_write_error'] 		= 'Socket-Write Error: Could not write to Database';
$lang['settings_test_socketwrite_success'] 			= 'OK: Sockets are supported';


$lang['settings_cf_headline']="Contact form";
$lang['settings_cf_layout']="Layout";
$lang['settings_cf_width']="Width";
$lang['settings_cf_height']="Height";
$lang['settings_cf_bgcolor']="Background color";
$lang['settings_cf_background']="Background image";
$lang['settings_cf_fontcolor']="Font color";
$lang['settings_cf_fontcolorerror']="Error font color";
$lang['settings_cf_fontsize']="Font size";
$lang['settings_cf_fonttype']="Font family";
$lang['settings_cf_settings']="Settings";
$lang['settings_cf_sig']="Signature";
$lang['settings_cf_title']="Title";
$lang['settings_cf_showname']="Show name";
$lang['settings_cf_showsurname']="Show surname";
$lang['settings_cf_showcity']="Show city";
$lang['settings_cf_showsubject']="Show subject";
$lang['settings_cf_showtel']="Show telephone number";
//$lang['settings_cf_sendmail']="Send E-Mail when new subscriber";
$lang['settings_cf_sendmail']="Send E-Mail when there is a new subscriber";
$lang['settings_cf_captcha']="Activate Captcha Code";

$lang['settings_ot_headline']="Miscellaneous";
$lang['settings_ot_userdata']="User data";
$lang['settings_ot_username']="Username";
$lang['settings_ot_mailaddress']="E-Mail address";
$lang['settings_ot_oldpw']="Old password";
$lang['settings_ot_newpw']="New password";
$lang['settings_ot_rnewpw']="Repeat new<br>password";

$lang['settings_savesettings']="Save settings";

$lang['settings_savesettings_data']="Save data";

#####


$lang['settings_nltext_headline']					= "Newsletter text definitions";
$lang['settings_nltext_placeholdertoplacerholder']	= "Placerholder to Placeholder replacement";
$lang['settings_nltext_getsreplacedwith']			= "gets replaced with";
$lang['settings_nltext_placeholdertoexpr']			= "Placeholder to Expression replacement";
$lang['settings_nltext_ifplaceholder']				= "If placeholder";
$lang['settings_nltext_ifmale']						= "Male, replace placeholder with";
$lang['settings_nltext_iffemale']					= "Female, replace placeholder with";
$lang['settings_nltext_ifunknown']					= "Unknown, replace placeholder with";
$lang['settings_nltext_and']						= "and";
$lang['settings_nltext_empty']						= "Empty";
$lang['settings_nltext_alttitle']					= "If there's no surname <u>or</u> forename given, change title to";
$lang['settings_nltext_placeholder_custom']			= "Define custom place holder";
$lang['settings_nltext_placeholder_name']			= "Place holder name";
$lang['settings_nltext_placeholder_replacement']	= "Replaced with";
$lang['settings_nltext_placeholder_submit']			= "Add";
$lang['settings_nltext_placeholder_submit_edit']	= "Save";
$lang['settings_nltext_placeholder_success_added']	= "Place holder successfully added";
$lang['settings_nltext_placeholder_success_edited']	= "Place holder successfully edited";
$lang['settings_nltext_placeholder_success_deleted']= "Place holder successfully deleted";
$lang['settings_nltext_placeholder_error']			= "Place holder name is missing";
$lang['settings_nltext_placeholder_created']		= "Your custom place holder";
$lang['settings_nltext_placeholder_title_edit']		= "Edit place holder";
$lang['settings_nltext_placeholder_title_delete']	= "Delete place holder";
$lang['settings_nltext_placeholder_ask_delete']		= "Really want to delete this palce holder?";

$lang['settings_nltext_addresser']					= "Addresser";
$lang['settings_nltext_definename']					= "Define name";
$lang['settings_nl_email']							= "Define eMail";
$lang['settings_nl_email_reply_to']					= "Define reply to eMail";
$lang['settings_nl_submit_sender']					= "Save new sender";
$lang['settings_nltext_setasdefault']				= "Set as default";
$lang['settings_nltext_isdefault']					= "default";
$lang['settings_nltext_delete']						= "Delete";
$lang['settings_nltext_alert_address']				= "Address not allowed!";
$lang['settings_nltext_alert_success']				= "Addresser created!";
$lang['settings_nltext_alert_nameemail']			= "Type in a name and email address!";
$lang['settings_nltext_alert_defaultset']			= "Addresser has been set as default!";
$lang['settings_nltext_alert_addresserdelete']		= "Addresser deleted!";

###################################################
#################### Sendform #####################
###################################################

$lang['sendform_headline1']="Copose Newsletter";
$lang['sendform_headline2']="";

$lang['sendform_markassent']="Mark news as sent";
$lang['sendform_markasnotsent']="Mark news as not sent";
$lang['sendform_checkaddresser']="Check addresser";
$lang['sendform_checksubject']="Check subject";
$lang['sendform_nonewsfound']="No news found";
$lang['sendform_norecipient']="No recipients";
$lang['sendform_sendnewsletter']="Newsletter sent";

$lang['sendform_headline_options']		= "Settings";
$lang['sendform_group']					= "Group";
$lang['sendform_addresser']				= "Sender address";
$lang['sendform_options_label']			= "..";
$lang['sendform_clickcounter']			= "Embed click counter for opening rate";
$lang['sendform_embedimages_label']		= "";
$lang['sendform_embedimages']			= "Embed images directly (without link)";

//$lang['sendform_subject']="Subject";
//$lang['sendform_message']="Message";
$lang['sendform_resizer_smaller']				= "Shrink Textfield";
$lang['sendform_resizer_bigger']				= "Expand Textfield";

$lang['sendform_emailencoding']					= "eMail encoding";
$lang['settings_sendmethod']					= "Send-Type";
$lang['settings_sendphp']						= "PHP Mail";
$lang['settings_sendsmtp']						= "SMTP Relay";

$lang['sendform_newsletter_headline']			= "Subject & Message";

$lang['settings_placeholder']					= "Place holder for message";
$lang['settings_placeholder_custom']			= "Custom place holder";
$lang['settings_placeholder_subject']			= "Place holder for subject";
$lang['settings_placeholder_label_campaign'] 	= "Description campaign link";
$lang['settings_placeholder_label_profile'] 	= "Description profile link";
$lang['settings_placeholder_label_showemail'] 	= "Description show email link";
$lang['settings_placeholder_label_unsubscribe'] = "Description unsubscribe link";

$lang['sendform_break']="Break";
$lang['sendform_bold']="Bold";
$lang['sendform_italic']="Italic";
$lang['sendform_underline']="Underline";
$lang['sendform_cross']="Crossed";
$lang['sendform_textcolor']="Font color";
$lang['sendform_textsize']="Font size";
$lang['sendform_textfamily']="Font family";
$lang['sendform_insertimg']="Insert image";
$lang['sendform_insertlink']="Insert link";
$lang['sendform_insertemaillink']="Insert E-Mail link";
$lang['sendform_center']="Center";
$lang['sendform_right']="Align right";
$lang['sendform_list']="List";
$lang['sendform_table']="Table";
$lang['sendform_tableimg']="Table / Image";
$lang['sendform_missingemail']="Define a default email address in the settings";
$lang['sendform_button_sendnewsletter']="Send newsletter";
$lang['sendform_button_sendnewsletter_q']	= "Click OK to send the newsletter";
$lang['sendform_button_simulate']="Simulate";
$lang['sendform_simulate_msg']="This will simulate a real sending procedure!";
$lang['sendform_button_testmail']="Test E-Mail";
$lang['sendform_testmail_msg']="This will send a test E-Mail to your address!";

$lang['sendform_headline_saveemail']						= "Drafts";
$lang['sendform_button_saveemail_noname']					= "Please type in a draft name";
$lang['sendform_button_saveemail']							= "Save current draft as";
$lang['sendform_button_saveemail_button']					= "Save";
$lang['sendform_button_saveemail_error']					= "Please type in a template name";
$lang['sendform_button_saveemail_rename_success']			= "Name changed successfully";
$lang['sendform_button_saveemail_copy_success']				= "Draft sucessfully copied";
$lang['sendform_button_saveemail_copy_id_error']			= "ID not found";
$lang['sendform_button_saveemail_success']					= "Template successfully added";
$lang['sendform_button_saveemail_overwrite']				= "Present template successfully overwritten";
$lang['sendform_saveemail_headline_get_draft']				= "Name";
$lang['sendform_saveemail_headline_get_changeddate']		= "Last changed";
$lang['sendform_saveemail_headline_get_actions']			= "Actions";
$lang['sendform_saveemail_deletedraft']						= "Delete draft";
$lang['sendform_saveemail_loaddraft']						= "Open draft";
$lang['sendform_saveemail_copydraft']						= "Copy draft";
$lang['sendform_saveemail_renamedraft']						= "Rename draft";

$lang['sendform_media_headline_upload']						= "Upload media";
$lang['sendform_media_draganddrop']							= "Drag &amp; Drop files here or";
$lang['sendform_media_button_fileselect']					= "Select files";
$lang['sendform_media_button_uploadfiles']					= "Upload files";
$lang['sendform_media_output_success']						= "Files successfully uploaded";

$lang['sendform_media_headline_browser']							= "Add media to newsletter";
$lang['sendform_media_headline_browser_filename']					= "File";
$lang['sendform_media_headline_browser_changeddate']				= "Last changed";
$lang['sendform_media_headline_browser_filedelete']					= "Delete file";
$lang['sendform_media_headline_browser_button_addattachment']		= "Add to attachments";
$lang['sendform_media_headline_browser_button_embedfile']			= "Embed to message";
$lang['sendform_media_headline_browser_nofiles']					= "No files uploaded so far";

$lang['sendform_media_upload_successfile'] 	= "successfully uploaded";
$lang['sendform_media_upload_errorfile'] 	= "not uploaded correctly";
$lang['sendform_media_upload_errorfolder1'] = "Folder";
$lang['sendform_media_upload_errorfolder2'] = "doesn't exist or is not writeable. Please set write access with an FTP client to 755 or 777 (CHMOD).";

$lang['sendform_button_preview']="Preview";
$lang['sendform_check2addresser']="Check addresser";
$lang['sendform_check2subject']="Check subject";
$lang['sendform_check2msg']="Check message";
$lang['sendform_newsletterinfo']="Newsletter info";
$lang['sendform_lastnlettersend']="Last Newsletter sent";
$lang['sendform_days']="days ago.";
$lang['sendform_hours']="hours ago.";
$lang['sendform_minutes']="minutes ago.";
$lang['sendform_nosent_sofar']="No newsletter sent so far";
$lang['sendform_sendingat']="Sending procedure from";
$lang['sendform_failed']="failed";
$lang['sendform_resumeclick']="Click here to resume";
$lang['sendform_resume']="Resume";
$lang['sendform_whilesending']="Do not pay attention to this message, while the sending procedure is running.";
$lang['sendform_newsletterarchive']="Newsletter archive";
//$lang['sendform_templates']="Load saved drafts";
$lang['sendform_templates_deleted']="Template deleted";
$lang['sendform_templates_nothing']="No saved templates found";
$lang['sendform_prev']="Previous";
$lang['sendform_next']="Next";
$lang['sendform_sure']="Are you sure?";
$lang['sendform_delete']="Delete";
$lang['sendform_ingeneral']="In general";
$lang['sendform_latest1']="Send the latest";
$lang['sendform_latest2']="news";
$lang['sendform_date1']="Send news from the date";
$lang['sendform_date2']="";
$lang['sendform_confirm_delete']="Are you sure to delete this?";


$lang['firststeps_headline']	="Create your first newsletter within a few steps";
$lang['firststeps_introduction']= "Here are some tips to help you creating your first newsletter.";
$lang['firststeps_sender']		= "Choose a <a href=\"index.php?set=ok&s=nl_text\" class=\"link_firststeps\">sender address</a> to send your newsletters from. You can define multiple senders in the settings.";
$lang['firststeps_import']		= "If you're moved to MAILSolved from another newsletter service you can easily <a href=\"index.php?s=import\" class=\"link_firststeps\">import</a> your subscribers from other sources.";
$lang['firststeps_htmltemplate']= "Upload your <a href=\"index.php?s=newsletter\" class=\"link_firststeps\">HTML templates</a> via FTP and create your next newsletter with your own design.";
$lang['firststeps_smtprelay']	= "Just use the internal mail function of your server or configure your own <a href=\"index.php?set=ok&s=nl\" class=\"link_firststeps\">external mail relay</a>.";


$lang['sendform_button_save']="Save";
$lang['sendform_button_ok']="OK";

$lang['sendform_template']="Templates";
$lang['sendform_template_insert']="Already written text will be overwritten through this action. Are you sure?";
$lang['sendform_template_no']="No Templates found";
$lang['sendform_template_title_img']="Load template and insert it to the message";
$lang['sendform_template_title_lnk']="View template in your browser";

$lang['sendform_attachment']="Upload Attachment";
$lang['sendform_attachment_upload_ok']="Upload Attachments";
$lang['sendform_attachment_file']="File";
$lang['sendform_attachment_success1']="Successfully uploaded these files:";
$lang['sendform_attachment_success2']="";
//$lang['sendform_attachment_error1']="Error while uploading the fallowing files:";
$lang['sendform_attachment_error1']="Error while uploading the following files:";
$lang['sendform_attachment_head']="Attachments";

$lang['sendform_image']="Upload Pictures";
$lang['sendform_image_upload_ok']="Upload Picture";
$lang['sendform_image_chmodcheck']="CHMOD for folder ./upload must be set to '777'";

$lang['sendform_image_upload_error1']="Your file is bigger than";
$lang['sendform_image_upload_error2']="";
//$lang['sendform_image_upload_error3']="Only the fallowing files are allowed";
$lang['sendform_image_upload_error3']="Only the following files are allowed";
//$lang['sendform_image_upload_error4_1']="A dir must have been created";
$lang['sendform_image_upload_error4_1']="A dir must be created";
$lang['sendform_image_upload_error4_2']="This can be done in the Upload Settings";
$lang['sendform_image_upload_exists']="The file already exists";
$lang['sendform_image_upload_error5']="Should the file be overwritten";
$lang['sendform_image_upload_error5_1']="Yes";
$lang['sendform_image_upload_error5_2']="No";
$lang['sendform_image_upload_upbutton']="Upload File";
$lang['sendform_image_upload_filename']="File name";
$lang['sendform_image_upload_filesize']="File size";

$lang['sendform_image_upload_imglink']="Insert image link";
$lang['sendform_image_upload_imgpaste']="Insert image";
$lang['sendform_image_upload_upimg']="Image uploaded";
$lang['sendform_image_notfound']="No images found";
$lang['sendform_image_upload']="Image-Browser";

$lang['sendform_sm']="Save and load newsletter";


###################################################
##################### Sendin ######################
###################################################

$lang['sendin_contact']="Sent in E-Mails";
$lang['sendin_back']="Back";
$lang['sendin_date']="Date";
$lang['sendin_title']="Title";
$lang['sendin_name']="Name";
$lang['sendin_surename']="Surname";
$lang['sendin_city']="City";
$lang['sendin_telephone']="Telephone";
$lang['sendin_date']="Date";
$lang['sendin_email']="E-Mail";
$lang['sendin_emailtosend']="Recipient E-Mail";
$lang['sendin_subject']="Subject";
$lang['sendin_message']="Message";
$lang['sendin_forward']="Forward E-Mail";
$lang['sendin_button_send']="Send";
$lang['sendin_button_forward']="Forward";
$lang['sendin_nosubject']="no subject";
$lang['sendin_sure']="Are you sure?";
$lang['sendin_originalmsg']="Original Message";
$lang['sendin_forwarderror']="Type in a recipient e-mail";
$lang['sendin_forwardsuccess']="Successfully sent!";


###################################################
#################### Sendmail #####################
###################################################

$lang['sendmails_sentwithnletter']="This Newsletter has been sent with the free version of MAILSolved. The authors can not proof the content of the sent newsletter. Only the sender of this newsletter is responsible for the content.";
$lang['sendmails_licence_withcopyright']	= "Sent with MAILSolved (c) USOLVED";
$lang['sendmails_sendmsg1']="Newsletter has been sent to";
$lang['sendmails_sendmsg2']="recipients so far";
$lang['sendmails_sendmsg3']="Still";
$lang['sendmails_sendmsg4']="are remaining";
$lang['sendmails_sendmsg5']="Please wait";
$lang['sendmails_sendmsg6']="seconds...";
$lang['sendmails_sendmsg7']="Step";
$lang['sendmails_success1']="Newsletter successfully sent to";
$lang['sendmails_success2']="recipients";
$lang['sendmails_finished']="Finished";
$lang['sendmails_simfinished']="Simulation finished";
$lang['sendmails_error']="Newsletter couln't be sent because there are no subscribers so far";
$lang['sendmails_own1']="Newsletter successfully sent to your own E-Mail address";
$lang['sendmails_own2']="";
$lang['sendmails_own_error']="No e-mail address chosen in the settings";



######################################################################################################
######################################################################################################
######################################################################################################



###################################################
//################## Sendin Ouput ###################
################## Sending Ouput ###################
###################################################


$lang['osendin_check_email']="Please enter an E-Mail address!";
$lang['osendin_check_emailcorrect']="Please verify that your e-mail address is correct!";
$lang['osendin_check_name']="Please enter a name!";
$lang['osendin_check_captcha']="Please repeat the catpcha code correctly!";
$lang['osendin_check_captcha_reload']="Different Image";
$lang['osendin_check_surname']="Please enter a surname!";
$lang['osendin_check_city']="Please enter a city!";
$lang['osendin_check_subject']="Please enter a subject!";
$lang['osendin_check_msg']="Please enter a message!";
$lang['osendin_check_telephone']="Please enter a telephone number!";
$lang['osendin_success']="Successfully sent!";
$lang['osendin_email_new']="New message";
$lang['osendin_email_name']="Name";
$lang['osendin_email_address']="E-Mail";
$lang['osendin_email_msg']="Message";
$lang['osendin_email_info']="Access this message in the admin center of MAILSolved.";

$lang['osendin_contactform']="Contact form";
$lang['osendin_title']="Title";
$lang['osendin_title_male']="Mr.";
$lang['osendin_title_female']="Mrs.";
$lang['osendin_name']="Name";
$lang['osendin_surname']="Surname";
$lang['osendin_city']="City";
$lang['osendin_telephone']="Telephone";
$lang['osendin_email']="E-Mail";
$lang['osendin_subject']="Subject";
$lang['osendin_msg']="Message";
$lang['osendin_captcha']="Captcha";
$lang['osendin_captcha_code']="Captcha Code";
$lang['osendin_button_send']="Send";


###################################################
################ Newsletter Ouput #################
###################################################

$lang['onl_newunsubscribe']="New unsubscriber";
$lang['onl_unsubscribed']="Unsubscribed!";
$lang['onl_emailunlocked']="eMail address successfully activated";
$lang['onl_newsubscriber']="New subscriber";
$lang['onl_subscribed_mail']="Newsletter subscribed";
$lang['onl_wrongid']="Wrong ID or the eMail is already being unlocked. Check the link again.";
$lang['onl_checkemail']="Please verify the eMail address.";
$lang['onl_checkforename']="Please fill out your first name.";
$lang['onl_checksurname']="Please fill out your last name.";
$lang['onl_checkcompany']="Please fill out your company name.";
$lang['onl_checkeconsent']="Please mark your consent to the processing of your data with a cross.";
$lang['onl_checkgroup']="Please select at least one group.";
$lang['onl_checkcaptcha']="Wrong captcha code.";
$lang['onl_checkgroup_edit']="Please select at least one group.";
$lang['onl_success']="Successfully subscribed.";
$lang['onl_success_edit']="Successfully edited your profile.";
$lang['onl_newsletterunlock']="Activate Newsletter";
$lang['onl_mailavtivation']="To confirm your subscription to the newsletter, please click on the link in the e-mail we just sent.";
$lang['onl_error']="eMail already registred.";
$lang['onl_error_edit'] = "eMail is forbidden.";
$lang['onl_nomail']="eMail address not found.";
$lang['onl_formemail']="eMail Address";
$lang['onl_form_title']="Title";
$lang['onl_form_mr']="Mr.";
$lang['onl_form_mrs']="Mrs.";
$lang['onl_form_forename']="Forename";
$lang['onl_form_surname']="Surname";
$lang['onl_form_company']="Company";
$lang['onl_form_customer_number']="Customer number";
$lang['onl_group']="Select group";
$lang['onl_subscribe']="Subscribe";
$lang['onl_unsubscrib']="Unsubscribe";
$lang['onl_ok']="Subscribe";
$lang['onl_suretounsubscribe']			= "Are you sure to unsubscribe from this newsletter?";
$lang['onl_suretounsubscribe_yes']		= "Yes";



###################################################
############### User Profile Ouput ################
###################################################

$lang['profile_edit_headline']	= "Edit Profile";
$lang['profile_edit']			= "Edit";



###################################################
################### Error Codes ###################
###################################################

$lang['relaymail_fatal1']	= "No connection to the SMTP relay could be established";
$lang['relaymail_fatal2']	= "Unexpected answer from server - is the port number correct?";
//$lang['relaymail_fatal3']	= "The SMTP relay doesn\'t support ESMTP";
$lang['relaymail_fatal3']	= "The SMTP relay doesn't support ESMTP";
$lang['relaymail_fatal4']	= "Username and/or password are wrong";
$lang['relaymail_fatal5']	= "AUTH LOGIN failed, maybe this scheme was deactivated server-side";
$lang['relaymail_fatal6']	= "Username is wrong";
$lang['relaymail_fatal7']	= "Password is wrong";
$lang['relaymail_fatal8']	= "The SMTP relay enforces an authentication scheme that is not supported by MAILSolved";


###################################################
#################### Mailjobs #####################
###################################################

$lang['dispatchjob_error_sender']	= "Address of the sender is missing and has not been set in the settings yet";
$lang['dispatchjob_successadded']	= "Mailjob has been successfully added";
//$lang['dispatchjob_successinfo']	= "You can close your browse while eMails are sending.";
$lang['dispatchjob_successinfo']	= "You can close your browser while eMails are being sent. You can see the the status later on the start page.";

$lang['dispatchjob_id']				= "ID";
$lang['dispatchjob_begin']			= "Job-Begin";
$lang['dispatchjob_email']			= "Sent eMails";
$lang['dispatchjob_progress']		= "Progress";
$lang['dispatchjob_elapsedtime']	= "Elapsed time";
//$lang['dispatchjob_remainingtime']	= "Reamaining time";
$lang['dispatchjob_remainingtime']	= "Remaining time";

?>